2009-04-30 11:16  tag CERTI-3_3_2

2009-04-30 11:16  erk

	* ReleaseProcess.txt (1.5, CERTI-3_3_2): Update release process

2009-04-29 11:04  erk

	* CMakeLists.txt (1.67, CERTI-3_3_2): Prepare CERTI 3.3.2

2009-04-29 10:59  erk

	* CERTI_DESCRIPTION.txt (1.3, CERTI-3_3_2): Add CERTI online
	  documentation reference

2009-04-29 10:58  erk

	* README (3.3, CERTI-3_3_2): Update documentation reference

2009-04-29 10:56  erk

	* ReleaseNotes.txt (3.4, CERTI-3_3_2): Say a word about this almost
	  empty ReleaseNote file

2009-04-29 10:53  erk

	* doc/certi_developer.cnf.in (3.5, CERTI-3_3_2): Try to build CERTI
	  developer doc PDF version (not working ...  [yet] )

2009-04-23 10:15  adele

	* CMakeLists.txt (1.66): Add WIndows version to the binary package
	  name

2009-04-21 15:54  siron

	* RTIA/TimeManagement.cc (3.48), libRTI/RTIambPrivateRefs.cc (3.19)
	  (utags: CERTI-3_3_2): Use of epsilon2 to implement the zero
	  lookahead features (NARA & TARA).

2009-04-08 12:47  approx

	* RTIA/DeclarationManagement.cc (3.26, CERTI-3_3_2), RTIA/Files.hh
	  (3.8, CERTI-3_3_2), RTIA/ObjectManagement.cc (3.60, CERTI-3_3_2),
	  RTIA/RTIA.cc (3.25, CERTI-3_3_2), RTIA/RTIA_network.cc (3.32,
	  CERTI-3_3_2), RTIA/Statistics.cc (3.19, CERTI-3_3_2),
	  RTIA/TimeManagement.cc (3.47), RTIA/TimeManagement.hh (3.19,
	  CERTI-3_3_2), RTIG/Federation.cc (3.105, CERTI-3_3_2),
	  RTIG/RTIG_processing.cc (3.82, CERTI-3_3_2),
	  libCERTI/NM_Classes.cc (3.15, CERTI-3_3_2),
	  libCERTI/NM_Classes.hh (3.10, CERTI-3_3_2),
	  libCERTI/NetworkMessage.hh (3.46, CERTI-3_3_2),
	  libRTI/RTIambPrivateRefs.cc (3.18):
	  startRegistrationForObjectClass implemented

2009-04-07 11:25  erk

	* .cvsignore (1.6, CERTI-3_3_2): Ignore eclipse project files

2009-04-07 11:24  erk

	* .cproject (1.2), .project (1.2): Remove eclipse project file
	  (addition was an error)

2009-04-04 15:53  gotthardp

	* libCERTI/: GAV.cc (3.20), GAV.hh (3.15) (utags: CERTI-3_3_2): Bug
	  #24930: Do not inherit from std::<Container> classes to avoid
	  link error under Visual Studio 9.

2009-04-04 15:30  gotthardp

	* libRTI/RTItypes.cc (1.4, CERTI-3_3_2): Bug #24930: Removed
	  unnecessary #include causing link failure.

2009-04-04 15:18  gotthardp

	* libRTI/: RTItypesImp.cc (3.3), RTItypesImp.hh (3.3) (utags:
	  CERTI-3_3_2): Bug #24930: Do not inherit from std::<Container>
	  classes to avoid link error under Visual Studio 9.

2009-04-02 21:58  erk

	* libRTI/RTItypesImp.cc (3.2), libRTI/CMakeLists.txt (1.11,
	  CERTI-3_3_2), libRTI/RTIambPrivateRefs.cc (3.17),
	  libRTI/RTIambassador.cc (3.102, CERTI-3_3_2),
	  libRTI/RTIfedTime.cc (3.1, CERTI-3_3_2), libRTI/RTItypes.cc
	  (1.3), libRTI/RTItypesImp.hh (3.2), libCERTI/LBTS.cc (3.13,
	  CERTI-3_3_2), libCERTI/Message.cc (3.63, CERTI-3_3_2),
	  libCERTI/PrettyDebug.hh (4.5, CERTI-3_3_2),
	  libRTI/RTIambPrivateRefs.hh (3.8, CERTI-3_3_2),
	  libCERTI/CMakeLists.txt (1.25, CERTI-3_3_2), libCERTI/GAV.cc
	  (3.19), libCERTI/GAV.hh (3.14), libCERTI/LBTS.hh (3.9,
	  CERTI-3_3_2), libCERTI/Message.hh (3.55, CERTI-3_3_2),
	  libCERTI/Message_W.cc (3.40, CERTI-3_3_2),
	  libCERTI/NetworkMessage_RW.cc (3.53, CERTI-3_3_2),
	  libCERTI/SocketMC.cc (3.17, CERTI-3_3_2), RTIG/Federation.cc
	  (3.104), libCERTI/FedTime.cc (3.16, CERTI-3_3_2),
	  libCERTI/FedTimeD.hh (4.1, CERTI-3_3_2),
	  libCERTI/NetworkMessage.hh (3.45), RTIG/RTIG.cc (3.55,
	  CERTI-3_3_2), RTIG/RTIG_processing.cc (3.81), include/RTItypes.hh
	  (3.20, CERTI-3_3_2), libHLA/HLAbuffer.hh (1.9, CERTI-3_3_2),
	  .project (1.1), include/RTI.hh (3.16, CERTI-3_3_2),
	  include/baseTypes.hh (3.14, CERTI-3_3_2), include/certi.hh (3.40,
	  CERTI-3_3_2), include/fedtime.hh (3.13, CERTI-3_3_2), .cproject
	  (1.1), RTIA/RTIA_network.cc (3.31), RTIA/TimeManagement.cc
	  (3.46): Merge-in patch for bugĀ #24930 WIndows build broken.

2009-02-10 19:25  erk

	* libRTI/CMakeLists.txt (1.10.4.2), libRTI/RTIambPrivateRefs.cc
	  (3.16.4.2), libRTI/RTIfedTime.cc (1.1.2.3), libRTI/RTItypes.cc
	  (1.2.4.1), libRTI/RTItypesImp.cc (3.1.4.1), libRTI/RTItypesImp.hh
	  (3.1.4.2), include/RTItypes.hh (3.19.4.2), include/baseTypes.hh
	  (3.13.4.1), libCERTI/Exception.cc (3.17.4.2),
	  libCERTI/PrettyDebug.hh (4.4.8.1), libHLA/HLAbuffer.hh (1.7.4.1),
	  libRTI/RTIambassador.cc (3.101.4.2): Update which should make the
	  branch compiles & run fine on  - Linux x86/x86_64  - WindowsXP
	  MingGW  - WindowsXP VIsual Studio 8

	  There seems to be a remaining error for Visual Studio 9...

2009-01-07 11:39  gotthardp

	* include/RTItypes.hh (3.19.4.1), libCERTI/FedTimeD.hh (1.1.2.2),
	  libCERTI/GAV.hh (3.13.4.2): Bug #24930: Fixed. This must be a
	  miracle, or a mistake. :-)

2009-01-05 16:22  gotthardp

	* libCERTI/FedTime.cc (3.15.4.2), libCERTI/SocketMC.cc (3.16.4.1),
	  libRTI/RTIfedTime.cc (1.1.2.2): Latest GCC compilability fix.

2009-01-05 14:34  gotthardp

	* RTIA/RTIA_network.cc (3.30.4.1), RTIA/TimeManagement.cc
	  (3.45.4.1), RTIG/Federation.cc (3.102.4.1), RTIG/RTIG.cc
	  (3.54.4.1), RTIG/RTIG_processing.cc (3.80.4.1), include/RTI.hh
	  (3.15.4.1), include/certi.hh (3.38.4.1), include/fedtime.hh
	  (3.12.4.1), libCERTI/CMakeLists.txt (1.23.4.1),
	  libCERTI/Exception.cc (3.17.4.1), libCERTI/FedTime.cc (3.15.4.1),
	  libCERTI/FedTimeD.hh (1.1.2.1), libCERTI/GAV.cc (3.18.4.1),
	  libCERTI/GAV.hh (3.13.4.1), libCERTI/LBTS.cc (3.12.4.1),
	  libCERTI/LBTS.hh (3.8.8.1), libCERTI/Message.cc (3.62.4.1),
	  libCERTI/Message.hh (3.54.4.1), libCERTI/Message_W.cc (3.39.4.1),
	  libCERTI/NetworkMessage.hh (3.44.4.1),
	  libCERTI/NetworkMessage_RW.cc (3.52.4.1), libRTI/CMakeLists.txt
	  (1.10.4.1), libRTI/RTIambPrivateRefs.cc (3.16.4.1),
	  libRTI/RTIambPrivateRefs.hh (3.7.4.1), libRTI/RTIambassador.cc
	  (3.101.4.1), libRTI/RTIfedTime.cc (1.1.2.1),
	  libRTI/RTItypesImp.hh (3.1.4.1): Bug #24930: Implemented a
	  separate FedTime for libCERTI.  The implementation is not
	  complete. Next step: Integration into Windows.

2008-12-18 20:45  tag DEV_before_NoCircularRef_merge

2008-12-18 20:45  gotthardp

	* include/certi.hh (3.39), libHLA/HLAbuffer.hh (1.8) (utags:
	  DEV_before_NoCircularRef_merge): Bug #25119, IRIX portability:
	  use inttypes.h instead of stdint.h

2008-12-18 12:56  gotthardp

	* CMakeLists.txt (1.65), libCERTI/CMakeLists.txt (1.24) (utags:
	  DEV_before_NoCircularRef_merge): IRIX64 portability: added check
	  for libgen library

2008-12-16 08:08  approx

	* RTIG/Federation.cc (3.103), RTIG/Federation.hh (3.57,
	  CERTI-3_3_2), libCERTI/ObjectClass.cc (3.64, CERTI-3_3_2),
	  libCERTI/ObjectClass.hh (3.45, CERTI-3_3_2),
	  libCERTI/ObjectClassAttribute.cc (3.31, CERTI-3_3_2),
	  libCERTI/ObjectClassAttribute.hh (3.26, CERTI-3_3_2) (utags:
	  DEV_before_NoCircularRef_merge): next step of the implementation
	  towards notification services

2008-12-11 14:51  erk

	* scripts/FindLexYacc.cmake (1.5, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Use appropriate include
	  directory for GnuWin32 - flex

2008-12-10 18:42  gotthardp

	* include/: RTI.hh (3.15), fedtime.hh (3.12) (utags:
	  DEV_before_NoCircularRef_merge): Fixed errors on Win32.

2008-12-10 17:53  erk

	* libCERTI/DebugOStream.hh (4.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), include/RTI.hh (3.14),
	  include/RTItypes.hh (3.19, DEV_before_NoCircularRef_merge),
	  include/certi.hh (3.38), include/fedtime.hh (3.11),
	  libCERTI/CMakeLists.txt (1.23), libCERTI/FedTime.cc (3.15,
	  DEV_before_NoCircularRef_merge): More work for a (as far as
	  possible) clean libFedTime

2008-12-07 21:16  gotthardp

	* RTIA/CMakeLists.txt (1.7, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIA/OwnershipManagement.cc
	  (3.17, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTIA/RTIA_federate.cc (3.96, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIA/main.cc (3.25, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIG/CMakeLists.txt (1.6,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTIG/Federate.hh
	  (3.15, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTIG/Federation.hh (3.56), RTIG/FederationsList.cc (3.63,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTIG/RTIG.cc (3.54,
	  DEV_before_NoCircularRef_merge), RTIG/RTIG_processing.cc (3.80,
	  DEV_before_NoCircularRef_merge), include/baseTypes.hh (3.13,
	  DEV_before_NoCircularRef_merge), include/certi.hh (3.37),
	  libCERTI/CMakeLists.txt (1.22), libCERTI/Exception.cc (3.17,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/Exception.hh (3.8, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/Extent.hh (3.10,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/FedRegion.hh (3.4, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/GAV.cc (3.18,
	  DEV_before_NoCircularRef_merge), libCERTI/GAV.hh (3.13,
	  DEV_before_NoCircularRef_merge), libCERTI/GAV_aux.cc (3.19),
	  libCERTI/GSSAPIHandler.cc (3.7, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/LBTS.cc (3.12,
	  DEV_before_NoCircularRef_merge), libCERTI/Message.cc (3.62,
	  DEV_before_NoCircularRef_merge), libCERTI/Message.hh (3.54,
	  DEV_before_NoCircularRef_merge), libCERTI/MessageBuffer.cc (3.14,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), libCERTI/Object.hh
	  (3.20, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/ObjectAttribute.hh (3.17, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/ObjectClass.cc (3.63),
	  libCERTI/ObjectClass.hh (3.44), libCERTI/ObjectSet.hh (3.14,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/SecurityLevel.hh (3.11, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/Socket.hh (3.16,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/SocketTCP.cc (3.27, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/SocketUN.cc (3.28,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libRTI/CMakeLists.txt (1.10, DEV_before_NoCircularRef_merge),
	  libRTI/RTIambPrivateRefs.cc (3.16,
	  DEV_before_NoCircularRef_merge), libRTI/RTIambPrivateRefs.hh
	  (3.7, DEV_before_NoCircularRef_merge), libRTI/RTIambassador.cc
	  (3.101, DEV_before_NoCircularRef_merge), libRTI/RTItypes.cc (1.2,
	  DEV_before_NoCircularRef_merge), libRTI/RTItypesImp.cc (3.1,
	  DEV_before_NoCircularRef_merge), libRTI/RTItypesImp.hh (3.1,
	  DEV_before_NoCircularRef_merge), test/Billard/CMakeLists.txt
	  (1.8, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  test/utility/CMakeLists.txt (1.4, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Bug #24930: First step of RTI::
	  and certi:: namespace separation.  Done: Exceptions, Region and
	  "HandleSets" separated; To-Do: FedTime separation and final
	  cleanup.

2008-12-03 11:24  erk

	* CMakeLists.txt (1.64): For later use.  Not essential but it may
	  ease the bug catch.

2008-12-03 11:23  erk

	* include/RTI.hh (3.13), include/fedtime.hh (3.10),
	  libCERTI/CMakeLists.txt (1.21): Update for cleanly independant
	  libFedTime

2008-11-25 17:32  gotthardp

	* RTIA/CMakeLists.txt (1.6), RTIG/CMakeLists.txt (1.5),
	  libCERTI/CMakeLists.txt (1.20), libCERTI/Exception.cc (3.16),
	  libCERTI/GAV_aux.cc (3.18), libRTI/CMakeLists.txt (1.9),
	  libRTI/RTItypes.cc (1.1), test/Billard/CMakeLists.txt (1.7),
	  test/utility/CMakeLists.txt (1.3): Bug #22881: Better DLC
	  compliancy.	- Symbols in RTI namespace moved from libCERTI to
	  libRTI;   - RTI::FedTime moved to libFedTime.

2008-11-25 16:13  bussenotjl

	* libCERTI/CMakeLists.txt (1.19), libCERTI/Clock.hh (4.9,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/ClockFactory.cc (4.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), test/utility/CertiUtilTests.cc
	  (1.15, CERTI-3_3_2, DEV_before_NoCircularRef_merge): Add clock
	  factory method

2008-11-24 13:21  gotthardp

	* scripts/FindRTI.cmake (1.9, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Bug #24914: FindRTI.cmake was
	  not robust to 'unnable to execute RTIG'

2008-11-22 18:14  gotthardp

	* scripts/FindRTI.cmake (1.8): Added RTI_PATH and RTI_VERSION
	  support.  Currently available only for the CERTI HLA
	  infrastructure.

2008-11-22 15:55  gotthardp

	* libHLA/HLAbuffer.hh (1.7): Adjacent __HLAbuffer structures caused
	  failure of the __check_memory() function. [Wrong buffer was found
	  by the std::lower_bound() function.] Occured on FreeBSD 7.0;
	  reported by Martin Spott.

2008-11-21 16:27  erk

	* CMakeLists.txt (1.63): Reverse to default behavior.	 - should
	  not build the doc    - library should be shared  Please do not
	  change default CMakeLists.txt behavior before asking to other.

2008-11-21 14:41  approx

	* CMakeLists.txt (1.62), RTIA/DeclarationManagement.cc (3.25,
	  DEV_before_NoCircularRef_merge), RTIA/DeclarationManagement.hh
	  (3.10, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTIA/ObjectManagement.cc (3.59, DEV_before_NoCircularRef_merge),
	  RTIA/ObjectManagement.hh (3.30, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIG/Federate.hh (3.14),
	  libRTI/RTIambassador.cc (3.100): doxygen comments slightly
	  adapted to Eric's advices

2008-11-21 13:45  approx

	* RTIA/DeclarationManagement.cc (3.24), RTIA/ObjectManagement.cc
	  (3.58), RTIA/RTIA_federate.cc (3.95), RTIG/Federate.hh (3.13),
	  libCERTI/Message_R.cc (3.34, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/Message_W.cc (3.39,
	  DEV_before_NoCircularRef_merge), libRTI/RTIambassador.cc (3.99):
	  some doxygen comments added

2008-11-20 19:21  approx

	* RTIA/DeclarationManagement.cc (3.23), RTIA/ObjectManagement.cc
	  (3.57), RTIA/RTIA_network.cc (3.30,
	  DEV_before_NoCircularRef_merge), RTIG/Federate.cc (3.16,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTIG/Federate.hh
	  (3.12), RTIG/Federation.cc (3.102), RTIG/Federation.hh (3.55),
	  RTIG/FederationsList.cc (3.62), RTIG/FederationsList.hh (3.48,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTIG/RTIG.cc
	  (3.53), RTIG/RTIG.hh (3.31, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIG/RTIG_processing.cc (3.79),
	  libCERTI/NM_Classes.cc (3.14, DEV_before_NoCircularRef_merge),
	  libCERTI/NM_Classes.hh (3.9, DEV_before_NoCircularRef_merge),
	  libCERTI/NetworkMessage.hh (3.44,
	  DEV_before_NoCircularRef_merge), libCERTI/PrettyDebEx.cc (4.6,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libRTI/RTIambassador.cc (3.98): implementation of switches: CRAS,
	  IRAS, ARAS and ASAS

2008-11-20 15:46  erk

	* scripts/FindCERTI.cmake (1.10, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Flag FindCERTI as deprecated

2008-11-19 11:25  gotthardp

	* libHLA/: HLAbuffer.cc (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), HLAbuffer.hh (1.6): Implemented
	  __assert_endianess to verify that libHLA is used correctly.

2008-11-18 18:38  gotthardp

	* libHLA/: HLAbasicType.hh (1.4), TestHLAtypes.cc (1.3) (utags:
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge): The __BYTE_ORDER
	  variable is wrong on some systems. Use the CMake provided value
	  instead.

2008-11-18 17:39  gotthardp

	* libHLA/TestHLAtypes.cc (1.2): Print the host byte-order before
	  tests.

2008-11-18 11:21  erk

	* libHLA/HLAbuffer.hh (1.5): Fix compilation issue on FreeBSD 7
	  Reported on ML by Martin Spott

2008-11-15 15:54  gotthardp

	* libCERTI/TreeNamedAndHandledSet.hh (1.8, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Bug #24840: Debugging messages
	  commented out.

2008-11-15 00:28  gotthardp

	* libHLA/HLAbuffer.hh (1.4): Suppress a wrong warning.

2008-11-15 00:24  gotthardp

	* libHLA/HLAbuffer.hh (1.3): Fixed DLL export/import.

2008-11-15 00:07  gotthardp

	* libCERTI/TreeNamedAndHandledSet.hh (1.7): Bugfix: Template
	  classes cannot use dllexport/dllimport.

2008-11-14 12:13  erk

	* scripts/CreatePatchCVS.cmake (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Merged modification from tsp
	  tree.  EXECUTE_PROCESS seems to handle the argument of the
	  command  in a different way as before.  I'll have look at that
	  later.  Better check-in a working script.

2008-11-10 14:19  erk

	* doc/certi_developer.cnf.in (3.4, DEV_before_NoCircularRef_merge),
	  doc/certi_install.cnf.in (3.6, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), doc/certi_user.cnf.in (3.8,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  doc/certi_user_doc.tree (3.5, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), doc/execute.dox (3.4,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTIA/main.cc
	  (3.24), RTIG/Federation.cc (3.101), RTIG/Federation.hh (3.54),
	  RTIG/main.cc (3.21, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  doc/certi_developer_doc.tree (3.3, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): User documentation update

2008-11-09 13:41  gotthardp

	* RTIG/Federation.cc (3.100), RTIG/Federation.hh (3.53),
	  RTIG/FederationsList.hh (3.47), libCERTI/Interaction.cc (3.51,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/Interaction.hh (3.36, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/ObjectClassAttribute.cc
	  (3.30), libCERTI/ObjectClassAttribute.hh (3.25),
	  libCERTI/TreeNamedAndHandledSet.hh (1.6): Sun Studio portability:
	  renamed some variables to avoid compiler warnings.

2008-11-08 12:36  erk

	* libCERTI/ObjectClassSet.hh (3.36, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIA/DataDistribution.cc (3.27,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTIA/RTIA_network.cc (3.29), libCERTI/ObjectClass.cc (3.62),
	  libCERTI/ObjectClassSet.cc (3.45, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/RootObject.cc (3.40,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/Subscribable.hh (3.7, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): More clean-up:   - delete
	  redundant ObjectClass::getWithHandle	 - add some source code
	  documentation (comment)

2008-11-08 12:08  erk

	* libCERTI/: Interaction.cc (3.50), Interaction.hh (3.35),
	  InteractionSet.hh (3.24, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), ObjectClass.cc (3.61),
	  ObjectClass.hh (3.43), RootObject.hh (3.32, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), TreeNamedAndHandledSet.hh (1.5):
	  More interaction and object class refactoring.  Should be clean
	  and simple "enough" for now.

2008-11-08 02:11  erk

	* libCERTI/: Interaction.cc (3.49), InteractionSet.cc (3.28,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), InteractionSet.hh
	  (3.23), ObjectClassSet.cc (3.44), ObjectClassSet.hh (3.35),
	  RootObject.cc (3.39), TreeNamedAndHandledSet.hh (1.4),
	  XmlParser.cc (3.29, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  ObjectClass.cc (3.60): Now we should be near to both HLA 1.3 and
	  IEEE-1516 compliant regarding object class name and interaction
	  class name handling

2008-11-08 01:59  erk

	* libCERTI/: Named.cc (3.8), Named.hh (3.8) (utags: CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Add method used to get leaf name

2008-11-06 23:21  erk

	* libHLA/HLAbasicType.hh (1.3): gcc 4.3.2 fix.	It was worried
	  about "undefined" memcpy.

2008-11-06 17:18  gotthardp

	* libHLA/: CMakeLists.txt (1.4, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), TestHLAtypes.cc (1.1): First
	  module tests added.

2008-11-06 15:28  gotthardp

	* RTIA/RTIA_federate.cc (3.94), RTIA/Statistics.cc (3.18,
	  DEV_before_NoCircularRef_merge), libCERTI/Message.hh (3.53),
	  libRTI/RTIambPrivateRefs.cc (3.15), libRTI/RTIambPrivateRefs.hh
	  (3.6), libRTI/RTIambassador.cc (3.97): Bug #24746: Fixed CERTI
	  crash after exception in FederateAmbassador.

2008-11-06 15:14  erk

	* RTIG/main.cc (3.20): Fixed a doc(xygen) typo.

2008-11-05 21:41  erk

	* test/utility/: CMakeLists.txt (1.2), CertiUtilTests.cc (1.14):
	  Add CertiUtilsTests to TESTING

2008-11-04 15:40  gotthardp

	* libHLA/HLAvariableArray.hh (1.3, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Fix SIGSEGV when realloc occurs
	  during HLAASCIIstring::operator =

2008-11-03 12:10  gotthardp

	* libHLA/: HLAbasicType.hh (1.2), HLAenumeratedType.hh (1.2,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), HLAvariableArray.hh
	  (1.2): Added datatypes mandated by IEEE 1516.2; HLAASCIIstring
	  supports std::string conversions.

2008-11-02 13:54  gotthardp

	* libCERTI/SocketMC.cc (3.16, DEV_before_NoCircularRef_merge): Bug
	  #21648: Replace exit() by throwing an exception.

2008-11-02 02:01  erk

	* libCERTI/InteractionSet.hh (3.22), libCERTI/ObjectClassSet.hh
	  (3.34), libCERTI/TreeNamedAndHandledSet.hh (1.3),
	  RTIA/DataDistribution.cc (3.26), RTIA/RTIA_network.cc (3.28),
	  libCERTI/InteractionSet.cc (3.27), libCERTI/ObjectClassSet.cc
	  (3.43), libCERTI/RootObject.cc (3.38): More clean-up.  Remove
	  duplicate method getByHandle from Interaction (same as
	  getObjectFromHandle in the base class) begin more <iostream>
	  compliant refactoring

2008-11-02 01:26  erk

	* libCERTI/: Interaction.cc (3.48), InteractionSet.hh (3.21),
	  ObjectClass.hh (3.42), fed.cc (3.20, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), Interaction.hh (3.34),
	  InteractionSet.cc (3.26), ObjectClass.cc (3.59),
	  TreeNamedAndHandledSet.hh (1.2): Now both Object Class set and
	  Interaction Class set inherit from same templated base class.  So
	  much duplicated code gained :=)

2008-11-02 01:02  erk

	* libCERTI/: ObjectClass.cc (3.58), ObjectClass.hh (3.41),
	  ObjectClassSet.cc (3.42), ObjectClassSet.hh (3.33): Make
	  ObjectClass set inherit from the new template class

2008-11-02 00:58  erk

	* libCERTI/: TreeNamedAndHandledSet.hh (1.1), CMakeLists.txt
	  (1.18): Add a template base class for ObjectClass and Interaction
	  sets

2008-11-01 22:47  erk

	* libCERTI/ObjectClass.cc (3.57): Get rid of more char* usage.
	  Here did throw away strcmp

2008-11-01 22:39  erk

	* libCERTI/HandleManager.hh (3.6, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Add todo

2008-11-01 20:19  erk

	* libCERTI/Interaction.cc (3.47), libCERTI/InteractionSet.hh
	  (3.20), libCERTI/ObjectClass.hh (3.40),
	  libCERTI/ObjectClassSet.hh (3.32), libCERTI/Interaction.hh
	  (3.33), libCERTI/InteractionSet.cc (3.25),
	  libCERTI/ObjectClassSet.cc (3.41), libCERTI/RootObject.cc (3.37),
	  RTIA/ObjectManagement.cc (3.56), RTIA/ObjectManagement.hh (3.29),
	  RTIA/RTIA_federate.cc (3.93), libCERTI/ObjectClass.cc (3.56):
	  Fixes bug #23730: support get Handle using
	  'getClassHandle("parentclass.subclass") format Now interaction
	  and object classes handle may be retrieved with fully qualified
	  names.

2008-10-31 14:50  erk

	* libCERTI/: Interaction.cc (3.46), ObjectClass.hh (3.39),
	  RootObject.hh (3.31), fed.cc (3.19), Interaction.hh (3.32),
	  ObjectClass.cc (3.55), ObjectClassSet.cc (3.40), RootObject.cc
	  (3.36), XmlParser.cc (3.28): More parser clean-up...

2008-10-31 11:17  erk

	* libCERTI/HandleManager.hh (3.5): Source code pruning

2008-10-30 17:01  erk

	* libCERTI/: RootObject.hh (3.30), Named.hh (3.7), ObjectClass.cc
	  (3.54), ObjectClass.hh (3.38), ObjectClassAttribute.cc (3.29),
	  ObjectClassAttribute.hh (3.24), RootObject.cc (3.35),
	  XmlParser.cc (3.27), fed.cc (3.18): Improver Parsing architecture
	  (to be continued)

2008-10-30 11:57  erk

	* RTIG/Federation.cc (3.99): end of RTIG verbosity handling

2008-10-30 11:49  erk

	* RTIG/CMakeLists.txt (1.4), RTIG/CommandLine.ggo (3.3),
	  RTIG/Federation.hh (3.52), RTIG/FederationsList.hh (3.46),
	  RTIG/RTIG.cc (3.52), RTIG/RTIG.ggo (3.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIG/getopt1.c (3.2),
	  RTIG/Federation.cc (3.98), RTIG/FederationsList.cc (3.61),
	  RTIG/RTIG.hh (3.30), RTIG/RTIG_cmdline.c (3.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIG/cmdline.c (3.5),
	  RTIG/cmdline.h (3.4), RTIG/getopt.c (3.4), RTIG/getopt.h (3.2),
	  RTIG/main.cc (3.19), RTIG/RTIG_cmdline.h (3.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/fed.cc (3.17),
	  libCERTI/fed.hh (3.6, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Update RTIG command line option
	  handling and add a verbosity level handling in order to ease
	  testing and avoid to display FED file parse if verbosity is
	  strictly less than 2.  The default level is 2 in order to keep
	  backward compatibility

2008-10-30 11:20  erk

	* RTIA/: RTIA.ggo (1.4), RTIA_cmdline.c (1.3), RTIA_cmdline.h (1.2)
	  (utags: CERTI-3_3_2, DEV_before_NoCircularRef_merge): Update .ggo
	  in order to have appropriate version number taken from config.h

2008-10-30 11:18  erk

	* RTIA/RTIA_federate.cc (3.92): Fix bug #24691 : Bug in
	  getParameterName We should replace internal char* usage with
	  appropriate std::string or const std::string&

	  done for Named::getName() method.

2008-10-30 11:11  erk

	* RTIA/ObjectManagement.hh (3.28), libCERTI/Interaction.cc (3.45),
	  libCERTI/Interaction.hh (3.31), libCERTI/InteractionSet.cc
	  (3.24), libCERTI/InteractionSet.hh (3.19), libCERTI/Named.cc
	  (3.7), libCERTI/Named.hh (3.6), RTIA/ObjectManagement.cc (3.55):
	  Fix bug #24691 : Bug in getParameterName We should replace
	  internal char* usage with appropriate std::string or const
	  std::string&

	  done for Named::getName() method.

2008-10-29 10:10  erk

	* CTestConfig.cmake (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Update CTest config

2008-10-28 13:07  gotthardp

	* RTIA/RTIA_federate.cc (3.91), RTIG/RTIG.cc (3.51),
	  include/certi.hh (3.36), libCERTI/Exception.cc (3.15),
	  libCERTI/Exception.hh (3.7), libCERTI/Interaction.cc (3.44),
	  libCERTI/Interaction.hh (3.30), libCERTI/Message.cc (3.61),
	  libCERTI/Message.hh (3.52), libRTI/RTIambPrivateRefs.cc (3.14):
	  Bug #24516: Unified OrderType/OrderingHandle and
	  TransportType/TransportationHandle.

2008-10-27 11:26  erk

	* libCERTI/SocketHTTPProxy.cc (3.3, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), doc/build.dox (3.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), doc/execute.dox (3.3): Add latex
	  case for images.  There is no need to transform png images to eps
	  since an up to date latex graphics package should be able to
	  include png as well.

2008-10-27 11:25  erk

	* doc/certi_user.cnf.in (3.7): Avoid latex batchmode which seems to
	  produce bad output

2008-10-27 10:27  gotthardp

	* scripts/FindRTI.cmake (1.7): Fixed CMAKE_FIND_LIBRARY_PREFIXES
	  related error on Win32 systems.

2008-10-26 17:20  gotthardp

	* doc/certi_install.cnf.in (3.5), doc/certi_install_doc.tree (3.5,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), doc/execute.dox
	  (3.2), doc/images/putty-portforwarding.png (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/SocketHTTPProxy.cc
	  (3.2): Bug #24536: Described HTTP tunneling.

2008-10-25 20:34  gotthardp

	* scripts/FindRTI.cmake (1.6): Removed unused CMakeFindFrameworks
	  include

2008-10-25 18:37  gotthardp

	* scripts/FindRTI.cmake (1.5): Fixed typos in comments.

2008-10-23 15:46  erk

	* libCERTI/NetworkMessage_RW.cc (3.52,
	  DEV_before_NoCircularRef_merge): Merged patch #6657 from Enrico
	  as a first "fast" solution to bug #24627 : rtig error in program
	  sequence

2008-10-22 16:24  jmm

	* RTIA/FederationManagement.cc (3.69, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): bug #24626 : For Win32 only :
	  Tempory FED file saved within TMP / TEMP directory

2008-10-21 12:55  erk

	* libCERTI/syntax.yy (3.8, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Hopefully (final) Fix bug
	  #21610, Timestamp should be allowed as...

2008-10-19 23:44  gotthardp

	* doc/: .cvsignore (1.3, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), build.dox (3.1),
	  certi_install.cnf.in (3.4), certi_install.dox (3.4),
	  certi_install_doc.tree (3.4), certi_introduction.dox (3.2),
	  certi_user.cnf.in (3.6), certi_user.dox (3.5),
	  certi_user_doc.tree (3.4), execute.dox (3.1), install.dox (3.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), introduction.dox
	  (3.1, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  images/billiard.png (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), images/cmake-binaries.png (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  images/cmake-generate.png (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), images/cmake-generator.png (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  images/cmake-launch.png (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), images/cmake-verify.png (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  images/cmake-vsfiles.png (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), images/cmake-vsproject.png (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), images/rtig.png
	  (1.1, CERTI-3_3_2, DEV_before_NoCircularRef_merge): Installation
	  documentation updated. Integrated text and screenshots from
	  CERTI-Compilation-HOWTO.

2008-10-18 20:48  gotthardp

	* RTIA/main.cc (3.23), RTIG/main.cc (3.18): Documentation update.

2008-10-14 23:09  erk

	* doc/: doc_install.in (3.3), DoxyTools.cmake (3.5) (utags:
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge): Handle DESTDIR
	  properly.  This is needed for building RPM and DEB packages

2008-10-13 22:57  erk

	* doc/certi.html (3.1): Suppress remaining obsolete file.

2008-10-13 21:07  erk

	* RTIA/main.cc (3.22), doc/CMakeLists.txt (1.10, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), doc/certi_user.cnf.in (3.5),
	  doc/certi_user.dox (3.4), libCERTI/Clock.hh (4.8): Add an example
	  of \defgroup and \copydoc for Petr

2008-10-13 16:32  erk

	* doc/: CMakeLists.txt (1.9), DoxyTools.cmake (3.4),
	  certi_developer_doc.tree (3.2), certi_user.cnf.in (3.4),
	  certi_user_doc.tree (3.3), certi_user_header.html (3.2,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), doc_install.in
	  (3.2), index.html (3.6, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), certi_developer.cnf.in (3.3),
	  certi_doc_tree.dox (1.5), certi_install_doc.tree (3.3),
	  certi_install_header.html (3.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), certi_user.dox (3.3): Hopefully
	  working doxygen documentation generation system.  PDF output
	  needs improvement, however the idea are there

2008-10-13 13:27  gotthardp

	* libCERTI/: SecureTCPSocket.cc (3.11, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), SecureTCPSocket.hh (3.9,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), Socket.hh (3.15),
	  SocketMC.hh (3.13, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  SocketTCP.hh (3.23, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  SocketUDP.hh (3.13, CERTI-3_3_2, DEV_before_NoCircularRef_merge):
	  Bug #24537: Socket::getClass() removed.

2008-10-13 12:06  erk

	* RTIG/RTIG_processing.cc (3.78), RTIG/RTIG.cc (3.50),
	  libCERTI/SecurityServer.cc (3.15, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/SocketServer.cc (3.18,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge): Partial bug #24537:
	  Remove unused Socket::getClass() fix Now we may remove getClass
	  but the polymorphic Socket subclasses usage is NOT yet clean.
	  More work to come...

2008-10-13 11:38  gotthardp

	* libRTI/RTIambassador.cc (3.96): Bug #24538: Replaced strdup by
	  new[].

2008-10-12 21:42  erk

	* .cvsignore (1.5, DEV_before_NoCircularRef_merge): Please leave
	  "build" inside .cvsignore - Erk

2008-10-12 17:58  gotthardp

	* .cvsignore (1.4), RTIA/.cvsignore (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIG/.cvsignore (1.2,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), doc/.cvsignore
	  (1.2), include/.cvsignore (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/.cvsignore (1.2,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), libHLA/.cvsignore
	  (1.1, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libRTI/.cvsignore (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), test/.cvsignore (1.2,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  test/Billard/.cvsignore (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), test/libgraphc/.cvsignore (1.2,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  test/utility/.cvsignore (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Update .cvsignore to reflect the
	  automake->cmake migration

2008-10-12 13:46  gotthardp

	* RTIA/Communications.cc (3.33, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTIA/Communications.hh (3.17,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/CMakeLists.txt (1.17), libCERTI/Socket.hh (3.14),
	  libCERTI/SocketHTTPProxy.cc (3.1), libCERTI/SocketHTTPProxy.hh
	  (3.1, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/SocketTCP.cc (3.26), libCERTI/SocketTCP.hh (3.22),
	  libCERTI/SocketUDP.cc (3.23, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/SocketUDP.hh (3.12):
	  Patch #6561: Implemented support for RTIA-->RTIG connections via
	  a HTTP proxy

2008-10-12 01:03  erk

	* CMakeLists.txt (1.61), doc/CMakeLists.txt (1.8),
	  doc/certi_user.cnf.in (3.3), doc/certi_user_doc.tree (3.2),
	  doc/certi_user_header.html (3.1), doc/doc_install.in (3.1),
	  doc/index.html (3.5), doc/DoxyTools.cmake (3.3),
	  doc/certi_user.dox (3.2): On step more for a better doc.  Now
	  make install will install "Install" and "User" doc in
	  share/doc/certi

2008-10-12 00:08  erk

	* include/CMakeLists.txt (1.4, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Do not install CVS/ subdir

2008-10-11 23:40  erk

	* doc/: CMakeLists.txt (1.7), certi_developer.cnf.in (3.2),
	  certi_install.cnf.in (3.3), certi_install.dox (3.3),
	  certi_user.cnf.in (3.2), DoxyTools.cmake (3.2), certi_user.dox
	  (3.1): Small doxygen doc update

2008-10-11 23:23  erk

	* test/Billard/dtest_billard.py (1.6, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Modification of   RTIA
	  termination handling by Petr needs exiting test modification

2008-10-11 14:53  gotthardp

	* RTIA/Communications.cc (3.32), RTIA/Communications.hh (3.16),
	  libCERTI/SocketUN.cc (3.27), libCERTI/SocketUN.hh (3.17,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge): Replace multiple
	  inheritance in the Communications object. (A step towards patch
	  #6561.)

2008-10-11 11:35  gotthardp

	* libHLA/HLAfixedRecord.hh (1.2, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Fix typo in comment.

2008-10-10 17:41  gotthardp

	* RTIA/: ObjectManagement.cc (3.54), ObjectManagement.hh (3.27):
	  Make the TransportTypeList/OrderTypeList private.

2008-10-10 17:18  gotthardp

	* RTIA/RTIA_federate.cc (3.90), RTIA/Statistics.cc (3.17),
	  libCERTI/Message.hh (3.51), libCERTI/Message_R.cc (3.33),
	  libCERTI/Message_W.cc (3.38), libCERTI/PrettyDebEx.cc (4.5),
	  libRTI/RTIambassador.cc (3.95): Bug #24279: Using CLOSE_CONNEXION
	  to terminate the RTIA connection.

2008-10-10 16:04  gotthardp

	* RTIA/: ObjectManagement.cc (3.53), ObjectManagement.hh (3.26),
	  RTIA.hh (3.15, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTIA_federate.cc (3.89): Bugfix #24515:
	  GET_TRANSPORTATION_HANDLE/NAME and GET_ORDERING_HANDLE/NAME
	  handling implemented Bugfix #24514: Fixed RTIA crash after
	  unexpected exception

2008-10-10 15:42  gotthardp

	* libRTI/RTIambassador.cc (3.94): Bugfix #24420 and #24515: Remove
	  throw UnimplementedService.

2008-10-10 15:37  gotthardp

	* libCERTI/: Message_R.cc (3.32), Message_W.cc (3.37): Bugfix
	  #24515: Encoding/decoding for getOrderingName/Handle and
	  getTransportationName/Handle

2008-10-10 14:37  erk

	* doc/: certi_install.cnf.in (3.2), certi_install.dox (3.2),
	  certi_install_doc.tree (3.2), certi_install_header.html (3.1),
	  certi_introduction.dox (3.1), CMakeLists.txt (1.6): Doxygen
	  documentation update

2008-10-10 13:29  jmm

	* libCERTI/CMakeLists.txt (1.16), libCERTI/WinClock.cc (4.2,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  libCERTI/WinPerfClock.cc (4.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/WinPerfClock.hh (4.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  test/utility/CertiUtilTests.cc (1.13): Update Window clock
	  classes We now have "classic" 1ms clock class + "high perf" HW
	  clock class

2008-10-10 12:53  erk

	* test/utility/CertiUtilTests.cc (1.12): Remove unconditionnal
	  #define

2008-10-10 09:34  jmm

	* CMakeLists.txt (1.60), config.h.cmake (1.3, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), libCERTI/CMakeLists.txt (1.15),
	  libCERTI/Clock.hh (4.7), libCERTI/WinClock.cc (4.1),
	  libCERTI/WinClock.hh (4.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), test/utility/CertiUtilTests.cc
	  (1.11): Add WinClock class for windows timer

2008-10-10 01:39  erk

	* CMakeLists.txt (1.59), doc/CMakeLists.txt (1.5),
	  doc/certi_footer.html (3.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), doc/certi_header.html (3.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  doc/certi_user_doc.tree (3.1), doc/index.html (3.4),
	  doc/billard.dox (3.6), doc/billard.dox.in (3.2),
	  doc/certi_doxygen.cnf.in (1.3), doc/certi_install.cnf.in (3.1),
	  doc/certi_install.dox (3.1), doc/DoxyTools.cmake (3.1),
	  doc/certi.css (3.1, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  doc/certi_developer_doc.tree (3.1), doc/certi_user.cnf.in (3.1),
	  doc/user.dox.in (3.2), doc/certi_developer.cnf.in (3.1),
	  doc/certi_install_doc.tree (3.1), doc/reference.dox (3.9),
	  doc/user.dox (3.7): First update for a better Doxygen generated
	  documentation.  Not finished, please don't try to use it now

2008-10-09 22:22  erk

	* libCERTI/: Clock.hh (4.6), PosixClock.hh (4.4, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), TSCClock.hh (4.3, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Missing CERTI_EXPORT for those
	  classes.  Will be needed for the forthcoming WinClock class

2008-10-07 23:03  erk

	* doc/: CMakeLists.txt (1.4), certi-favi.png (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), certi_doc_tree.dox (1.4),
	  certi_doxygen.cnf.in (1.2), certi-favi-16x16.png (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), favicon.ico (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge): Update doxygen
	  documentation

2008-10-07 21:08  erk

	* myconf (3.15), AUTHORS (3.11, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), README (3.2,
	  DEV_before_NoCircularRef_merge): Fix bug #24411: Remove autotools
	  from documentation

2008-10-07 20:46  erk

	* include/: RTI/Enums.h (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTI/Handle.h (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTI/LogicalTimeInterval.h (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTI/RTI1516.h (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTI/RTIambassador.h
	  (1.1, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTI/RTIambassadorFactory.h (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTI/RangeBounds.h (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTI/SpecificConfig.h (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTI/VariableLengthData.h (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTI_RTIambassador.h
	  (1.2), RTI_ServiceGroupIndicator.h (1.2), RTI_set.h (1.2),
	  RTI/Exception.h (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTI/FederateAmbassador.h (1.1,
	  CERTI-3_3_2, DEV_before_NoCircularRef_merge), RTI/LogicalTime.h
	  (1.1, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTI/LogicalTimeFactory.h (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTI/NullFederateAmbassador.h
	  (1.1, CERTI-3_3_2, DEV_before_NoCircularRef_merge),
	  RTI/Typedefs.h (1.1, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), RTI_EncodedLogicalTime.h (1.2),
	  RTI_EncodedLogicalTimeInterval.h (1.2), RTI_LogicalTimeInterval.h
	  (1.2), RTI_LogicalTimeIntervalFactory.h (1.2), RTI_OrderType.h
	  (1.2), RTI_SaveFailureReason.h (1.2), RTI_TransportationType.h
	  (1.2), RTI_bool.h (1.2), RTI_1516.h (1.2),
	  RTI_RTIambassadorFactory.h (1.2), RTI_RangeBounds.h (1.2),
	  RTI_ResignAction.h (1.2), RTI_RestoreStatus.h (1.2),
	  RTI_SynchronizationFailureReason.h (1.2), RTI_Value.h (1.2),
	  RTI_exception.h (1.2), RTI_string.h (1.2), CMakeLists.txt (1.3),
	  RTI_FederateAmbassador.h (1.2), RTI_Handle.h (1.2),
	  RTI_LogicalTime.h (1.2), RTI_LogicalTimeFactory.h (1.2),
	  RTI_SaveStatus.h (1.2), RTI_Typedefs.h (1.2), RTI_map.h (1.2),
	  RTI_memory.h (1.2), RTI_RestoreFailureReason.h (1.2),
	  RTI_SpecificConfig.h.in (1.2), RTI_SpecificPostamble.h (1.2),
	  RTI_SpecificTypedefs.h (1.2), RTI_vector.h (1.2): Install proper
	  SISO-STD-004.1-2004 DLC files

2008-10-02 11:52  gotthardp

	* libRTI/RTIambassador.cc (3.93): Bug #24420: Added empty
	  implementation of getRegion() and getRegionToken()

2008-09-30 15:53  erk

	* include/RTI.hh (3.12): Doxygen comment update

2008-09-30 15:52  erk

	* include/: RTI_Handle.h (1.1), RTI_LogicalTimeFactory.h (1.1),
	  RTI_LogicalTimeIntervalFactory.h (1.1),
	  RTI_RTIambassadorFactory.h (1.1), RTI_SpecificPostamble.h (1.1),
	  RTI_SynchronizationFailureReason.h (1.1),
	  RTI_TransportationType.h (1.1), RTI_exception.h (1.1), RTI_1516.h
	  (1.1), RTI_EncodedLogicalTime.h (1.1), RTI_FederateAmbassador.h
	  (1.1), RTI_LogicalTime.h (1.1), RTI_OrderType.h (1.1),
	  RTI_RangeBounds.h (1.1), RTI_RestoreFailureReason.h (1.1),
	  RTI_SpecificConfig.h.in (1.1), RTI_SpecificTypedefs.h (1.1),
	  RTI_vector.h (1.1), RTI_EncodedLogicalTimeInterval.h (1.1),
	  RTI_ResignAction.h (1.1), RTI_RestoreStatus.h (1.1),
	  RTI_SaveStatus.h (1.1), RTI_ServiceGroupIndicator.h (1.1),
	  RTI_Typedefs.h (1.1), RTI_Value.h (1.1), RTI_memory.h (1.1),
	  RTI_set.h (1.1), RTI_string.h (1.1), RTI_LogicalTimeInterval.h
	  (1.1), RTI_RTIambassador.h (1.1), RTI_SaveFailureReason.h (1.1),
	  RTI_bool.h (1.1), RTI_map.h (1.1): Add RTI 1516 headers taken
	  from IEEE-1516-2000 the main header is RTI_1516.h

2008-09-30 11:34  erk

	* doc/certi_doc_tree.dox (1.3): Small doxygen doc update

2008-09-29 23:44  erk

	* acinclude.m4 (3.3), autogen.sh (1.4), Makefile.am (3.14),
	  configure.in (3.36), libCERTI/Makefile.am (3.37),
	  RTIG/Makefile.am (3.9), doc/Makefile.am (3.6),
	  test/Billard/Makefile.am (3.18), test/libgraphc/Makefile.am
	  (3.3), RTIA/Makefile.am (3.10), libRTI/Makefile.am (3.7),
	  test/utility/Makefile.am (1.2), include/Makefile.am (3.7),
	  test/Makefile.am (3.4): Suppress autoconf support files

2008-09-29 23:05  erk

	* CMakeLists.txt (1.58): Add libHLA to mainstream CERTI

2008-09-29 23:05  erk

	* libHLA/HLAbuffer.hh (1.2): Fix compiler warning (gcc 4.3.2-1)
	  telling that free/malloc were undeclared

2008-09-29 14:31  erk

	* include/baseTypes.hh (3.12), libCERTI/Exception.cc (3.14): Fix
	  bug #24403 : RTI::Exception::displayMe() returns temporary may
	  fix bug #23755 : rtig crashed when directly closed one billard
	  federate application

2008-09-29 10:41  erk

	* ReleaseNotes.txt (3.3, DEV_before_NoCircularRef_merge): test
	  continuous build

2008-09-27 00:29  erk

	* CMakeLists.txt (1.57), CTestConfig.cmake (1.1): Add CDash support
	  see: http://www.cdash.org/CDashPublic/index.php?project=CERTI

2008-09-25 10:54  gotthardp

	* scripts/FindRTI.cmake (1.4): Bugfix: Save and restore the system
	  variables.

2008-09-24 19:00  gotthardp

	* scripts/FindRTI.cmake (1.3): Improved based on Philip Lowman
	  comments.  This is a CMake 2.4 compatible version. The version
	  sent to CMake is 2.6 only.

2008-09-24 14:53  erk

	* libCERTI/Object.cc (3.24, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge): Fix bug #24362 : Memleak in
	  ObjectClass

2008-09-22 09:37  gotthardp

	* scripts/FindRTI.cmake (1.2): Version sent to CMake. Added
	  additional comments explaining what is HLA RTI.

2008-09-21 18:46  gotthardp

	* libCERTI/: NetworkMessage.cc (3.38, CERTI-3_3_2,
	  DEV_before_NoCircularRef_merge), SocketUDP.cc (3.22): Initialize
	  variables. This is mainly to avoid false Valgrind errors, so the
	  true errors can be more easily detected.

2008-09-21 13:15  erk

	* CMakeLists.txt (1.56): Change cvs version to 3.3.2cvs

2008-09-21 13:04  erk

	* CMakeLists.txt (1.55, CERTI-3_3_1): Prepare CERTI 3.3.1

2008-09-21 12:48  erk

	* myCERTI_env.csh.in (3.4), myCERTI_env.sh.in (1.6) (utags:
	  CERTI-3_3_1): Fix PATH update for scripts

2008-09-19 15:20  erk

	* CMakeLists.txt (1.54): Fix Typo

2008-09-18 19:19  erk

	* include/certi.hh (3.35, CERTI-3_3_1): Suppress unused type

2008-09-18 19:13  erk

	* libCERTI/Object.cc (3.23, CERTI-3_3_1), libCERTI/Object.hh (3.19,
	  CERTI-3_3_1), RTIG/FederationsList.cc (3.60, CERTI-3_3_1),
	  RTIG/FederationsList.hh (3.45, CERTI-3_3_1), include/certi.hh
	  (3.34): One char* type less :=)

2008-09-18 16:47  gotthardp

	* libRTI/RTIambassador.cc (3.92, CERTI-3_3_1): BUGFIX: Mask SIGINT
	  sent to RTIA; first part of solution for bug #24279.

2008-09-18 16:41  gotthardp

	* RTIA/ObjectManagement.cc (3.52, CERTI-3_3_1),
	  RTIA/ObjectManagement.hh (3.25, CERTI-3_3_1),
	  RTIA/RTIA_federate.cc (3.88, CERTI-3_3_1), RTIA/TimeManagement.cc
	  (3.45, CERTI-3_3_1), RTIG/Federation.cc (3.97, CERTI-3_3_1),
	  RTIG/Federation.hh (3.51, CERTI-3_3_1), RTIG/FederationsList.cc
	  (3.59), RTIG/FederationsList.hh (3.44), RTIG/RTIG_processing.cc
	  (3.77, CERTI-3_3_1), include/certi.hh (3.33),
	  libCERTI/Interaction.cc (3.43, CERTI-3_3_1),
	  libCERTI/Interaction.hh (3.29, CERTI-3_3_1),
	  libCERTI/InteractionSet.cc (3.23, CERTI-3_3_1),
	  libCERTI/InteractionSet.hh (3.18, CERTI-3_3_1),
	  libCERTI/Message.cc (3.60, CERTI-3_3_1), libCERTI/Message.hh
	  (3.50, CERTI-3_3_1), libCERTI/MessageBuffer.cc (3.13,
	  CERTI-3_3_1), libCERTI/Message_R.cc (3.31, CERTI-3_3_1),
	  libCERTI/Message_W.cc (3.36, CERTI-3_3_1), libCERTI/NM_Classes.cc
	  (3.13, CERTI-3_3_1), libCERTI/NetworkMessage.cc (3.37,
	  CERTI-3_3_1), libCERTI/NetworkMessage.hh (3.43, CERTI-3_3_1),
	  libCERTI/ObjectClass.cc (3.53, CERTI-3_3_1),
	  libCERTI/ObjectClass.hh (3.37, CERTI-3_3_1),
	  libCERTI/ObjectClassBroadcastList.cc (3.25, CERTI-3_3_1),
	  libCERTI/ObjectClassSet.cc (3.39, CERTI-3_3_1),
	  libCERTI/ObjectClassSet.hh (3.31, CERTI-3_3_1): BUGFIX:
	  valueArray changed to std::string, should fix bugs #23873,
	  #23921, #24294

2008-09-17 13:59  erk

	* libCERTI/MessageBuffer.cc (3.12): Fix read_string in order to
	  avoid stupid \0 addition and use std::string::assign

2008-09-13 20:59  gotthardp

	* CMakeLists.txt (1.53), scripts/FindRTI.cmake (1.1, CERTI-3_3_1):
	  BUG #24248: Implemented FindRTI.cmake

2008-08-02 16:03  gotthardp

	* libHLA/: CMakeLists.txt (1.3, CERTI-3_3_1), HLAbasicType.hh (1.1,
	  CERTI-3_3_1), HLAbuffer.cc (1.1, CERTI-3_3_1), HLAbuffer.hh (1.1,
	  CERTI-3_3_1), HLAenumeratedType.hh (1.1, CERTI-3_3_1),
	  HLAfixedArray.hh (1.1, CERTI-3_3_1), HLAfixedRecord.hh (1.1,
	  CERTI-3_3_1), HLAtypesIEEE1516.cc (1.2), HLAtypesIEEE1516.hh
	  (1.4, CERTI-3_3_1), HLAvariableArray.hh (1.1, CERTI-3_3_1),
	  HLAvariantRecord.hh (1.1, CERTI-3_3_1): HLAtypesIEEE1516.hh
	  separated into several files for better maintainability and
	  extensibility.  HLAbuffer.cc renamed due to "implicit include"
	  mechanism of Sun's C++.

2008-08-02 13:44  gotthardp

	* libHLA/: HLAtypesIEEE1516.hh (1.3), hlaomtdif2cpp.py (1.2,
	  CERTI-3_3_1): New feature: Support for HLAvariantRecord.

2008-07-17 18:03  gotthardp

	* libHLA/: CMakeLists.txt (1.2), HLAtypesIEEE1516.hh (1.2),
	  hlaomtdif2cpp.py (1.1): Initial implementation of automatic
	  datatype generation XML SOM/FOM --> C++

2008-07-16 10:11  rousse

	* libCERTI/Interaction.cc (3.42): I apologize about this very
	  stupid bug. I think this correction will be Ok

2008-07-15 12:54  gotthardp

	* libHLA/: CMakeLists.txt (1.1), HLAtypesIEEE1516.cc (1.1),
	  HLAtypesIEEE1516.hh (1.1): Initial implementation of IEEE 1516.2
	  compliant data encoding (patch #6534).

2008-07-15 09:09  erk

	* libHLA/00README_libHLA.txt (1.1, CERTI-3_3_1): Create libHLA
	  directory Will add CMakeLists.txt and source code later.

2008-07-15 08:56  erk

	* CMakeLists.txt (1.52.2.1), configure.in (3.35.2.1): Change
	  version in order to indicate branch

2008-07-11 16:56  approx

	* RTIA/RTIA_network.cc (3.27, CERTI-3_3_1): callbacks TRE/TCE now
	  commands, all tests passed

2008-07-11 08:06  erk

	* libCERTI/NetworkMessage.hh (3.42): LAST should be last :=)

2008-07-10 22:20  approx

	* RTIA/DeclarationManagement.cc (3.22, CERTI-3_3_1), RTIG/RTIG.cc
	  (3.49, CERTI-3_3_1), libCERTI/NM_Classes.cc (3.12),
	  libCERTI/NM_Classes.hh (3.8, CERTI-3_3_1),
	  libCERTI/NetworkMessage.hh (3.41), libRTI/RTIambassador.cc
	  (3.91): Next step regarding switches.
	  SetClassRelevanceAdvisorySwitch transmitted to RTIG.	To be
	  continued ...

2008-07-10 16:05  erk

	* RTIA/RTIA_federate.cc (3.87), libCERTI/fed.cc (3.16,
	  CERTI-3_3_1): merge patch #6564 : Remove Fed file dump from Rtia
	  from Patrice Carle Avoid printing FED file on RTIA start-up

2008-07-09 18:43  rousse

	* RTIG/RTIG_processing.cc (3.76): Little enhancements on
	  auditserver (i.e. RTIG.log file)

2008-07-09 17:04  rousse

	* libCERTI/: ObjectClassBroadcastList.cc (3.24), SecurityServer.cc
	  (3.14, CERTI-3_3_1): #23755 BUG correction. Need more validation

2008-07-09 15:48  erk

	* RTIA/DeclarationManagement.cc (3.21),
	  RTIA/DeclarationManagement.hh (3.9, CERTI-3_3_1),
	  RTIA/ObjectManagement.cc (3.51), RTIA/ObjectManagement.hh (3.24),
	  RTIA/RTIA_federate.cc (3.86), libRTI/RTIambassador.cc (3.90),
	  libCERTI/Message_R.cc (3.30), libCERTI/Message_W.cc (3.35):
	  Applied switch.patch1 from Christian Stenzel
	  https://savannah.nongnu.org/task/?6893 A first step to implement
	  switches.

2008-07-09 15:34  erk

	* CMakeLists.txt (1.52): Add a default CPACK_PACKAGE_CONTACT

2008-07-03 21:54  gotthardp

	* RTIG/Federation.cc (3.96): Bug #23747 fixed.

2008-07-02 11:35  erk

	* CMakeLists.txt (1.51), configure.in (3.35, CERTI-3_3_1): Change
	  from 3.3.0 to 3.3.1cvs for cvs version

2008-07-02 11:13  erk

	* CMakeLists.txt (1.50), configure.in (3.34) (utags: CERTI-3_3_0):
	  CERTI 3.3.0 release

2008-06-27 11:54  rousse

	* RTIG/Federation.cc (3.95), libCERTI/SecurityServer.cc (3.13),
	  libCERTI/SocketServer.cc (3.17) (utags: CERTI-3_3_0): #23725 BUG,
	  avoid rtig crashes, but other works are needed

2008-06-27 10:22  erk

	* RTIA/RTIA.cc (3.24), libCERTI/TSCClock.cc (4.4) (utags:
	  CERTI-3_3_0): Fix bug #23722 : Compilation errors with gcc 3.4.0
	  at Fedora 9

2008-06-25 16:23  erk

	* test/Billard/Billard.cc (3.40, CERTI-3_3_0): Use MessageBuffer in
	  order to handle heterogeneity  in the billard.   [second part for
	  interaction]

	  This is a temporary solution before using plain IEEE-1516 type
	  encoding.

2008-06-25 15:52  erk

	* test/Billard/Billard.cc (3.39): Use MessageBuffer in order to
	  handle heterogeneity in the billard.	This is a temporary
	  solution before using plain IEEE-1516 type encoding.

2008-06-25 11:08  erk

	* TODO (3.3, CERTI-3_3_0): Update TODO

2008-06-25 11:04  erk

	* myconf (3.14, CERTI-3_3_0): Indicate autoconf related script are
	  obsolete

2008-06-25 11:00  erk

	* INSTALL (3.1), NEWS (3.2): Supress obsolete files

2008-06-25 11:00  erk

	* ReleaseProcess.txt (1.4, CERTI-3_3_0): Update ReleaseProcess to
	  include other tests and note the possible dtest usage.

2008-06-25 10:56  erk

	* CERTI_DESCRIPTION.txt (1.2, CERTI-3_3_0): Update CERTI
	  Description

2008-06-25 10:28  erk

	* CMakeLists.txt (1.49), configure.in (3.33): Prepare CERTI 3.3.0

2008-06-25 10:28  erk

	* RTIA/Makefile.am (3.9, CERTI-3_3_0): Update Makefile.am

2008-06-25 10:27  erk

	* libCERTI/GAV.hh (3.12, CERTI-3_3_0): Suppress spurious forward
	  declaration

2008-06-24 16:08  jmm

	* libCERTI/SocketUN.cc (3.26, CERTI-3_3_0): Fix WIN32 bug

2008-06-24 14:23  rousse

	* RTIG/Federation.cc (3.94), include/certi.hh (3.32, CERTI-3_3_0),
	  libCERTI/Interaction.cc (3.41, CERTI-3_3_0), libCERTI/Message.cc
	  (3.59, CERTI-3_3_0), libCERTI/ObjectBroadcastLine.hh (3.6),
	  libCERTI/SecurityLevel.hh (3.10, CERTI-3_3_0): Summer cleaning

2008-06-24 14:10  jmm

	* libCERTI/SocketUN.cc (3.25): Fix WIN32 error after _no buffer
	  usage_ since JYR fixed large UAV value

2008-06-24 14:05  erk

	* RTIA/: RTIA.ggo (1.3), RTIA_cmdline.c (1.2) (utags: CERTI-3_3_0):
	  Should include getopt (aka use gengetopt -G) in order to avoid
	  dependency (for WIN32)

2008-06-24 11:16  erk

	* CMakeLists.txt (1.48): Add option in order to use full rpath

2008-06-24 11:09  erk

	* libCERTI/: SocketTCP.cc (3.25, CERTI-3_3_0), SocketUN.cc (3.24):
	  Fix compiler warning

2008-06-24 10:56  rousse

	* RTIA/ObjectManagement.cc (3.50, CERTI-3_3_0),
	  RTIA/RTIA_federate.cc (3.85, CERTI-3_3_0), include/certi.hh
	  (3.31), libCERTI/Interaction.cc (3.40), libCERTI/Message.cc
	  (3.58), libCERTI/Message.hh (3.49, CERTI-3_3_0),
	  libCERTI/Message_R.cc (3.29, CERTI-3_3_0), libCERTI/Message_W.cc
	  (3.34, CERTI-3_3_0), libCERTI/NM_Classes.cc (3.11, CERTI-3_3_0),
	  libCERTI/NetworkMessage.cc (3.36, CERTI-3_3_0),
	  libCERTI/NetworkMessage.hh (3.40, CERTI-3_3_0),
	  libCERTI/ObjectClass.cc (3.52, CERTI-3_3_0),
	  libCERTI/ObjectClassBroadcastList.cc (3.23, CERTI-3_3_0),
	  libCERTI/SocketTCP.hh (3.21, CERTI-3_3_0), libCERTI/SocketUN.hh
	  (3.16, CERTI-3_3_0), libRTI/RTIambassador.cc (3.89, CERTI-3_3_0):
	  #23329 continued : MAX_BYTES_PER_VALUE suppressed

2008-06-23 21:02  erk

	* test/Billard/main.cc (3.23, CERTI-3_3_0): Fix compiler warning on
	  Solaris with Sun Studio

2008-06-23 15:25  erk

	* libCERTI/NM_Classes.hh (3.7, CERTI-3_3_0),
	  libCERTI/NetworkMessage.hh (3.39), libCERTI/ObjectClassSet.hh
	  (3.30, CERTI-3_3_0), libCERTI/PosixClock.hh (4.3, CERTI-3_3_0),
	  libCERTI/Subscribable.cc (3.8, CERTI-3_3_0), libCERTI/Clock.cc
	  (4.4, CERTI-3_3_0), libCERTI/Clock.hh (4.5, CERTI-3_3_0),
	  libCERTI/FedRegion.hh (3.3, CERTI-3_3_0), libCERTI/LBTS.cc (3.11,
	  CERTI-3_3_0), libCERTI/MessageBuffer.cc (3.11, CERTI-3_3_0),
	  libCERTI/Named.cc (3.6, CERTI-3_3_0), libCERTI/Named.hh (3.5,
	  CERTI-3_3_0), libCERTI/ObjectClassSet.cc (3.38, CERTI-3_3_0),
	  libCERTI/PosixClock.cc (4.4, CERTI-3_3_0),
	  test/Billard/Billard.cc (3.38), RTIA/FederationManagement.cc
	  (3.68, CERTI-3_3_0), RTIG/Federation.cc (3.93): Merge in Petr
	  patch for bug #23666 : Compilation errors with Sun Studio 12

2008-06-23 14:49  erk

	* RTIA/CMakeLists.txt (1.5, CERTI-3_3_0), RTIA/Communications.cc
	  (3.31, CERTI-3_3_0), RTIA/Communications.hh (3.15, CERTI-3_3_0),
	  RTIA/RTIA.cc (3.23), RTIA/RTIA.hh (3.14, CERTI-3_3_0),
	  RTIA/main.cc (3.21, CERTI-3_3_0), libCERTI/SocketUN.cc (3.23),
	  libCERTI/SocketUN.hh (3.15): Add -p option to RTIA main in order
	  to make it possible to choose port from command line.  (this is
	  not the default behavior though)

2008-06-23 14:48  erk

	* RTIA/: RTIA.ggo (1.2), RTIA_cmdline.c (1.1), RTIA_cmdline.h (1.1,
	  CERTI-3_3_0): Add gengetopt command line parser for RTIA

2008-06-20 15:12  erk

	* RTIA/RTIA.ggo (1.1): Gengetopt conf file for RTIA

2008-06-19 16:19  erk

	* RTIG/RTIG.cc (3.48, CERTI-3_3_0): Correct macro is _WIN32 WIN32
	  (without _ prefix) is only defined by CMake

2008-06-19 15:56  jmm

	* RTIG/: Federation.hh (3.50, CERTI-3_3_0), RTIG.cc (3.47), RTIG.hh
	  (3.29, CERTI-3_3_0), main.cc (3.17, CERTI-3_3_0): RTIG.cc Exit
	  from RTIG :  For avoinding crash on exit after CTRl(C) action,
	  include a watchdog within select function to check "terminate
	  bool variable"

2008-06-18 15:46  erk

	* libCERTI/ObjectClass.cc (3.51): Avoid not portable __FUNCTION__
	  predefined macro (sun CC does not seem to define it)

2008-06-18 15:11  erk

	* libCERTI/SocketUN.cc (3.22): Quick fix for WIN32 compilation

2008-06-18 13:14  erk

	* CMakeLists.txt (1.47), libCERTI/SocketUN.cc (3.21),
	  libCERTI/SocketUN.hh (3.14): Add option in order to use TCP
	  socket for RTIA<-->Federate communication on Unix platform.  One
	  should use the RTIA_USE_TCP option with CMake

2008-06-18 13:13  erk

	* test/Billard/CMakeLists.txt (1.6, CERTI-3_3_0): Install dtest
	  script for billard, this way we may do sanity check more easily
	  if dtest is available

2008-06-18 12:02  erk

	* RTIA/TimeManagement.cc (3.44, CERTI-3_3_0): Add some more trace
	  regardind message delivery

2008-06-18 08:40  erk

	* RTIA/TimeManagement.cc (3.43): Use proper floating point
	  comparison +More debug output

2008-06-16 16:02  erk

	* libCERTI/: CMakeLists.txt (1.14, CERTI-3_3_0), Makefile.am (3.36,
	  CERTI-3_3_0), MessageBody.cc (3.19), MessageBody.hh (3.17):
	  Suppress no more used and empty MessageBody.*

2008-06-16 11:03  rousse

	* RTIG/Federation.cc (3.92), include/certi.hh (3.30),
	  libCERTI/SecurityLevel.hh (3.9), libCERTI/SecurityServer.cc
	  (3.12), test/Billard/Billard.cc (3.37): #23329 BUG, dleteing
	  others some constants. To be continued.

2008-06-13 12:55  erk

	* RTIA/RTIA.cc (3.22), RTIA/RTIA_federate.cc (3.84),
	  libCERTI/Object.cc (3.22, CERTI-3_3_0), libCERTI/ObjectClass.cc
	  (3.50), libCERTI/RootObject.hh (3.29, CERTI-3_3_0),
	  RTIA/Communications.cc (3.30): Fix some memleak.

2008-06-13 12:54  erk

	* libCERTI/SocketUDP.cc (3.21, CERTI-3_3_0): avoid C-style cast and
	  fix memleak

2008-06-12 09:39  erk

	* libCERTI/ObjectClass.cc (3.49), libCERTI/RootObject.cc (3.34,
	  CERTI-3_3_0), libCERTI/Subscribable.cc (3.7),
	  libCERTI/Dimension.cc (3.8, CERTI-3_3_0), libCERTI/FedTime.cc
	  (3.14, CERTI-3_3_0), libCERTI/GAV_aux.cc (3.17, CERTI-3_3_0),
	  libCERTI/MessageBuffer.cc (3.10), libCERTI/NetworkMessage.cc
	  (3.35), libCERTI/RoutingSpace.cc (3.15, CERTI-3_3_0),
	  libCERTI/SocketMC.cc (3.15, CERTI-3_3_0),
	  RTIA/OwnershipManagement.cc (3.16, CERTI-3_3_0),
	  libCERTI/Exception.cc (3.13, CERTI-3_3_0), libCERTI/Message.cc
	  (3.57), libCERTI/SecureTCPSocket.cc (3.10, CERTI-3_3_0),
	  libCERTI/SocketTCP.cc (3.24), libCERTI/SocketUDP.cc (3.20),
	  test/Billard/Billard.cc (3.36), test/Billard/BillardDDM.cc (3.21,
	  CERTI-3_3_0), test/Billard/main.cc (3.22), RTIA/Communications.cc
	  (3.29), RTIA/FederationManagement.cc (3.67),
	  RTIA/ObjectManagement.cc (3.49), RTIG/Federate.cc (3.15,
	  CERTI-3_3_0), RTIG/Federation.cc (3.91), RTIG/RTIG.cc (3.46),
	  RTIG/RTIG_processing.cc (3.75, CERTI-3_3_0),
	  libRTI/RTIambassador.cc (3.88), test/utility/CertiUtilTests.cc
	  (1.10, CERTI-3_3_0): Fix bug #23538 : Lots of warning when
	  compiling with gcc version 4.3.1

2008-06-11 17:19  rousse

	* RTIA/ObjectManagement.cc (3.48), RTIA/ObjectManagement.hh (3.23,
	  CERTI-3_3_0), RTIA/RTIA_federate.cc (3.83),
	  RTIA/TimeManagement.cc (3.42), RTIG/Federation.cc (3.90),
	  RTIG/Federation.hh (3.49), RTIG/FederationsList.cc (3.58,
	  CERTI-3_3_0), RTIG/FederationsList.hh (3.43, CERTI-3_3_0),
	  RTIG/RTIG_processing.cc (3.74), include/certi.hh (3.29),
	  libCERTI/Interaction.cc (3.39), libCERTI/Interaction.hh (3.28,
	  CERTI-3_3_0), libCERTI/InteractionSet.cc (3.22, CERTI-3_3_0),
	  libCERTI/InteractionSet.hh (3.17, CERTI-3_3_0),
	  libCERTI/Message.cc (3.56), libCERTI/Message.hh (3.48),
	  libCERTI/Message_R.cc (3.28), libCERTI/Message_W.cc (3.33),
	  libCERTI/NM_Classes.cc (3.10), libCERTI/NM_Classes.hh (3.6),
	  libCERTI/NetworkMessage.cc (3.34), libCERTI/NetworkMessage.hh
	  (3.38), libCERTI/ObjectClass.cc (3.48), libCERTI/ObjectClass.hh
	  (3.36, CERTI-3_3_0), libCERTI/ObjectClassBroadcastList.cc (3.22),
	  libCERTI/ObjectClassBroadcastList.hh (3.10, CERTI-3_3_0),
	  libCERTI/ObjectClassSet.cc (3.37), libCERTI/ObjectClassSet.hh
	  (3.29): #23329 BUG correction (MAX_ATTRIBUTES_PER_CLASS
	  suppressed) and to be continued

2008-06-10 15:41  rousse

	* RTIA/DataDistribution.cc (3.25, CERTI-3_3_0),
	  RTIA/DataDistribution.hh (3.16, CERTI-3_3_0),
	  RTIA/DeclarationManagement.cc (3.20, CERTI-3_3_0),
	  RTIA/DeclarationManagement.hh (3.8, CERTI-3_3_0),
	  RTIA/FederationManagement.cc (3.66), RTIA/FederationManagement.hh
	  (3.24, CERTI-3_3_0), RTIA/ObjectManagement.cc (3.47),
	  RTIA/ObjectManagement.hh (3.22), RTIA/OwnershipManagement.cc
	  (3.15), RTIA/OwnershipManagement.hh (3.8, CERTI-3_3_0),
	  RTIA/RTIA_federate.cc (3.82), RTIA/TimeManagement.cc (3.41),
	  RTIG/Federation.cc (3.89), RTIG/Federation.hh (3.48),
	  RTIG/FederationsList.cc (3.57), RTIG/FederationsList.hh (3.42),
	  RTIG/RTIG_processing.cc (3.73), libCERTI/Interaction.cc (3.38),
	  libCERTI/Interaction.hh (3.27), libCERTI/InteractionSet.cc
	  (3.21), libCERTI/InteractionSet.hh (3.16), libCERTI/Message.cc
	  (3.55), libCERTI/Message.hh (3.47), libCERTI/Message_R.cc (3.27),
	  libCERTI/Message_W.cc (3.32), libCERTI/NM_Classes.cc (3.9),
	  libCERTI/NetworkMessage.cc (3.33), libCERTI/NetworkMessage.hh
	  (3.37), libCERTI/ObjectClass.cc (3.47), libCERTI/ObjectClass.hh
	  (3.35), libCERTI/ObjectClassSet.cc (3.36),
	  libCERTI/ObjectClassSet.hh (3.28), libCERTI/ObjectSet.cc (3.22,
	  CERTI-3_3_0), libCERTI/ObjectSet.hh (3.13, CERTI-3_3_0),
	  libRTI/RTIambassador.cc (3.87): #23329 BUG continued
	  (handleArray, size unlimited) to be continued.

2008-06-09 13:17  siron

	* RTIA/: FederationManagement.cc (3.65), main.cc (3.20): Remove the
	  message "NetworkError Exception" in the case of a normal end.

2008-06-04 17:08  tag before_handleArray_vector

2008-06-04 17:08  rousse

	* libRTI/RTIambassador.cc (3.86, before_handleArray_vector): About
	  Tag NULL

2008-06-04 09:42  siron

	* myconf (3.13), libCERTI/HandleManager.hh (3.4, CERTI-3_3_0)
	  (utags: before_handleArray_vector): The handles must be unique in
	  a federation.

2008-06-03 16:16  rousse

	* libCERTI/Message.cc (3.54, before_handleArray_vector),
	  libRTI/RTIambassador.cc (3.85), test/Billard/Billard.cc (3.35,
	  before_handleArray_vector): #23469 Bug correction : Tag null in
	  sendInteraction not allowed

2008-06-03 10:45  rousse

	* RTIA/FederationManagement.cc (3.64, before_handleArray_vector),
	  RTIA/RTIA_federate.cc (3.81, before_handleArray_vector),
	  RTIA/TimeManagement.cc (3.40, before_handleArray_vector),
	  RTIA/TimeManagement.hh (3.18, CERTI-3_3_0,
	  before_handleArray_vector), libCERTI/Message_R.cc (3.26,
	  before_handleArray_vector), libCERTI/Message_W.cc (3.31,
	  before_handleArray_vector), libRTI/RTIambassador.cc (3.84),
	  test/Billard/Billard.cc (3.34): #23460 bug corrected, Carle
	  please test it

2008-06-02 09:57  tag IESTA_V0

2008-06-02 09:57  rousse

	* libCERTI/Message_W.cc (3.30, IESTA_V0): Oups ! Missing something
	  important in write Message

2008-05-30 16:04  erk

	* libCERTI/: BasicMessage.hh (3.12), NetworkMessage_RW.cc (3.51)
	  (utags: CERTI-3_3_0, IESTA_V0, before_handleArray_vector): Really
	  get rid-of per Message  msgBuf

2008-05-30 16:01  erk

	* libCERTI/NetworkMessage.hh (3.36, IESTA_V0,
	  before_handleArray_vector), libCERTI/ObjectClass.hh (3.34,
	  IESTA_V0, before_handleArray_vector),
	  test/Billard/dtest_billard.py (1.5, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector), RTIG/Federation.hh (3.47, IESTA_V0,
	  before_handleArray_vector), RTIG/RTIG_processing.cc (3.72,
	  IESTA_V0, before_handleArray_vector),
	  libCERTI/InteractionBroadcastList.cc (3.13, CERTI-3_3_0,
	  IESTA_V0, before_handleArray_vector),
	  libCERTI/InteractionBroadcastList.hh (3.9, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector), libCERTI/NM_Classes.cc (3.8,
	  IESTA_V0, before_handleArray_vector), libCERTI/NM_Classes.hh
	  (3.5, IESTA_V0, before_handleArray_vector),
	  libCERTI/NetworkMessage_RW.cc (3.50), libCERTI/ObjectClass.cc
	  (3.46, IESTA_V0, before_handleArray_vector),
	  libCERTI/ObjectClassBroadcastList.cc (3.21, IESTA_V0,
	  before_handleArray_vector), libCERTI/ObjectClassBroadcastList.hh
	  (3.9, IESTA_V0, before_handleArray_vector), libCERTI/ObjectSet.cc
	  (3.21, IESTA_V0, before_handleArray_vector),
	  libCERTI/ObjectSet.hh (3.12, IESTA_V0,
	  before_handleArray_vector), RTIA/Communications.cc (3.28,
	  IESTA_V0, before_handleArray_vector), RTIA/Communications.hh
	  (3.14, IESTA_V0, before_handleArray_vector), RTIG/Federation.cc
	  (3.88, IESTA_V0, before_handleArray_vector), RTIG/RTIG.cc (3.45,
	  IESTA_V0, before_handleArray_vector), RTIG/RTIG.hh (3.28,
	  IESTA_V0, before_handleArray_vector): Minimize MessageBuffer
	  allocation used for NetworkMessage.

2008-05-30 11:49  rousse

	* libCERTI/BasicMessage.hh (3.11), libCERTI/Message.hh (3.46,
	  IESTA_V0, before_handleArray_vector), libCERTI/Message_R.cc
	  (3.25, IESTA_V0), libCERTI/Message_W.cc (3.29),
	  libRTI/RTIambassador.cc (3.83, IESTA_V0): #23329 BUG continued
	  and to be continued

2008-05-29 14:20  rousse

	* RTIA/Communications.cc (3.27), RTIA/Communications.hh (3.13),
	  RTIA/FederationManagement.cc (3.63, IESTA_V0),
	  RTIA/FederationManagement.hh (3.23, IESTA_V0,
	  before_handleArray_vector), RTIA/ObjectManagement.cc (3.46,
	  IESTA_V0, before_handleArray_vector), RTIA/ObjectManagement.hh
	  (3.21, IESTA_V0, before_handleArray_vector),
	  RTIA/OwnershipManagement.cc (3.14, IESTA_V0,
	  before_handleArray_vector), RTIA/OwnershipManagement.hh (3.7,
	  IESTA_V0, before_handleArray_vector), RTIA/RTIA.cc (3.21,
	  IESTA_V0, before_handleArray_vector), RTIA/RTIA_federate.cc
	  (3.80, IESTA_V0), RTIG/Federation.cc (3.87), RTIG/RTIG.cc (3.44),
	  RTIG/RTIG_processing.cc (3.71), include/certi.hh (3.28, IESTA_V0,
	  before_handleArray_vector), libCERTI/BasicMessage.cc (3.12,
	  CERTI-3_3_0, IESTA_V0, before_handleArray_vector),
	  libCERTI/BasicMessage.hh (3.10), libCERTI/Message.cc (3.53,
	  IESTA_V0), libCERTI/Message.hh (3.45), libCERTI/MessageBody.cc
	  (3.18, IESTA_V0, before_handleArray_vector),
	  libCERTI/MessageBody.hh (3.16, IESTA_V0,
	  before_handleArray_vector), libCERTI/Message_R.cc (3.24),
	  libCERTI/Message_W.cc (3.28), libCERTI/ObjectClass.cc (3.45),
	  libCERTI/ObjectClass.hh (3.33), libCERTI/ObjectClassSet.cc (3.35,
	  IESTA_V0, before_handleArray_vector), libCERTI/ObjectClassSet.hh
	  (3.27, IESTA_V0, before_handleArray_vector),
	  libCERTI/ObjectSet.cc (3.20), libCERTI/ObjectSet.hh (3.11),
	  libCERTI/RootObject.cc (3.33, IESTA_V0,
	  before_handleArray_vector), libCERTI/RootObject.hh (3.28,
	  IESTA_V0, before_handleArray_vector), libRTI/RTIambPrivateRefs.cc
	  (3.13, CERTI-3_3_0, IESTA_V0, before_handleArray_vector),
	  libRTI/RTIambPrivateRefs.hh (3.5, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector), libRTI/RTIambassador.cc (3.82): #bug
	  23329 and others, correction (beginning)
	  BUFFER_SIZE_DEFAULT,MAX_FEDERATE_NAME_LENGTH,MAX_PARAMETERS_CLASS
	  suppressed

2008-05-27 14:26  tag dev_before_dynbuffer

2008-05-27 14:26  jmm

	* RTIA/ObjectManagement.cc (3.45), RTIA/RTIA_federate.cc (3.79),
	  libCERTI/PrettyDebug.cc (4.9, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector) (utags: dev_before_dynbuffer): Fix bug
	  #23358 : libgen.h missing

2008-05-27 09:51  rousse

	* RTIA/ObjectManagement.cc (3.44), RTIA/RTIA_federate.cc (3.78),
	  libCERTI/Message.hh (3.44, dev_before_dynbuffer),
	  libCERTI/Message_W.cc (3.27, dev_before_dynbuffer),
	  libRTI/RTIambassador.cc (3.81, dev_before_dynbuffer): Dynamic
	  management of Message Buffer (beginning)

2008-05-23 14:37  erk

	* libCERTI/NetworkMessage.hh (3.35),
	  libCERTI/ObjectClassBroadcastList.cc (3.20),
	  RTIG/RTIG_processing.cc (3.70), libCERTI/NM_Classes.cc (3.7),
	  libCERTI/NM_Classes.hh (3.4) (utags: dev_before_dynbuffer): get
	  rid of "NetworkMessage::boolean" multi-usage field.

2008-05-22 14:20  erk

	* libCERTI/Message_W.cc (3.26), libCERTI/NM_Classes.hh (3.3),
	  libCERTI/Message_R.cc (3.23, dev_before_dynbuffer),
	  libCERTI/NM_Classes.cc (3.6), RTIG/RTIG.cc (3.43,
	  dev_before_dynbuffer), RTIG/RTIG.hh (3.27, dev_before_dynbuffer),
	  RTIG/RTIG_processing.cc (3.69), RTIA/FederationManagement.cc
	  (3.62, dev_before_dynbuffer): Should fix synchronization trouble.
	  bug #23313 : Billard : 3rd federate never synchronizes

2008-05-16 10:54  rousse

	* libCERTI/PrettyDebug.cc (4.8): minimize trace by keeping only
	  basename

2008-05-15 14:41  erk

	* RTIA/Statistics.cc (3.16, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): Declaration of
	  NetworkMessage::TIME_REGULATION_ENABLED
	  NetworkMessage::TIME_CONSTRAINED_ENABLED was missing

2008-05-13 15:03  rousse

	* RTIA/ObjectManagement.cc (3.43), RTIA/RTIA_federate.cc (3.77),
	  libCERTI/ObjectClass.cc (3.44, dev_before_dynbuffer),
	  libCERTI/ObjectClassSet.cc (3.34, dev_before_dynbuffer),
	  libRTI/RTIambassador.cc (3.80): Better management exception on
	  Get attribute Handle

2008-05-12 14:16  erk

	* libRTI/RTIambassador.cc (3.79), libCERTI/Message_W.cc (3.25),
	  libCERTI/NM_Classes.hh (3.2), libCERTI/NetworkMessage.hh (3.34),
	  RTIA/TimeManagement.cc (3.39, IESTA_V0, dev_before_dynbuffer),
	  libCERTI/Message_R.cc (3.22), libCERTI/NM_Classes.cc (3.5),
	  libCERTI/PrettyDebEx.cc (4.4, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  RTIA/RTIA_network.cc (3.26, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  RTIA/TimeManagement.hh (3.17, IESTA_V0, dev_before_dynbuffer),
	  RTIG/Federation.cc (3.86, dev_before_dynbuffer),
	  RTIG/RTIG_processing.cc (3.68), RTIG/RTIG.cc (3.42), RTIG/RTIG.hh
	  (3.26), scripts/NW_MessageType.txt (1.2, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): Fix bug #1795 :
	  Enable Time Constrained/Regulation callbacks not used This is a
	  patch from Christian Stenzel slightly modified.

2008-05-09 22:21  erk

	* libCERTI/NM_Classes.cc (3.4), libCERTI/NetworkMessage.cc (3.32,
	  IESTA_V0, before_handleArray_vector, dev_before_dynbuffer),
	  libCERTI/NetworkMessage.hh (3.33), libCERTI/NetworkMessage_RW.cc
	  (3.49, dev_before_dynbuffer), RTIA/ObjectManagement.cc (3.42),
	  RTIA/RTIA_network.cc (3.25), RTIA/TimeManagement.cc (3.38),
	  RTIG/RTIG_processing.cc (3.67): Some NetworkMessage field should
	  be private in order to enforce getter/setter usage.

2008-05-07 18:00  erk

	* libCERTI/Message.cc (3.52, dev_before_dynbuffer): Applied
	  something like: https://savannah.nongnu.org/patch/?6499

2008-05-07 17:37  erk

	* libCERTI/Interaction.cc (3.37, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  libCERTI/NetworkMessage.cc (3.31), libCERTI/NetworkMessage.hh
	  (3.32), libCERTI/NetworkMessage_RW.cc (3.48),
	  RTIA/FederationManagement.cc (3.61), RTIA/Files.cc (3.10,
	  CERTI-3_3_0, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer), RTIA/ObjectManagement.cc (3.41),
	  RTIA/RTIA_network.cc (3.24), RTIA/TimeManagement.cc (3.37): Fix
	  bug #23187 : removeObjectInstance with null time Time was
	  conveyed in network messages but not in Federate<->RTIA messages

2008-05-07 16:14  jmm

	* RTIA/CMakeLists.txt (1.4), RTIG/CMakeLists.txt (1.3, CERTI-3_3_0)
	  (utags: IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer): Remove old comment garbage at the end of
	  the file

2008-05-07 16:10  jmm

	* CMakeLists.txt (1.46, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer): More fix for bug #23196 : Make CERTI
	  compilable with cmake 2.6.0 on Win32 platform

2008-05-07 16:09  jmm

	* scripts/FindLexYacc.cmake (1.4, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): Use Windows
	  registry for searching GnuWin32 install path

2008-05-07 12:51  erk

	* CMakeLists.txt (1.45), libCERTI/CMakeLists.txt (1.13, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): Fix CMake-2.6
	  warnings.  Merged patch from Christian Ehrlicher see bug #23196 :
	  Make CERTI compilable with cmake 2.6.0

2008-05-07 11:55  rousse

	* RTIA/ObjectManagement.cc (3.40), RTIA/RTIA.hh (3.13, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  RTIA/RTIA_federate.cc (3.76), libCERTI/ObjectClassSet.cc (3.33):
	  Improvement of return exception NameNotFound during
	  getObjectClassHandle

2008-05-06 15:36  erk

	* libCERTI/FedTime.cc (3.13, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer), RTIA/TimeManagement.cc (3.36),
	  include/fedtime.hh (3.9, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): Fix bug #23090
	  : UpdateAttributeValues throws InvalidFederationTime We should
	  use consistent epsilon value and carefully compare floating point
	  numbers (for time)

2008-05-05 16:28  erk

	* RTIA/DeclarationManagement.cc (3.19, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): Should fix :bug
	  #23172 : unsubscribeInteractionClass hangs NetworkMessage type
	  mismatch

2008-05-05 11:47  erk

	* libCERTI/Message.hh (3.43), libCERTI/Message_R.cc (3.21),
	  libCERTI/Message_W.cc (3.24), RTIA/RTIA.cc (3.20,
	  dev_before_dynbuffer), RTIA/RTIA_federate.cc (3.75),
	  RTIA/TimeManagement.cc (3.35), libRTI/RTIambassador.cc (3.78),
	  RTIA/Communications.cc (3.26, dev_before_dynbuffer),
	  RTIA/Statistics.cc (3.15), RTIA/TimeManagement.hh (3.16): Fix bug
	  #23113 : Assert violation when invoking a federation service from
	  a federate service Patch from Petr Gotthard

2008-05-05 11:06  erk

	* libCERTI/: SocketTCP.cc (3.23), SocketTCP.hh (3.20) (utags:
	  IESTA_V0, before_handleArray_vector, dev_before_dynbuffer): Fix
	  bug #23151 : Annoying "address already in use" error A patch from
	  Petr Gotthard

2008-05-05 10:42  jmm

	* libCERTI/NM_Classes.cc (3.3): Write boolean as 'bool' and not as
	  int32

2008-05-05 10:27  erk

	* libCERTI/PrettyDebug.cc (4.7): Check-in patch #6498 : PrettyDebug
	  fix warning from Matteo Boccafoli

2008-05-05 10:12  erk

	* test/Billard/Billard.cc (3.33, IESTA_V0, dev_before_dynbuffer):
	  Check-in patch #6497 from Matteo Boccafoli

2008-05-05 10:11  erk

	* test/Billard/dtest_billard.py (1.4, dev_before_dynbuffer):
	  simplify dtest script

2008-05-03 22:14  erk

	* RTIA/FederationManagement.cc (3.60), libCERTI/Message.cc (3.51):
	  Fix bug #23150 : Memory leak in Message::getAHVPS This is the
	  patch from Petr Gotthard

2008-05-03 20:37  erk

	* libCERTI/NM_Classes.cc (3.2): Fix bug #23149 : uknown object
	  class<0> exception in RTIA From Petr Gotthard

2008-05-03 20:34  erk

	* RTIG/main.cc (3.16, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer): Fix bug #23135 : RTIG/RTIA generates no
	  coredump after unhandled exception (RTIG part only) Do not catch
	  all exception then exit(EXIT_FAILURE) this is like a "silent
	  die".  Let RTIG die with a coredump from which we may retrieve
	  the stacktrace.

2008-05-02 12:48  erk

	* RTIA/ObjectManagement.cc (3.39): Build better looking error
	  Message

2008-04-30 19:01  erk

	* RTIA/TimeManagement.cc (3.34): Try to avoid round-off error using
	  RTIfedTime._epsilon First try for "easy fix" of bug #23090 :
	  UpdateAttributeValues throws InvalidFederationTime

2008-04-30 15:11  erk

	* test/Billard/Billard.cc (3.32): Fix bug #23116 : Resolve conflict
	  between different changes Reversed to 3.29 will fix the compiler
	  warning later

2008-04-29 15:21  rousse

	* libRTI/RTIambassador.cc (3.77): BUG #23071 correction :
	  federation or federate empty names not allowed

2008-04-29 15:11  erk

	* RTIA/: FederationManagement.hh (3.22, dev_before_dynbuffer),
	  FederationManagement.cc (3.59): Replace char* with std::string in
	  order to avoid some mem leak

2008-04-29 14:23  erk

	* RTIA/ObjectManagement.cc (3.38): Add more debug for
	  InvalidFedTime

2008-04-29 11:59  rousse

	* test/Billard/Billard.cc (3.31): typo error

2008-04-29 11:38  erk

	* RTIG/RTIG_processing.cc (3.66), libCERTI/SocketUDP.cc (3.19,
	  IESTA_V0, before_handleArray_vector, dev_before_dynbuffer),
	  libCERTI/SocketUDP.hh (3.11, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): memory leak--

2008-04-29 10:57  erk

	* RTIG/Federation.cc (3.85), RTIG/Federation.hh (3.46,
	  dev_before_dynbuffer), libCERTI/Exception.cc (3.12, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  libCERTI/ObjectClass.cc (3.43): Fix some more small mem leak

2008-04-29 10:33  erk

	* RTIG/Federation.cc (3.84), RTIG/FederationsList.cc (3.56,
	  IESTA_V0, before_handleArray_vector, dev_before_dynbuffer),
	  RTIG/FederationsList.hh (3.41, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer), RTIG/RTIG.cc
	  (3.41), test/Billard/Billard.cc (3.30), libCERTI/BasicMessage.cc
	  (3.11, dev_before_dynbuffer), libCERTI/BasicMessage.hh (3.9,
	  dev_before_dynbuffer), libCERTI/SocketUDP.cc (3.18): Fix more
	  compiler warnings Preliminary fix for bug #23088 : Memory leak in
	  RTIG

2008-04-29 09:50  rousse

	* include/baseTypes.hh (3.11, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  libCERTI/Exception.cc (3.11), libCERTI/Exception.hh (3.6,
	  CERTI-3_3_0, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer): Adding some internal tools to improve
	  exception management

2008-04-28 19:46  erk

	* CMakeLists.txt (1.44): Add debian target using UseDebian.cmake
	  Will make it conditionnal if CMake 2.6 is used.

2008-04-28 19:20  erk

	* RTIA/FederationManagement.cc (3.58), libCERTI/NetworkMessage.cc
	  (3.30): Fix some more compiler warnings

2008-04-28 19:14  erk

	* CMakeLists.txt (1.43), include/certi.hh (3.27,
	  dev_before_dynbuffer): Add -Wall in order to catch more warning
	  which could be errors.  Fix bug #23092 : include miss

2008-04-28 17:35  rousse

	* RTIA/FederationManagement.cc (3.57), RTIG/RTIG_processing.cc
	  (3.65): Restoring create federation trace into auditserver
	  (RTIG.log)

2008-04-28 16:51  rousse

	* RTIA/FederationManagement.cc (3.56): fast temporary correction of
	  BUG #23019 (don't remove my fed file please !)

2008-04-28 14:25  erk

	* libCERTI/Makefile.am (3.35, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer): Update Makefile.am bug #23087 :
	  Makefile.am not updated

2008-04-27 14:38  erk

	* .cvsignore (1.3, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): ignore build
	  directory usually used by CMake build

2008-04-27 14:37  erk

	* RTIG/RTIG_processing.cc (3.64): Remove debug output

2008-04-27 10:37  erk

	* RTIA/FederationManagement.cc (3.55), RTIG/Federation.cc (3.83),
	  RTIG/RTIG_processing.cc (3.63): Prefer C++ style I/O FILE* -->
	  std::ifstream or std::oftstream

2008-04-26 16:59  erk

	* CMakeLists.txt (1.42), TODO (3.2, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  libCERTI/BasicMessage.cc (3.10), libCERTI/Interaction.cc (3.36),
	  libCERTI/InteractionBroadcastList.cc (3.12,
	  dev_before_dynbuffer), libCERTI/InteractionBroadcastList.hh (3.8,
	  dev_before_dynbuffer), libCERTI/MessageBuffer.cc (3.9, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  libCERTI/MessageBuffer.hh (3.7, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  libCERTI/NM_Classes.hh (3.1), libCERTI/NetworkMessage.hh (3.31),
	  libCERTI/ObjectClass.cc (3.42), libCERTI/ObjectClass.hh (3.32,
	  dev_before_dynbuffer), libCERTI/ObjectClassAttribute.cc (3.28,
	  CERTI-3_3_0, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer), libCERTI/ObjectSet.cc (3.19,
	  dev_before_dynbuffer), libCERTI/XmlParser.cc (3.26, CERTI-3_3_0,
	  IESTA_V0, before_handleArray_vector, dev_before_dynbuffer),
	  RTIA/Communications.cc (3.25), RTIA/Communications.hh (3.12,
	  dev_before_dynbuffer), RTIA/DeclarationManagement.cc (3.18),
	  RTIA/FederationManagement.cc (3.54), RTIA/Files.cc (3.9),
	  RTIA/OwnershipManagement.cc (3.13, dev_before_dynbuffer),
	  RTIA/RTIA.cc (3.19), RTIA/TimeManagement.cc (3.33), RTIA/main.cc
	  (3.19, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer), libCERTI/BasicMessage.hh (3.8),
	  libCERTI/CMakeLists.txt (1.12), libCERTI/NM_Classes.cc (3.1),
	  libCERTI/NetworkMessage.cc (3.29), libCERTI/NetworkMessage_RW.cc
	  (3.47), libCERTI/ObjectClassBroadcastList.cc (3.19),
	  libCERTI/ObjectClassSet.cc (3.32), RTIA/DataDistribution.cc
	  (3.24, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer), RTIA/ObjectManagement.cc (3.37),
	  RTIA/RTIA_federate.cc (3.74), RTIA/RTIA_network.cc (3.23),
	  RTIG/Federation.cc (3.82), RTIG/RTIG.cc (3.40), RTIG/RTIG.hh
	  (3.25), RTIG/RTIG_processing.cc (3.62), scripts/FindLexYacc.cmake
	  (1.3), scripts/GenMessageClass.py (1.3, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  scripts/NW_MessageType.ods (1.2, CERTI-3_3_0, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer),
	  test/Billard/dtest_billard.py (1.3),
	  test/utility/CertiUtilTests.cc (1.9, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): Merge from
	  br_DEV_HETEROGENEOUS Should be OK!! dtest_billard.py : PASSED
	  dtest_HLA_Tutorial.py : PASSED

2008-04-26 14:07  erk

	* test/Billard/dtest_billard.py (1.1.2.3): Update billard dtest
	  script after dtest update

2008-04-25 16:55  erk

	* CMakeLists.txt (1.41), configure.in (3.32, IESTA_V0,
	  before_handleArray_vector, dev_before_dynbuffer): Change 3.2.7 to
	  3.2.8cvs since 3.2.7 is done

2008-04-25 16:54  erk

	* ReleaseProcess.txt (1.3, IESTA_V0, before_handleArray_vector,
	  dev_before_dynbuffer): Typo fix

2008-04-25 16:39  erk

	* CMakeLists.txt (1.40), configure.in (3.31) (utags: CERTI-3_2_7):
	  Prepare CERTI 3.2.7

2008-04-24 17:41  erk

	* libCERTI/MessageBody.cc (3.17, CERTI-3_2_7): Missing parenthesis

2008-04-23 23:39  erk

	* test/Billard/CMakeLists.txt (1.5, CERTI-3_2_7): Add missing
	  target dependency which should make CMake to always link to the
	  appropriate inside-project lib.  See: bug #22890 : cmake does not
	  correctly set X_DISPLAY_MISSING

2008-04-23 18:39  erk

	* libCERTI/Message.cc (3.49.2.1): Apply Matteo patch for stopping
	  warning about int size mismatch in printf see
	  https://savannah.nongnu.org/task/?6910

2008-04-23 18:32  erk

	* libCERTI/XmlParser.cc (3.25.2.1): Switch off warning for unused
	  var

2008-04-23 15:03  erk

	* RTIA/RTIA_federate.cc (3.73, CERTI-3_2_7): Add missing include on
	  WIN32

2008-04-23 15:03  erk

	* libCERTI/LBTS.cc (3.10, CERTI-3_2_7): add missing include
	  <limits>

2008-04-23 14:55  erk

	* RTIA/: RTIA.cc (3.18, CERTI-3_2_7), RTIA_federate.cc (3.72):
	  Applied Petr Patch RTIA.patch from
	  https://savannah.nongnu.org/bugs/?22798

2008-04-23 13:54  rousse

	* libCERTI/SocketServer.cc (3.16, CERTI-3_2_7): BUG #23016
	  correction : create and then destroy crash RTIG on Windows XP

2008-04-23 13:16  erk

	* CMakeLists.txt (1.39): Should fix: bug #22890 : cmake does not
	  correctly set X_DISPLAY_MISSING

2008-04-23 09:36  siron

	* AUTHORS (3.10, CERTI-3_2_7), myconf (3.12, CERTI-3_2_7),
	  RTIA/Communications.cc (3.24, CERTI-3_2_7),
	  RTIA/Communications.hh (3.11, CERTI-3_2_7), RTIA/RTIA.cc (3.17),
	  RTIA/RTIA.hh (3.12, CERTI-3_2_7), RTIA/RTIA_federate.cc (3.71),
	  RTIA/TimeManagement.cc (3.32, CERTI-3_2_7),
	  RTIA/TimeManagement.hh (3.15, CERTI-3_2_7),
	  include/RTIambServices.hh (3.4, CERTI-3_2_7), libCERTI/Message.cc
	  (3.50, CERTI-3_2_7), libCERTI/Message.hh (3.42, CERTI-3_2_7),
	  libCERTI/Message_R.cc (3.20, CERTI-3_2_7), libCERTI/Message_W.cc
	  (3.23, CERTI-3_2_7), libRTI/RTIambPrivateRefs.cc (3.12,
	  CERTI-3_2_7), libRTI/RTIambassador.cc (3.76, CERTI-3_2_7):
	  Correction of the #22798 bug by Petr Gotthard.  tick(time,time)
	  is now operational.  A very important contribution, thank you
	  very much.

2008-04-23 08:23  erk

	* libCERTI/NetworkMessage.hh (3.30.2.11), RTIG/RTIG_processing.cc
	  (3.56.2.10), libCERTI/NM_Classes.cc (1.1.2.15),
	  libCERTI/NM_Classes.hh (1.1.2.15), RTIA/TimeManagement.cc
	  (3.29.2.5), RTIG/Federation.cc (3.80.2.5), RTIG/RTIG.cc
	  (3.36.2.7), RTIG/RTIG.hh (3.23.2.2), RTIA/RTIA_network.cc
	  (3.22.2.4): Use getter/setter for Time_Regulating and
	  Time_Constrained NM

2008-04-22 15:35  erk

	* libCERTI/MessageBody.cc (3.16.2.1): parenthesis missing in the
	  BIG ENDIAN case

2008-04-22 15:11  erk

	* CMakeLists.txt (1.34.2.3): Define HOST_IS_BIG_ENDIAN properly

2008-04-22 14:07  jmm

	* libCERTI/: MessageBuffer.cc (3.7.2.2), MessageBuffer.hh
	  (3.6.2.2), NM_Classes.hh (1.1.2.14): Win32 update.  Fix
	  compilation errror for return value Add missing CERTI_EXPORT

2008-04-22 14:03  jmm

	* scripts/FindLexYacc.cmake (1.2.2.1): Update FindLexYacc for find
	  GnuWin32 flex and bison

2008-04-22 10:41  erk

	* libCERTI/BasicMessage.cc (3.9.2.3), libCERTI/BasicMessage.hh
	  (3.7.2.3), libCERTI/Message_W.cc (3.20.2.2),
	  libCERTI/NM_Classes.hh (1.1.2.13), TODO (3.1.6.3),
	  RTIG/RTIG_processing.cc (3.56.2.9), libCERTI/Message_R.cc
	  (3.17.2.2), libCERTI/NM_Classes.cc (1.1.2.14),
	  libCERTI/ObjectClassSet.cc (3.31.2.1), RTIA/ObjectManagement.cc
	  (3.35.2.5): Heteregenous CERTI seems to work fine with CERTI
	  Billard

2008-04-21 13:29  erk

	* RTIA/: Communications.cc (3.22.2.4), RTIA.cc (3.13.2.2): Should
	  allocate Message in the on-going case

2008-04-21 13:29  erk

	* libCERTI/NM_Classes.hh (1.1.2.12), libCERTI/NetworkMessage.hh
	  (3.30.2.10), TODO (3.1.6.2), libCERTI/NM_Classes.cc (1.1.2.13),
	  libCERTI/NetworkMessage_RW.cc (3.45.2.10): Avoid serialize buffer
	  copy

2008-04-20 23:24  erk

	* libCERTI/MessageBuffer.cc (3.7.2.1): Small typo

2008-04-20 23:22  erk

	* RTIA/FederationManagement.cc (3.50.2.5): Testing
	  "_est_createur_federation" which was not initialized

2008-04-20 14:52  erk

	* libCERTI/NM_Classes.cc (1.1.2.12), libCERTI/NM_Classes.hh
	  (1.1.2.11), libCERTI/NetworkMessage.cc (3.28.2.7),
	  libCERTI/NetworkMessage.hh (3.30.2.9),
	  libCERTI/NetworkMessage_RW.cc (3.45.2.9), libCERTI/ObjectClass.cc
	  (3.41.2.5), RTIA/FederationManagement.cc (3.50.2.4),
	  RTIA/ObjectManagement.cc (3.35.2.4), RTIA/RTIA_network.cc
	  (3.22.2.3), libCERTI/ObjectClass.hh (3.31.2.1),
	  libCERTI/ObjectClassBroadcastList.cc (3.18.2.5),
	  RTIA/TimeManagement.cc (3.29.2.4), RTIA/main.cc (3.18.2.1),
	  RTIG/Federation.cc (3.80.2.4), RTIG/RTIG.cc (3.36.2.6),
	  RTIG/RTIG.hh (3.23.2.1), RTIG/RTIG_processing.cc (3.56.2.8):
	  Heterogeneous update Single Billard is OK.  Still have trouble
	  with DISCOVER_OBJECT

2008-04-11 16:08  erk

	* libCERTI/NetworkMessage_RW.cc (3.45.2.8), RTIG/RTIG.cc
	  (3.36.2.5), RTIG/RTIG_processing.cc (3.56.2.7),
	  libCERTI/NM_Classes.cc (1.1.2.11): Fix stupid typo: serialize
	  instead of DEserialize in PUBLISH_OBJECT

2008-04-10 22:43  erk

	* RTIA/DeclarationManagement.cc (3.17.2.3), RTIG/RTIG_processing.cc
	  (3.56.2.6), libCERTI/NM_Classes.cc (1.1.2.10),
	  libCERTI/NM_Classes.hh (1.1.2.10), libCERTI/NetworkMessage_RW.cc
	  (3.45.2.7), scripts/NW_MessageType.ods (1.1.2.6): Some more
	  fixes.  Not enough to make billard run through the end...

2008-04-10 21:58  erk

	* TODO (3.1.6.1): Add Erk TODO list

2008-04-10 21:55  erk

	* RTIG/RTIG_processing.cc (3.56.2.5), RTIA/FederationManagement.cc
	  (3.50.2.3), libCERTI/NM_Classes.cc (1.1.2.9),
	  libCERTI/NM_Classes.hh (1.1.2.9): First steps billard seems OK.
	  Now I should check more in-depth tests

2008-04-10 17:12  erk

	* libCERTI/Interaction.cc (3.35.2.4), libCERTI/NetworkMessage.hh
	  (3.30.2.8), RTIA/OwnershipManagement.cc (3.12.2.3),
	  RTIG/RTIG_processing.cc (3.56.2.4), libCERTI/ObjectClass.cc
	  (3.41.2.4), libCERTI/ObjectClassBroadcastList.cc (3.18.2.4),
	  RTIA/DataDistribution.cc (3.23.2.3), RTIA/ObjectManagement.cc
	  (3.35.2.3), RTIA/TimeManagement.cc (3.29.2.3): Now date, label
	  and tag are protected and accessed through getter/setter

2008-04-10 16:57  erk

	* RTIA/DeclarationManagement.cc (3.17.2.2), RTIA/Communications.cc
	  (3.22.2.3), RTIA/DataDistribution.cc (3.23.2.2),
	  RTIA/FederationManagement.cc (3.50.2.2), RTIA/Files.cc (3.8.4.1),
	  RTIA/ObjectManagement.cc (3.35.2.2), RTIA/OwnershipManagement.cc
	  (3.12.2.2), RTIA/RTIA_network.cc (3.22.2.2),
	  RTIA/TimeManagement.cc (3.29.2.2), RTIG/Federation.cc (3.80.2.3),
	  RTIG/RTIG.cc (3.36.2.4), RTIG/RTIG_processing.cc (3.56.2.3),
	  libCERTI/NM_Classes.hh (1.1.2.8), libCERTI/NetworkMessage.hh
	  (3.30.2.7), libCERTI/NetworkMessage_RW.cc (3.45.2.6),
	  libCERTI/ObjectClassAttribute.cc (3.27.2.1),
	  libCERTI/Interaction.cc (3.35.2.3), libCERTI/NM_Classes.cc
	  (1.1.2.8), libCERTI/NetworkMessage.cc (3.28.2.6),
	  libCERTI/ObjectClass.cc (3.41.2.3),
	  libCERTI/ObjectClassBroadcastList.cc (3.18.2.3): One big step
	  forward (not [yet] functional)

2008-04-10 13:35  erk

	* RTIG/RTIG.cc (3.36.2.3), RTIG/Federation.cc (3.80.2.2),
	  RTIG/RTIG_processing.cc (3.56.2.2),
	  libCERTI/InteractionBroadcastList.cc (3.11.2.1),
	  libCERTI/NM_Classes.hh (1.1.2.7), libCERTI/NetworkMessage.hh
	  (3.30.2.6), libCERTI/NetworkMessage_RW.cc (3.45.2.5),
	  libCERTI/ObjectClassBroadcastList.cc (3.18.2.2),
	  RTIA/Communications.cc (3.22.2.2), libCERTI/Interaction.cc
	  (3.35.2.2), libCERTI/InteractionBroadcastList.hh (3.7.4.1),
	  libCERTI/NM_Classes.cc (1.1.2.7), libCERTI/NetworkMessage.cc
	  (3.28.2.5), libCERTI/ObjectClass.cc (3.41.2.2),
	  libCERTI/ObjectSet.cc (3.18.2.2): Update with NM_Factory usage

2008-04-09 16:16  erk

	* libCERTI/NetworkMessage.hh (3.30.2.5), scripts/NW_MessageType.ods
	  (1.1.2.5), libCERTI/BasicMessage.hh (3.7.2.2),
	  libCERTI/NM_Classes.hh (1.1.2.6), libCERTI/BasicMessage.cc
	  (3.9.2.2), libCERTI/NetworkMessage.cc (3.28.2.4),
	  libCERTI/NetworkMessage_RW.cc (3.45.2.4), RTIG/RTIG.cc
	  (3.36.2.2), libCERTI/NM_Classes.cc (1.1.2.6): Added needed
	  virtual constructor for NetworkMessage

2008-04-09 12:34  erk

	* scripts/NW_MessageType.ods (1.1.2.4), libCERTI/NM_Classes.cc
	  (1.1.2.5), libCERTI/NM_Classes.hh (1.1.2.5),
	  libCERTI/NetworkMessage.cc (3.28.2.3), libCERTI/NetworkMessage.hh
	  (3.30.2.4): Avant d'aller manger :-=)

2008-04-09 10:43  erk

	* libCERTI/NM_Classes.hh (1.1.2.4), libCERTI/NetworkMessage.hh
	  (3.30.2.3), scripts/NW_MessageType.ods (1.1.2.3),
	  libCERTI/NM_Classes.cc (1.1.2.4), libCERTI/NetworkMessage_RW.cc
	  (3.45.2.3): Intermediate commit in order to save work.

2008-04-08 23:42  erk

	* libCERTI/NM_Classes.cc (1.1.2.3), libCERTI/NM_Classes.hh
	  (1.1.2.3), scripts/NW_MessageType.ods (1.1.2.2): Update for
	  tomorrow

2008-04-08 16:18  rousse

	* RTIA/FederationManagement.cc (3.53), RTIG/RTIG.cc (3.39),
	  RTIG/RTIG.hh (3.24), RTIG/RTIG_processing.cc (3.61) (utags:
	  CERTI-3_2_7): Maybe bug #22491 correction. Need validation (by
	  Carle) RTIG don't answer to RTIA on Resign Federation

2008-04-08 16:05  erk

	* libCERTI/NM_Classes.hh (1.1.2.2), libCERTI/NetworkMessage.hh
	  (3.30.2.2), libCERTI/NetworkMessage_RW.cc (3.45.2.2),
	  libCERTI/NM_Classes.cc (1.1.2.2), libCERTI/NetworkMessage.cc
	  (3.28.2.2), scripts/NW_MessageType.ods (1.1.2.1): Intermediate
	  update

2008-04-08 16:03  erk

	* CMakeLists.txt (1.34.2.2), configure.in (3.28.2.1): update dev
	  version

2008-04-08 12:44  erk

	* libCERTI/MessageBuffer.hh (3.6.2.1),
	  test/utility/CertiUtilTests.cc (1.8.2.1): Add write/read_bool
	  API.

2008-04-08 11:44  erk

	* scripts/GenMessageClass.py (1.2.2.1): Update Generate Message
	  script

2008-04-08 10:50  rousse

	* RTIA/Communications.cc (3.23), RTIG/RTIG.cc (3.38),
	  RTIG/RTIG_processing.cc (3.60): Some improvment in auditServer

2008-04-07 22:40  erk

	* test/Billard/dtest_billard.py (1.2, CERTI-3_2_7): Forgot to add
	  --display opt arg handling

2008-04-07 17:32  erk

	* test/Billard/dtest_billard.py (1.1.2.2): Merge from HEAD

2008-04-07 17:08  erk

	* libCERTI/LBTS.cc (3.9), RTIA/TimeManagement.cc (3.31),
	  libCERTI/FedTime.cc (3.12, CERTI-3_2_7): Fix bug #22821 :
	  Infinite LBTS <--> infinite RTIfedTime conversion error Patch
	  from Petr Gotthard.

2008-04-07 17:01  erk

	* test/Billard/dtest_billard.py (1.1): Add DTest script for testing
	  billard

2008-04-07 17:01  erk

	* test/Billard/dtest_billard.py (1.1.2.1): file dtest_billard.py
	  was added on branch br_DEV_HETEROGENEOUS on 2008-04-07 15:32:09
	  +0000

2008-04-03 17:21  rousse

	* RTIG/RTIG_processing.cc (3.59), libCERTI/Message_R.cc (3.19),
	  libCERTI/Message_W.cc (3.22), libCERTI/NetworkMessage_RW.cc
	  (3.46, CERTI-3_2_7), libCERTI/SocketServer.cc (3.15),
	  libCERTI/SocketTCP.cc (3.22, CERTI-3_2_7), libCERTI/SocketUN.cc
	  (3.20, CERTI-3_2_7), libRTI/RTIambassador.cc (3.75): Many
	  debugging trace suppressed

2008-04-01 15:00  rousse

	* RTIA/FederationManagement.cc (3.52), RTIA/RTIA.cc (3.16),
	  RTIA/RTIA_federate.cc (3.70), RTIG/Federation.cc (3.81,
	  CERTI-3_2_7), RTIG/FederationsList.cc (3.55, CERTI-3_2_7),
	  RTIG/RTIG.cc (3.37), RTIG/RTIG_processing.cc (3.58),
	  libRTI/RTIambassador.cc (3.74): Improvment of exceptions return
	  to application along destroy federation

2008-03-31 16:39  erk

	* scripts/FindCERTI.cmake (1.9, CERTI-3_2_7): Should fix bug #22787
	  : Bad file path handling in CMake scripts

2008-03-22 16:22  erk

	* CMakeLists.txt (1.38), configure.in (3.30): Bump version to
	  3.2.7cvs now that 3.2.6 is out

2008-03-21 16:48  erk

	* Makefile.am (3.13, CERTI-3_2_6): Missing scripts prefix

2008-03-20 17:09  erk

	* CMakeLists.txt (1.36, CERTI-3_2_6), Makefile.am (3.12),
	  configure.in (3.29, CERTI-3_2_6), scripts/CreatePatchCVS.cmake
	  (1.1, CERTI-3_2_6): Prepare CERTI 3.2.6

2008-03-20 16:57  erk

	* CMakeLists.txt (1.34.2.1): Merge from HEAD

2008-03-20 16:53  erk

	* CMakeLists.txt (1.35): Avoid to embbed build dir in source
	  package

2008-03-18 16:55  erk

	* libCERTI/Message_W.cc (3.20.2.1), libCERTI/NM_Classes.hh
	  (1.1.2.1), libCERTI/NetworkMessage_RW.cc (3.45.2.1),
	  libCERTI/ObjectClass.cc (3.41.2.1),
	  libCERTI/ObjectClassBroadcastList.cc (3.18.2.1),
	  libCERTI/BasicMessage.cc (3.9.2.1), libCERTI/BasicMessage.hh
	  (3.7.2.1), libCERTI/CMakeLists.txt (1.11.2.1),
	  libCERTI/Interaction.cc (3.35.2.1), libCERTI/Message_R.cc
	  (3.17.2.1), libCERTI/NM_Classes.cc (1.1.2.1),
	  libCERTI/NetworkMessage.cc (3.28.2.1), libCERTI/NetworkMessage.hh
	  (3.30.2.1), libCERTI/ObjectSet.cc (3.18.2.1),
	  RTIA/Communications.cc (3.22.2.1), RTIA/DataDistribution.cc
	  (3.23.2.1), RTIA/DeclarationManagement.cc (3.17.2.1),
	  RTIA/FederationManagement.cc (3.50.2.1),
	  RTIA/OwnershipManagement.cc (3.12.2.1), RTIA/RTIA.cc (3.13.2.1),
	  RTIA/RTIA_federate.cc (3.67.2.1), RTIA/TimeManagement.cc
	  (3.29.2.1), RTIA/Communications.hh (3.10.2.1),
	  RTIA/ObjectManagement.cc (3.35.2.1), RTIA/RTIA_network.cc
	  (3.22.2.1), RTIG/Federation.cc (3.80.2.1), RTIG/RTIG.cc
	  (3.36.2.1), RTIG/RTIG_processing.cc (3.56.2.1),
	  doc/certi_doxygen.cnf.in (1.1.2.1): Heterogeneous udpate.

2008-03-18 16:53  erk

	* libCERTI/MessageBuffer.cc (3.8, CERTI-3_2_6): Fix bug noted by
	  Chris Rule.  resize did not return a value.  see
	  https://savannah.nongnu.org/task/?6910

2008-03-14 15:52  rousse

	* RTIA/FederationManagement.cc (3.51), RTIA/RTIA.cc (3.15),
	  RTIA/RTIA.hh (3.11), RTIA/RTIA_federate.cc (3.69),
	  RTIG/FederationsList.cc (3.54), RTIG/RTIG_processing.cc (3.57)
	  (utags: CERTI-3_2_6): Bug #22578, #22509, #22591 corrections

2008-03-13 15:39  siron

	* RTIA/ObjectManagement.cc (3.36, CERTI-3_2_6),
	  RTIA/ObjectManagement.hh (3.20, CERTI-3_2_6), RTIA/RTIA.cc
	  (3.14), RTIA/RTIA_federate.cc (3.68), RTIA/TimeManagement.cc
	  (3.30, CERTI-3_2_6), RTIA/TimeManagement.hh (3.14, CERTI-3_2_6),
	  libCERTI/Message_R.cc (3.18, CERTI-3_2_6), libCERTI/Message_W.cc
	  (3.21, CERTI-3_2_6), libRTI/RTIambassador.cc (3.73, CERTI-3_2_6):
	  First implementation of zero lookahead time management services
	  (NERA & TARA addition, NER & TAR update). See task #6898.  Be
	  careful, the Object Management services generate more exceptions
	  (invalid time for a UAV or SI with bad timestamps).

2008-03-12 16:04  erk

	* scripts/GenMessageClass.py (1.2, CERTI-3_2_6): Update gen messgae
	  scripts

2008-03-12 16:00  rousse

	* RTIA/: FederationManagement.cc (3.50), main.cc (3.18,
	  CERTI-3_2_6): #22509 bug correction (I hope) Please test it !!

2008-03-10 17:34  erk

	* scripts/: GenMessageClass.py (1.1), NW_MessageType.txt (1.1,
	  CERTI-3_2_6): Add a rudimentary NetworkMessage class generator

2008-03-10 11:55  rousse

	* RTIA/FederationManagement.cc (3.49): Littre correction about
	  removing temporary file in resign federation

2008-03-07 17:10  rousse

	* RTIA/FederationManagement.cc (3.48), RTIG/RTIG.cc (3.36,
	  CERTI-3_2_6): Bug #22509 about destroy federation execution
	  corrected

2008-03-06 17:33  rousse

	* RTIA/RTIA_federate.cc (3.67), libCERTI/NetworkMessage_RW.cc
	  (3.45, CERTI-3_2_6): little corrections about request object
	  attribute value update processing

2008-03-06 09:56  rousse

	* RTIA/Statistics.cc (3.14, CERTI-3_2_6): New NetworkMessage type
	  (PROVIDE_ATTRIBUTE_VALUE_UPDATE) added for statistics

2008-03-05 16:33  rousse

	* RTIA/ObjectManagement.cc (3.35), RTIA/ObjectManagement.hh (3.19),
	  RTIA/RTIA_network.cc (3.22, CERTI-3_2_6), RTIA/TimeManagement.cc
	  (3.29), RTIG/Federation.cc (3.80, CERTI-3_2_6),
	  RTIG/RTIG_processing.cc (3.56), libCERTI/Message_R.cc (3.17),
	  libCERTI/Message_W.cc (3.20), libCERTI/NetworkMessage.hh (3.30,
	  CERTI-3_2_6), libCERTI/NetworkMessage_RW.cc (3.44),
	  libCERTI/ObjectSet.cc (3.18, CERTI-3_2_6),
	  libRTI/RTIambassador.cc (3.72): Request Attribute Value Update
	  implementation Restricted implementation has been made :
	  requestObjectAttributeValueUpdate

2008-03-03 16:15  erk

	* libCERTI/MessageBuffer.cc (3.7), libCERTI/MessageBuffer.hh (3.6,
	  CERTI-3_2_6), test/utility/CertiUtilTests.cc (1.8, CERTI-3_2_6):
	  Update MessageBuffer

2008-02-29 12:54  erk

	* libCERTI/MessageBuffer.cc (3.6), libCERTI/MessageBuffer.hh (3.5),
	  test/utility/CertiUtilTests.cc (1.7): Add one value retval API
	  MessageBuffer Update CertiUtilTest accordingly

2008-02-29 09:02  erk

	* ReleaseProcess.txt (1.2, CERTI-3_2_6): Update process for closing
	  tasks

2008-02-28 15:47  rousse

	* RTIG/Federation.cc (3.79), RTIG/Federation.hh (3.45,
	  CERTI-3_2_6), RTIG/FederationsList.cc (3.53),
	  RTIG/FederationsList.hh (3.40, CERTI-3_2_6),
	  RTIG/RTIG_processing.cc (3.55), libCERTI/ObjectSet.cc (3.17),
	  libCERTI/ObjectSet.hh (3.10, CERTI-3_2_6), libCERTI/RootObject.cc
	  (3.32, CERTI-3_2_6), libCERTI/RootObject.hh (3.27, CERTI-3_2_6):
	  Request Object Attribute Value Update continued and to be
	  continued....

2008-02-27 17:38  rousse

	* RTIA/ObjectManagement.cc (3.34), RTIA/ObjectManagement.hh (3.18),
	  RTIA/RTIA_federate.cc (3.66), RTIG/FederationsList.cc (3.52),
	  RTIG/FederationsList.hh (3.39), RTIG/RTIG.cc (3.35), RTIG/RTIG.hh
	  (3.23, CERTI-3_2_6), RTIG/RTIG_processing.cc (3.54),
	  libCERTI/Message.cc (3.49, CERTI-3_2_6): Request Object attribute
	  value update continued and to be continued

2008-02-26 10:58  tag DEV_ERK_BEFORE_HETEROGENEOUS

2008-02-26 10:58  erk

	* libCERTI/MessageBuffer.cc (3.5), libCERTI/MessageBuffer.hh (3.4),
	  test/utility/CertiUtilTests.cc (1.6) (utags:
	  DEV_ERK_BEFORE_HETEROGENEOUS): MessageBuffer should be ready to
	  use for NetworkMessage

2008-02-26 09:56  siron

	* RTIA/RTIA_federate.cc (3.65), RTIA/TimeManagement.cc (3.28),
	  RTIA/TimeManagement.hh (3.13), libCERTI/Message_R.cc (3.16),
	  libCERTI/Message_W.cc (3.19), libRTI/RTIambassador.cc (3.71)
	  (utags: DEV_ERK_BEFORE_HETEROGENEOUS): Implementation of some
	  time query services (cf. task #6901).

2008-02-25 11:28  rousse

	* RTIA/ObjectManagement.cc (3.33, DEV_ERK_BEFORE_HETEROGENEOUS),
	  RTIA/RTIA_federate.cc (3.64), RTIA/TimeManagement.cc (3.27),
	  libCERTI/NetworkMessage_RW.cc (3.43,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libRTI/RTIambassador.cc (3.70):
	  request attribute value update continued and to be continued

2008-02-22 12:34  siron

	* RTIA/: Communications.cc (3.22, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), Communications.hh (3.10,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS),
	  FederationManagement.cc (3.47, DEV_ERK_BEFORE_HETEROGENEOUS),
	  ObjectManagement.cc (3.32), OwnershipManagement.cc (3.12,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS), TimeManagement.cc
	  (3.26): Simplification of the dialogue between the RTIA and the
	  federate during the execution of a callback.	A single message is
	  sent from the RTIA to the federate (the federate is ticking), the
	  federate does not answer with a message anymore.  So the second
	  message in parameter of the requestFederateService function is
	  removed (the first message in parameter is the encoded callback).
	  This simplification concerns the performance issue, it has
	  allowed also the reentrance implementation.

2008-02-22 10:56  siron

	* test/Billard/Billard.cc (3.29, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS): This new version of Billard uses
	  the time parameter of the timeAdvanceGrant service.  Therefore a
	  queryFederateTime call is removed.

2008-02-22 08:12  rousse

	* RTIA/RTIA_federate.cc (3.63), libCERTI/Message_R.cc (3.15),
	  libCERTI/Message_W.cc (3.18): request object attribute value
	  update continuation and to be continued...

2008-02-21 11:15  rousse

	* RTIA/DeclarationManagement.cc (3.17, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), RTIG/RTIG_processing.cc (3.53,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/Message_R.cc (3.14),
	  libCERTI/Message_W.cc (3.17), libRTI/RTIambassador.cc (3.69):
	  Preparing beginning of request class attribute value update

2008-02-18 14:37  siron

	* myconf (3.11, CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS),
	  RTIA/Communications.cc (3.21), RTIA/RTIA_federate.cc (3.62),
	  RTIA/RTIA_network.cc (3.21, DEV_ERK_BEFORE_HETEROGENEOUS),
	  RTIA/TimeManagement.cc (3.25), RTIA/TimeManagement.hh (3.12),
	  libRTI/RTIambPrivateRefs.cc (3.11, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libRTI/RTIambassador.cc (3.68):
	  bug #22292: reentrance management issue

2008-02-15 16:24  jmm

	* libCERTI/MessageBuffer.cc (3.4): Forgot to return a value

2008-02-15 15:34  erk

	* test/utility/CertiUtilTests.cc (1.5): Add test for buffer
	  reallocation

2008-02-15 15:16  rousse

	* RTIA/FederationManagement.cc (3.46), RTIG/RTIG_processing.cc
	  (3.52), libCERTI/Message.cc (3.48, DEV_ERK_BEFORE_HETEROGENEOUS),
	  libCERTI/NetworkMessage.cc (3.28, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS): Request Federation Restore
	  implemented.

2008-02-15 15:08  erk

	* libCERTI/MessageBuffer.cc (3.3): Avoid unaligned access due to
	  reinterpret cast on Sun

2008-02-15 14:24  erk

	* libCERTI/MessageBuffer.cc (3.2), libCERTI/MessageBuffer.hh (3.3),
	  test/utility/CertiUtilTests.cc (1.4): MessageBuffer update

2008-02-15 14:22  erk

	* libCERTI/Makefile.am (3.34, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS): Update Autoconf Makefile.am

2008-02-14 16:49  jmm

	* CMakeLists.txt (1.34, DEV_ERK_BEFORE_HETEROGENEOUS),
	  include/certi.hh (3.26, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/MessageBuffer.hh (3.2):
	  Update for Win32 compilation after first set of heterogeneity
	  patch

2008-02-14 16:29  erk

	* include/certi.hh (3.25), libCERTI/CMakeLists.txt (1.11,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS),
	  libCERTI/MessageBody.cc (3.16, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/MessageBuffer.cc (3.1),
	  libCERTI/MessageBuffer.hh (3.1), test/utility/CertiUtilTests.cc
	  (1.3): First set of functions for heterogeneity handling

2008-02-14 13:32  erk

	* CMakeLists.txt (1.33): Add a switch in order to be able to FORCE
	  billard compilation with NO X11 usage

2008-02-14 10:43  rousse

	* RTIA/FederationManagement.cc (3.45): HLA Compliant : application
	  allowed to create many federation execution

2008-02-13 17:28  rousse

	* RTIA/FederationManagement.cc (3.44), RTIG/FederationsList.cc
	  (3.51, DEV_ERK_BEFORE_HETEROGENEOUS), RTIG/RTIG.cc (3.34,
	  DEV_ERK_BEFORE_HETEROGENEOUS), RTIG/RTIG_processing.cc (3.51),
	  libCERTI/Message.cc (3.47), libCERTI/NetworkMessage.cc (3.27),
	  libCERTI/SocketServer.cc (3.14, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), test/Billard/Billard.cc (3.28):
	  Bug #21335 correction. Destroy federation Execution allowed by
	  non creator nor member.

2008-02-12 17:51  rousse

	* libCERTI/: Message_R.cc (3.13), Message_W.cc (3.16): Bug #22291
	  correction (needs validation.)

2008-02-12 15:26  rousse

	* RTIA/FederationManagement.cc (3.43), RTIA/RTIA_federate.cc
	  (3.61), RTIA/RTIA_network.cc (3.20), RTIG/Federation.cc (3.78,
	  DEV_ERK_BEFORE_HETEROGENEOUS), RTIG/RTIG.cc (3.33),
	  RTIG/RTIG_processing.cc (3.50), libCERTI/Message.cc (3.46),
	  libCERTI/NetworkMessage.cc (3.26), libCERTI/SocketServer.cc
	  (3.13), libCERTI/SocketTCP.cc (3.21, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libRTI/RTIambassador.cc (3.67):
	  Some corrections about restore federation.A few debug traces
	  added..

2008-02-12 10:35  jmm

	* libCERTI/: Message_R.cc (3.12), NetworkMessage_RW.cc (3.42): fix
	  bug #22286 : Compilation error in release mode only (VS2005)

2008-02-11 15:46  jmm

	* CMakeLists.txt (1.32): Update from cvs to pre1 version

2008-02-11 15:33  erk

	* libRTI/: RTIambassador.cc (3.66), RTIambPrivateRefs.cc (3.10):
	  Add more check about ConcurrentAccessAttempt and is_reentrant

2008-02-10 19:19  rousse

	* RTIA/FederationManagement.cc (3.42), RTIA/RTIA_federate.cc
	  (3.60), libCERTI/Message.cc (3.45), libCERTI/Message_W.cc (3.15),
	  libCERTI/SocketUN.cc (3.19, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libRTI/RTIambassador.cc (3.65):
	  Enhancement of reason exception on create federation execution

2008-02-04 15:41  erk

	* libCERTI/: PrettyDebEx.cc (4.3), PrettyDebug.cc (4.6) (utags:
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS): Suppress spurious DOS
	  LF

2008-02-01 15:12  rousse

	* RTIA/FederationManagement.cc (3.41), RTIA/RTIA_federate.cc
	  (3.59), RTIA/RTIA_network.cc (3.19), RTIG/Federation.cc (3.77),
	  RTIG/FederationsList.cc (3.50), RTIG/RTIG_processing.cc (3.49),
	  libCERTI/NetworkMessage_RW.cc (3.41), libRTI/RTIambassador.cc
	  (3.64): Restore Federation implementation (to be continued)...

2008-01-29 15:30  rousse

	* RTIA/FederationManagement.cc (3.40), RTIA/RTIA_federate.cc
	  (3.58), RTIA/RTIA_network.cc (3.18), RTIG/Federation.cc (3.76),
	  RTIG/FederationsList.cc (3.49), RTIG/RTIG.cc (3.32),
	  RTIG/RTIG_processing.cc (3.48), libCERTI/Message_W.cc (3.14),
	  libCERTI/NetworkMessage_RW.cc (3.40): Request Federation Save
	  implemented. Ready for tests

2008-01-24 17:15  rousse

	* CMakeLists.txt (1.31), include/certi.hh (3.24),
	  libRTI/CMakeLists.txt (1.8, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS): Bug #22090 correction (about
	  DevC++ compilation correction)

2008-01-24 09:45  erk

	* AUTHORS (3.9, CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS): Add
	  Christian Stenzel as an contributor

2007-12-21 15:29  rousse

	* RTIA/FederationManagement.cc (3.39), RTIG/FederationsList.cc
	  (3.48), libCERTI/Message.cc (3.44): bug #21851 correction. Bad
	  strlen in Message,FederationsList and federationManagement

2007-12-19 11:38  rousse

	* RTIG/Federation.cc (3.75), libRTI/RTIambassador.cc (3.63): Added
	  a few debugging traces

2007-12-18 17:23  rousse

	* RTIA/RTIA_network.cc (3.17), libCERTI/NetworkMessage_RW.cc
	  (3.39), libRTI/RTIambassador.cc (3.62): Request federation save
	  continued and to be continued

2007-12-18 16:04  rousse

	* libCERTI/NetworkMessage_RW.cc (3.38): case FEDERATE_SAVE_BEGUN
	  missing in readHeader of network messages

2007-12-17 17:01  rousse

	* RTIA/FederationManagement.cc (3.38), RTIA/FederationManagement.hh
	  (3.21, CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS),
	  RTIA/RTIA_federate.cc (3.57), RTIG/Federation.cc (3.74),
	  RTIG/RTIG_processing.cc (3.47), include/certi.hh (3.23),
	  libCERTI/Message.cc (3.43), libCERTI/Message.hh (3.41,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/Message_R.cc
	  (3.11), libCERTI/Message_W.cc (3.13), libCERTI/NetworkMessage.cc
	  (3.25), libCERTI/NetworkMessage.hh (3.29,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/NetworkMessage_RW.cc
	  (3.37): Constant MAX_FEDERATION_NAME_LENGTH has been deleted, so
	  any federation name is allowed

2007-12-13 15:43  rousse

	* libCERTI/: Message.hh (3.40), Message_W.cc (3.12),
	  NetworkMessage.cc (3.24), NetworkMessage.hh (3.28),
	  NetworkMessage_RW.cc (3.36): Little things after suppress of
	  MAX_FED_FILENAME

2007-12-12 09:20  erk

	* libCERTI/CMakeLists.txt (1.10): Suppress Warnings for lex/yacc
	  generated files.

2007-12-11 20:46  erk

	* libCERTI/: Interaction.cc (3.35), Interaction.hh (3.26) (utags:
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS): Remove
	  miss-overloaded method setName

2007-12-11 18:27  rousse

	* RTIG/Federation.cc (3.73), RTIG/FederationsList.hh (3.38,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/NetworkMessage.cc (3.23):
	  2 bugs corrected2 bugs corrected

2007-12-11 17:44  rousse

	* RTIA/FederationManagement.cc (3.37), RTIA/FederationManagement.hh
	  (3.20), RTIA/RTIA_federate.cc (3.56), RTIG/Federation.cc (3.72),
	  RTIG/FederationsList.cc (3.47), RTIG/FederationsList.hh (3.37),
	  RTIG/RTIG_processing.cc (3.46), include/certi.hh (3.22),
	  libCERTI/Message.cc (3.42), libCERTI/Message.hh (3.39),
	  libCERTI/MessageBody.cc (3.15), libCERTI/MessageBody.hh (3.15,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/Message_R.cc
	  (3.10), libCERTI/Message_W.cc (3.11), libCERTI/NetworkMessage.cc
	  (3.22), libCERTI/NetworkMessage.hh (3.27),
	  libCERTI/NetworkMessage_RW.cc (3.35), libRTI/RTIambPrivateRefs.cc
	  (3.9): constant MAX_FEDFILE_NAME_LENGTH deleted FED file name of
	  any name authorized

2007-12-10 22:38  erk

	* libCERTI/: syntax.yy (3.7), tokens.ll (3.5) (utags: CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS): Fix compiler warning about
	  "deprecated conversion from string constant to char*"

2007-12-09 18:02  erk

	* libCERTI/: syntax.yy (3.6), tokens.ll (3.4): Fix bug #21610 :
	  Timestamp should be allowed as attribute/parameter name The
	  applied patch is from Chris Rule.

2007-12-09 17:46  erk

	* RTIA/Communications.cc (3.20), libCERTI/SocketTCP.cc (3.20),
	  libCERTI/SocketTCP.hh (3.19, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/SocketUDP.cc (3.17,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/SocketUDP.hh
	  (3.10, CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS): Suppress
	  "deprecated conversion from const char* to char*" compiler
	  warning.

2007-12-09 17:26  erk

	* libCERTI/: Named.cc (3.5), Named.hh (3.4), Object.hh (3.18)
	  (utags: CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS): Fix bug
	  #21761 :  class certi::XXXX has virtual functions but non-virtual
	  destructor

2007-12-09 17:25  erk

	* CMakeLists.txt (1.30): Enable gcc full warning level even if used
	  with ccache.	This may be a cmake bug?

2007-12-06 18:11  erk

	* include/RTI.hh (3.11, CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS),
	  libRTI/RTIambassador.cc (3.61): Fixed windows compilation
	  trouble.

2007-12-05 13:29  approx

	* RTIA/ObjectManagement.cc (3.31), RTIA/ObjectManagement.hh (3.17,
	  DEV_ERK_BEFORE_HETEROGENEOUS), RTIA/RTIA_federate.cc (3.55),
	  RTIA/RTIA_network.cc (3.16), RTIA/TimeManagement.cc (3.24),
	  RTIG/Federation.cc (3.71), RTIG/Federation.hh (3.44,
	  DEV_ERK_BEFORE_HETEROGENEOUS), RTIG/FederationsList.cc (3.46),
	  RTIG/FederationsList.hh (3.36), RTIG/RTIG_processing.cc (3.45),
	  libCERTI/Message_R.cc (3.9), libCERTI/Message_W.cc (3.10),
	  libCERTI/NetworkMessage_RW.cc (3.34), libCERTI/ObjectClass.cc
	  (3.41, CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS),
	  libCERTI/ObjectClass.hh (3.31, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/ObjectClassSet.cc (3.31,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS),
	  libCERTI/ObjectClassSet.hh (3.26, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/RootObject.cc (3.31,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/RootObject.hh (3.26,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libRTI/RTIambPrivateRefs.cc (3.8),
	  libRTI/RTIambassador.cc (3.60):
	  deleteObjectInstance with and without additional time argument
	  correct calling of federate service removeObjectInstance

2007-12-04 12:00  erk

	* libCERTI/: RootObject.cc (3.30), XmlParser.cc (3.25, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS): bug #20935 : Qualified name not
	  handled Additionnal fix for the XML parser.  FED file
	  hierarchical parsing was OK XML was not.

2007-11-29 21:36  rousse

	* libCERTI/ObjectClassBroadcastList.cc (3.18, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS): Bug correction on reflect
	  attribute values (objectClass not correctly recopied in
	  reducedMessage during broadcast (known as Carle's problem !)

2007-11-29 17:51  rousse

	* RTIA/DataDistribution.cc (3.23, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), RTIA/RTIA_federate.cc (3.54),
	  RTIA/RTIA_network.cc (3.15), RTIG/Federation.cc (3.70),
	  libCERTI/NetworkMessage_RW.cc (3.33), libCERTI/ObjectClass.cc
	  (3.40), libCERTI/ObjectClassBroadcastList.cc (3.17),
	  libCERTI/ObjectClassSet.cc (3.30): Adding some traces for
	  debugging

2007-11-28 15:54  siron

	* RTIA/RTIA_network.cc (3.14): Improvement of the sendInteraction
	  without timestamp (the timestamp attribute in the fed file does
	  not matter)

2007-11-27 15:39  siron

	* RTIA/TimeManagement.cc (3.23): The asynchronous delivery should
	  affect only the behavior of constrained federates.

2007-11-27 14:25  erk

	* include/certi.hh (3.21): Update constants in order to fits
	  everyone's needs (as of today).

2007-11-27 09:55  erk

	* libCERTI/PrettyDebug.cc (4.5), libCERTI/SocketTCP.cc (3.19),
	  libCERTI/SocketTCP.hh (3.18), libCERTI/SocketUN.cc (3.18),
	  libCERTI/SocketUN.hh (3.13, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libRTI/RTIambPrivateRefs.cc (3.7),
	  libRTI/RTIambassador.cc (3.59), libRTI/RTIambPrivateRefs.hh (3.4,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS): Remove some more
	  exit() calls.  See bug #21648 : Win32 port contains exit() when
	  error starting rtia.exe

2007-11-27 09:42  rousse

	* RTIA/RTIA_federate.cc (3.53), libCERTI/Message.cc (3.41): Very
	  little things...

2007-11-26 21:16  erk

	* libRTI/RTIambassador.cc (3.58): Fix bug #21648 : Win32 port
	  contains exit() when error starting rtia.exe Replace exit calls
	  with throw RIInternalError

2007-11-22 17:04  rousse

	* libCERTI/: Exception.cc (3.10), Exception.hh (3.5) (utags:
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS): Bug correction on
	  reason copy during exception

2007-11-22 09:26  rousse

	* RTIA/RTIA_federate.cc (3.52): Sorry, I have let a little trace

2007-11-21 10:49  erk

	* CMakeLists.txt (1.29): better separate the purpose of the flags
	  we will be prepared for non GCC compiler use

2007-11-21 10:48  erk

	* Makefile.am (3.11, DEV_ERK_BEFORE_HETEROGENEOUS): Forget to
	  update extra_DIST autotools crap

2007-11-20 10:14  erk

	* libCERTI/fed.cc (3.15, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS): fix yyrestart prototype as
	  suggested by bug #21611 : Windows won't compile in current
	  version in CVS

2007-11-20 10:04  erk

	* libCERTI/SocketMC.cc (3.14, CERTI-3_2_6,
	  DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/SocketMC.hh (3.12,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/SocketUN.hh
	  (3.12), RTIA/Communications.cc (3.19), libCERTI/LBTS.hh (3.8,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/Message.hh
	  (3.38), libCERTI/MessageBody.cc (3.14), libCERTI/Socket.hh (3.13,
	  CERTI-3_2_6, DEV_ERK_BEFORE_HETEROGENEOUS), libCERTI/SocketTCP.cc
	  (3.18), libCERTI/SocketTCP.hh (3.17), libCERTI/SocketUDP.cc
	  (3.16), libCERTI/SocketUDP.hh (3.9), libCERTI/SocketUN.cc (3.17):
	  Correct bug #21616 : Compilation problem: ISO C++ does not
	  support 'long long' and suppress spurious dotNet comment

2007-11-20 08:36  erk

	* CMakeLists.txt (1.28), configure.in (3.28,
	  DEV_ERK_BEFORE_HETEROGENEOUS): Bump version to 3.2.6cvs since
	  3.2.5 has been released

2007-11-19 16:44  erk

	* ReleaseProcess.txt (1.1), scripts/cvs2cl.pl (1.1, CERTI-3_2_6)
	  (utags: DEV_ERK_BEFORE_HETEROGENEOUS): Add informations about
	  CERTI release process (borrowed from tsp)

2007-11-19 15:07  erk

	* include/certi.hh (3.20), libCERTI/RootObject.hh (3.25),
	  libCERTI/fed.cc (3.14), test/libgraphc/CMakeLists.txt (1.6)
	  (utags: CERTI-3_2_5): late patch for CERTI 3.2.5 on windows +
	  MSVC

2007-11-19 11:42  erk

	* ChangeLog (3.34, CERTI-3_2_5): Update Changelog before release

2007-11-19 11:32  erk

	* CMakeLists.txt (1.27), configure.in (3.27) (utags: CERTI-3_2_5):
	  Prepare CETI 3.2.5 release.

2007-11-19 11:28  erk

	* include/certi.hh (3.19): Make the default buffer size better
	  suits the user's needs.  See bug #21423 : Size of Constants This
	  should be seen as a _TEMPORARY_ measure before adpoting a more
	  dynamic solution.

2007-11-19 11:20  erk

	* RTIA/FederationManagement.cc (3.36, CERTI-3_2_5): Use cstdio
	  'std::remove' API instead not portable system() API

2007-11-19 11:04  erk

	* CMakeLists.txt (1.26), include/certi.hh (3.18),
	  libCERTI/Socket.hh (3.12, CERTI-3_2_5), libCERTI/SocketTCP.hh
	  (3.16, CERTI-3_2_5), libRTI/CMakeLists.txt (1.7, CERTI-3_2_5),
	  test/libgraphc/CMakeLists.txt (1.5): Windows + MinGW update

2007-11-19 10:29  erk

	* libCERTI/: ObjectClassSet.cc (3.29, CERTI-3_2_5),
	  ObjectClassSet.hh (3.25, CERTI-3_2_5), RootObject.hh (3.24): Add
	  name collision detection (before full hierarchical support)

2007-11-16 16:45  erk

	* RTIA/ObjectManagement.cc (3.30, CERTI-3_2_5): Add meaningfull
	  reason in exception

2007-11-16 16:04  rousse

	* ChangeLog (3.33), RTIA/FederationManagement.cc (3.35),
	  RTIA/FederationManagement.hh (3.19, CERTI-3_2_5), RTIA/RTIA.hh
	  (3.10, CERTI-3_2_5), RTIA/RTIA_federate.cc (3.51, CERTI-3_2_5),
	  RTIG/Federation.cc (3.69, CERTI-3_2_5), RTIG/Federation.hh (3.43,
	  CERTI-3_2_5), RTIG/FederationsList.cc (3.45, CERTI-3_2_5),
	  RTIG/FederationsList.hh (3.35, CERTI-3_2_5),
	  RTIG/RTIG_processing.cc (3.44, CERTI-3_2_5),
	  libCERTI/Exception.hh (3.4, CERTI-3_2_5), libCERTI/fed.cc (3.13),
	  libRTI/RTIambPrivateRefs.cc (3.6, CERTI-3_2_5): Better exception
	  return on syntax error during FED file parsing

2007-11-15 15:37  rousse

	* RTIA/FederationManagement.cc (3.34), RTIA/RTIA.hh (3.9),
	  RTIA/RTIA_federate.cc (3.50), RTIG/FederationsList.cc (3.44),
	  RTIG/RTIG_processing.cc (3.43): Better return of reason exception
	  on failed create federation execution

2007-11-15 11:09  rousse

	* test/Billard/Billard.cc (3.27, CERTI-3_2_5): Little things in
	  order to better print error message on create federation in
	  Billard

2007-11-13 14:25  rousse

	* RTIA/FederationManagement.cc (3.33), RTIA/RTIA_federate.cc
	  (3.49), RTIG/Federation.cc (3.68), RTIG/FederationsList.cc
	  (3.43), RTIG/RTIG_processing.cc (3.42), libCERTI/Exception.hh
	  (3.3), libCERTI/Message.cc (3.40, CERTI-3_2_5),
	  libCERTI/Message_R.cc (3.8, CERTI-3_2_5), libCERTI/Message_W.cc
	  (3.9, CERTI-3_2_5), libCERTI/NetworkMessage.cc (3.21,
	  CERTI-3_2_5), libCERTI/NetworkMessage.hh (3.26, CERTI-3_2_5),
	  libCERTI/NetworkMessage_RW.cc (3.32, CERTI-3_2_5),
	  libRTI/RTIambPrivateRefs.cc (3.5), libRTI/RTIambassador.cc (3.57,
	  CERTI-3_2_5): Exception raised in RTIG returns reason to RTIA

2007-11-12 15:49  siron

	* RTIA/RTIA_federate.cc (3.48), RTIA/TimeManagement.cc (3.22,
	  CERTI-3_2_5), libCERTI/Exception.hh (3.2),
	  libRTI/RTIambPrivateRefs.cc (3.4): End of the
	  enableAsynchronousDelivery implementation.

2007-11-06 14:46  rousse

	* RTIA/TimeManagement.cc (3.21): enable asynchronous delivery still
	  in progress...

2007-11-06 11:05  rousse

	* ChangeLog (3.32), RTIA/ObjectManagement.cc (3.29),
	  RTIA/ObjectManagement.hh (3.16, CERTI-3_2_5),
	  RTIA/TimeManagement.cc (3.20),
	  libCERTI/ObjectClassBroadcastList.cc (3.16, CERTI-3_2_5),
	  libRTI/RTIambassador.cc (3.56): reflectAttributeValues without
	  timestamp corrected (I hope implemented)

2007-11-06 09:57  rousse

	* ChangeLog (3.31), RTIA/FederationManagement.cc (3.32): FR :
	  Suppression du fichier temporaire FED EN : Removing FED temporary
	  file

2007-11-05 15:30  rousse

	* ChangeLog (3.30), RTIA/Communications.cc (3.18, CERTI-3_2_5),
	  RTIA/ObjectManagement.cc (3.28), RTIA/ObjectManagement.hh (3.15),
	  RTIA/TimeManagement.cc (3.19), libCERTI/Message_R.cc (3.7),
	  libCERTI/Message_W.cc (3.8), libRTI/RTIambassador.cc (3.55): Bug
	  #21515 correction

2007-11-02 13:52  erk

	* scripts/FindCERTI.cmake (1.8, CERTI-3_2_5): FindCERTI now honors
	  the QUIET arguments of FIND_PACKAGE.

2007-10-31 11:30  erk

	* libCERTI/ObjectClassAttribute.cc (3.27, CERTI-3_2_5),
	  libCERTI/Dimension.hh (3.9, CERTI-3_2_5),
	  libCERTI/InteractionSet.hh (3.15, CERTI-3_2_5), libCERTI/Named.cc
	  (3.4, CERTI-3_2_5), libCERTI/ObjectClassSet.cc (3.28),
	  libCERTI/RTIRegion.hh (3.2, CERTI-3_2_5), libCERTI/RootObject.cc
	  (3.29, CERTI-3_2_5), libCERTI/fed.cc (3.12),
	  libCERTI/Interaction.cc (3.34, CERTI-3_2_5), libCERTI/Object.cc
	  (3.21, CERTI-3_2_5), libCERTI/ObjectClass.cc (3.39, CERTI-3_2_5),
	  libCERTI/ObjectSet.cc (3.16, CERTI-3_2_5), libCERTI/ObjectSet.hh
	  (3.9, CERTI-3_2_5), libCERTI/PrettyDebug.cc (4.4, CERTI-3_2_5),
	  libCERTI/XmlParser.cc (3.24, CERTI-3_2_5),
	  libCERTI/Interaction.hh (3.25, CERTI-3_2_5),
	  libCERTI/ObjectClass.hh (3.30, CERTI-3_2_5),
	  libCERTI/ObjectClassAttribute.hh (3.23, CERTI-3_2_5),
	  libCERTI/RoutingSpace.hh (3.10, CERTI-3_2_5),
	  libCERTI/SocketUN.hh (3.11, CERTI-3_2_5),
	  libCERTI/Subscribable.hh (3.6, CERTI-3_2_5),
	  RTIA/RTIA_federate.cc (3.47), RTIA/RTIA_network.cc (3.13,
	  CERTI-3_2_5), libCERTI/InteractionSet.cc (3.20, CERTI-3_2_5),
	  libCERTI/Object.hh (3.17, CERTI-3_2_5),
	  libCERTI/ObjectClassSet.hh (3.24), libCERTI/RootObject.hh (3.23),
	  libCERTI/Subscribable.cc (3.6, CERTI-3_2_5), libCERTI/fed.hh
	  (3.5, CERTI-3_2_5), RTIA/DataDistribution.cc (3.22, CERTI-3_2_5),
	  RTIA/DeclarationManagement.cc (3.16, CERTI-3_2_5),
	  RTIA/ObjectManagement.cc (3.27), RTIG/Federation.cc (3.67),
	  libRTI/RTIambPrivateRefs.cc (3.3), libRTI/RTIambPrivateRefs.hh
	  (3.3, CERTI-3_2_5): This set of patches should fix thse following
	  bugs: bug #20935 : Qualified name not handled bug #21067 :
	  ObjectClassSet::getObjectClassHandle doesn't handle class
	  hierarchies This is not the ultimate solution since the patch
	  does not resolve name clash problem.	I will continue to improve
	  the behaviour in order to reach what is required by HLA 1.3 and
	  1516.

2007-10-31 10:42  rousse

	* RTIA/FederationManagement.cc (3.31), RTIA/FederationManagement.hh
	  (3.18), libCERTI/Message_R.cc (3.6), libCERTI/Message_W.cc (3.7):
	  synchronizationPointRegistrationFailed added

2007-10-30 16:24  rousse

	* libCERTI/: Message.hh (3.37, CERTI-3_2_5), Message_R.cc (3.5),
	  Message_W.cc (3.6): Message_R and _W.cc restructuration

2007-10-30 15:15  rousse

	* libCERTI/: Message_R.cc (3.4), Message_W.cc (3.5): Little
	  things...

2007-10-30 14:11  rousse

	* libCERTI/Message_W.cc (3.4): Message_W.cc restructuration
	  (continued)

2007-10-30 10:25  rousse

	* libCERTI/: Message_R.cc (3.3), Message_W.cc (3.3): Message_R and
	  W.cc restructuration (continued)

2007-10-29 09:09  erk

	* myCERTI_env.csh.in (3.3), myCERTI_env.sh.in (1.5) (utags:
	  CERTI-3_2_5): Now csh and sh should be 'equivalent' I did
	  suppress the NBITs thing which was only usable on Linux

2007-10-29 00:27  erk

	* myCERTI_env.csh.in (3.2), myCERTI_env.sh.in (1.4): First pass
	  update of the Bourne Shell scripts from C-Shell one (correct some
	  typo in C-shell too)

2007-10-26 16:36  rousse

	* ChangeLog (3.29), libCERTI/Message_R.cc (3.2),
	  libCERTI/Message_W.cc (3.2): Little thing.

2007-10-26 15:00  rousse

	* libCERTI/: CMakeLists.txt (1.9, CERTI-3_2_5), Makefile.am (3.33,
	  CERTI-3_2_5), Message.hh (3.36), Message_R.cc (3.1),
	  Message_RW.cc (3.39), Message_W.cc (3.1): FR : Debut
	  restructuration Message_RW en 2 fichiers EN : Begin dividing
	  Message_RW into 2 files

2007-10-25 10:07  rousse

	* ChangeLog (3.28), RTIA/RTIA_federate.cc (3.46),
	  RTIA/TimeManagement.cc (3.18), RTIA/TimeManagement.hh (3.11,
	  CERTI-3_2_5), libCERTI/Message_RW.cc (3.38),
	  libRTI/RTIambassador.cc (3.54): FR : Preparation realisation
	  EnableAsynchronousDelivery et DisableAsynchronousDelivery EN :
	  Beginning implementation of services EnableAsynchronousDelivery
	  and DisableAsynchronousDelivery

2007-10-24 09:36  rousse

	* CMakeLists.txt (1.25), ChangeLog (3.27), Makefile.am (3.10,
	  CERTI-3_2_5), configure.in (3.26), myCERTI_env.csh.in (3.1):
	  Ajout de myCERTI_env.csh genere pour utilisation avec csh
	  myCERTI_env.csh generated added for easy use with csh

2007-10-23 11:18  erk

	* scripts/UseCERTI.cmake (1.2, CERTI-3_2_5): Add libxml2 to
	  CERTI_LIBRARIES if found this would ease user app link

2007-10-23 11:18  erk

	* scripts/FindCERTI.cmake (1.7): FindCERTI.cmake is now more
	  compliant with FindXXX.cmake standard

2007-10-22 16:37  erk

	* Makefile.am (3.9): Add scripts UseCERTI.cmake in the distribution
	  just like it has been done for CMakeLists.txt

2007-10-22 16:25  erk

	* libCERTI/: Socket.hh (3.11), SocketTCP.cc (3.17, CERTI-3_2_5),
	  SocketTCP.hh (3.15), SocketUDP.cc (3.15, CERTI-3_2_5): Add more
	  valuable error message content At least @IP involved in network
	  error.

2007-10-22 16:24  erk

	* RTIA/main.cc (3.17, CERTI-3_2_5): Add context prefix to error
	  message.  Add try/catch block aroung RTIA object construction
	  since network error may occur there.

2007-10-22 16:23  erk

	* test/Billard/main.cc (3.21, CERTI-3_2_5),
	  libRTI/RTIambPrivateRefs.cc (3.2), libRTI/RTIambassador.cc
	  (3.53): Add context prefix to error message

2007-10-20 00:16  erk

	* CMakeLists.txt (1.24), scripts/FindCERTI.cmake (1.6): install
	  UseCERTI.cmake just as FindCERTI.cmake

	  this will ease the building of HLA application using CERTI and
	  CMake

2007-10-19 15:51  rousse

	* ChangeLog (3.26), RTIA/main.cc (3.16), libCERTI/SocketTCP.cc
	  (3.16), libCERTI/SocketTCP.hh (3.14): Amelioration du format des
	  adresses et port pour socket TCP Improvement socketTCP adress and
	  port

2007-10-18 23:25  erk

	* myCERTI_env.sh.in (1.3): arch command does not seem to be
	  portable use uname -m instead

2007-10-18 23:24  erk

	* CMakeLists.txt (1.23): Add "Generated by CMake" from
	  @configure_input@

2007-10-16 11:28  erk

	* libCERTI/: Interaction.hh (3.24), InteractionSet.cc (3.19),
	  Named.cc (3.3), Named.hh (3.3, CERTI-3_2_5), ObjectClass.hh
	  (3.29), ObjectClassAttribute.cc (3.26), ObjectClassAttribute.hh
	  (3.22), ObjectClassSet.cc (3.27), ObjectClassSet.hh (3.23),
	  Subscribable.hh (3.5), fed.cc (3.11), Interaction.cc (3.33),
	  ObjectClass.cc (3.38): First set of modification for solution of
	  bug #20935 Rationalize the use of C++ STL map.  Named object now
	  has virtual methods and unfinished support method for HLA name
	  validation

2007-10-16 11:25  erk

	* RTIG/: Federation.cc (3.66), FederationsList.cc (3.42): Send more
	  valuable cause for Exception

2007-10-04 14:47  rousse

	* ChangeLog (3.25), libCERTI/MessageBody.hh (3.14, CERTI-3_2_5):
	  Petites choses sans importance No comment.

2007-09-28 17:27  erk

	* CMakeLists.txt (1.22): Help to find CPack even if CPack is not in
	  "default path"

2007-09-28 17:26  erk

	* libCERTI/Clock.hh (4.4, CERTI-3_2_5): MSVC backport for missing
	  <stdint.h> and uint64_t

2007-09-28 17:22  erk

	* include/baseTypes.hh (3.10, CERTI-3_2_5): Change back default arg
	  value since it worry MSVC with a link error (to be investigated
	  later).

2007-09-28 16:07  rousse

	* ChangeLog (3.24), RTIA/Communications.cc (3.17),
	  RTIA/FederationManagement.cc (3.30), RTIA/FederationManagement.hh
	  (3.17), RTIA/RTIA_federate.cc (3.45), RTIG/Federation.cc (3.65),
	  RTIG/Federation.hh (3.42), RTIG/FederationsList.cc (3.41),
	  RTIG/FederationsList.hh (3.34), RTIG/RTIG_processing.cc (3.41),
	  libCERTI/Message_RW.cc (3.37), libCERTI/NetworkMessage_RW.cc
	  (3.31), libRTI/RTIambassador.cc (3.52), test/Billard/Billard.hh
	  (3.13, CERTI-3_2_5), test/Billard/main.cc (3.20): Debut
	  realisation du REQUEST_FEDERATION_SAVE (pas encore operationnel)
	  Beginning REQUEST_FEDERATION_SAVE implementation (not yet
	  implemented)

2007-09-27 15:59  erk

	* include/RTI.hh (3.10, CERTI-3_2_5), include/baseTypes.hh (3.9),
	  libCERTI/Exception.cc (3.9, CERTI-3_2_5), libCERTI/ObjectClass.cc
	  (3.37), libCERTI/ObjectClassSet.cc (3.26), libCERTI/ObjectSet.cc
	  (3.15), test/utility/.cvsignore (1.1, CERTI-3_2_5): Add
	  RTI::Exception tracability mechanism.  If you want to see
	  Exception.  set env var

	  RTI_EXCEPTION to X

2007-09-26 16:15  erk

	* CMakeLists.txt (1.21), configure.in (3.25): Bump version in order
	  to take into account several CERTI for Windows update

2007-09-26 16:15  erk

	* libCERTI/CMakeLists.txt (1.8), libRTI/CMakeLists.txt (1.6): Add
	  .def file generation (and installation) when compiling with MinGW

2007-09-26 16:14  erk

	* include/fedtime.hh (3.8, CERTI-3_2_5): Move from RTI_EXPORT to
	  CERTI_EXPORT because the operator is implemented in libCERTI (and
	  not libRTI)

2007-09-25 15:42  erk

	* include/RTItypes.hh (3.18, CERTI-3_2_5): Export more symbols.
	  This is a preliminary fix for bug #21124 : Fedtime Library
	  problem

2007-09-25 15:25  erk

	* include/certi.hh (3.17): Correct typo from Windows update

2007-09-25 15:18  erk

	* test/Billard/Billard.cc (3.26), RTIG/Federation.cc (3.64),
	  include/RTI.hh (3.9), include/certi.hh (3.16),
	  libCERTI/SocketMC.hh (3.11, CERTI-3_2_5), test/Billard/Billard.hh
	  (3.12): Update for compiling with mingw32 (should be OK both for
	  DevC++ and EclipseCDT/Wascana)

2007-09-25 11:21  erk

	* CMakeLists.txt (1.20): Display message when X11 not found

2007-09-24 16:54  erk

	* CMakeLists.txt (1.19): Updatenaming scheme on Windows platform

2007-09-20 16:19  erk

	* libCERTI/CMakeLists.txt (1.7), libRTI/CMakeLists.txt (1.5):
	  Update SOVERSION for shared lib in order to be consistent with
	  the value used by our autotools build

2007-09-19 13:58  erk

	* scripts/UseCERTI.cmake (1.1): Add a preliminary UseCERTI.cmake
	  macro file.

2007-09-19 13:58  erk

	* scripts/FindCERTI.cmake (1.5): Added MESSAGE for lib search.
	  Implement cleaner way to use CERTI_HOME (if defined)

2007-09-12 09:46  erk

	* configure.in (3.24), CMakeLists.txt (1.18): Bump version from
	  3.2.5pre4 to 3.2.5pre5

2007-09-12 09:44  erk

	* doc/Makefile.am (3.5, CERTI-3_2_5): Update AutoXXX files

2007-09-04 10:33  erk

	* libRTI/RTIambPrivateRefs.cc (3.1), RTIG/RTIG_processing.cc
	  (3.40): Added comment for possible bug.  In particular bug #19869

2007-09-03 15:59  erk

	* libCERTI/RoutingSpace.hh (3.9), RTIG/RTIG.hh (3.22, CERTI-3_2_5),
	  libCERTI/Dimension.hh (3.8), libRTI/RTIambassador.cc (3.51): More
	  doxygen doc clean-up and less unnecessary include

2007-09-03 15:26  erk

	* libCERTI/: Dimension.cc (3.7, CERTI-3_2_5), Dimension.hh (3.7),
	  Extent.hh (3.9, CERTI-3_2_5), Handled.hh (3.2, CERTI-3_2_5),
	  RoutingSpace.cc (3.14, CERTI-3_2_5), RoutingSpace.hh (3.8):
	  Improve Doxygen doc

2007-08-31 15:43  erk

	* libCERTI/: XmlParser.cc (3.23), XmlParser.hh (3.12, CERTI-3_2_5):
	  More doxygen documentation for Xml Parser please.

2007-08-31 14:47  erk

	* libCERTI/Named.cc (3.2), libCERTI/Named.hh (3.2),
	  libCERTI/Parameter.cc (3.10, CERTI-3_2_5), libCERTI/Parameter.hh
	  (3.7, CERTI-3_2_5), libCERTI/RoutingSpace.cc (3.13),
	  libCERTI/RoutingSpace.hh (3.7), libCERTI/XmlParser.cc (3.22),
	  libCERTI/XmlParser.hh (3.11), RTIG/Federation.cc (3.63),
	  scripts/FindCERTI.cmake (1.4): Correct bug #19576 : XmlParser's
	  memory leak bug Plus some cosmetic change in order to avoid
	  setName/getName duplication.	All class which needs this now
	  inherits from Named.

2007-08-29 15:09  erk

	* libCERTI/: Interaction.cc (3.32), fed.cc (3.10): Correct bug
	  #20727 : Syntax error on valid file? We should always set up the
	  element BEFORE adding it to container.  This has been done for
	  parameter (of an interaction class) and for attributes.

2007-08-29 15:07  erk

	* libCERTI/syntax.yy (3.5, CERTI-3_2_5): Type declaration mismatch
	  for extern var

2007-08-29 11:48  rousse

	* ChangeLog (3.23), RTIA/FederationManagement.cc (3.29),
	  RTIG/Federate.cc (3.14, CERTI-3_2_5), RTIG/Federation.cc (3.62),
	  libRTI/RTIambassador.cc (3.50), test/Billard/Billard.cc (3.25),
	  test/Billard/Billard.hh (3.11), test/Billard/main.cc (3.19):
	  Correction (enlever UnimplementedService) sur la definition de
	  registerFederatio nSynchronizationPoint et test rajoute dans le
	  billard registerFederationSynchronizationPoint definition
	  corection (UnimplementedServic e deleted) and add test on billard

2007-08-27 16:46  erk

	* test/Billard/cmdline.h (3.5, CERTI-3_2_5): Calm down compiler
	  warning xxxx_given flags should be int however

2007-08-27 16:13  rousse

	* ChangeLog (3.22), RTIA/FederationManagement.cc (3.28),
	  RTIA/FederationManagement.hh (3.16), RTIA/RTIA_federate.cc
	  (3.44), RTIG/Federation.cc (3.61), RTIG/Federation.hh (3.41),
	  RTIG/FederationsList.cc (3.40), RTIG/FederationsList.hh (3.33),
	  RTIG/RTIG_processing.cc (3.39), libCERTI/Message_RW.cc (3.36),
	  libCERTI/NetworkMessage_RW.cc (3.30), libRTI/RTIambassador.cc
	  (3.49): Service Register Federation Synchronization Point
	  conforme a HLA 1.3 : ajout du 3eme parametre optionnel (ensemble
	  de federes a informer) HLA 1.3 compliance Service Register
	  Federation Synchronization Point : parameter 3 added (set of
	  federates to inform)

2007-08-27 15:18  erk

	* libCERTI/Exception.cc (3.8): Fix bug #20892 : patch for
	  RTI::Exception operator<< Integrated the patch provided by Jeff
	  with slight modification.

2007-08-25 14:30  erk

	* scripts/FindCERTI.cmake (1.3): Typo due to [too]-fast copy/paste

2007-08-20 11:48  rousse

	* ChangeLog (3.21), RTIA/FederationManagement.cc (3.27),
	  RTIA/RTIA_federate.cc (3.43), RTIG/Federation.cc (3.60),
	  RTIG/FederationsList.cc (3.39), RTIG/RTIG_processing.cc (3.38):
	  Amelioration trace documentation Enhancement documentation trace

2007-08-10 16:50  erk

	* test/Billard/main.cc (3.18), doc/certi_doc_tree.dox (1.2,
	  CERTI-3_2_5): Should add Billard as CERTI app in doyxgen ?

2007-08-10 16:45  erk

	* doc/certi_doc_tree.dox (1.1), doc/certi_doxygen.cnf.in (1.1,
	  CERTI-3_2_5), test/Billard/main.cc (3.17), doc/CMakeLists.txt
	  (1.3, CERTI-3_2_5), doc/reference.dox.in (3.3), include/RTI.hh
	  (3.8), include/certi.hh (3.15), libRTI/RTIambassador.cc (3.48):
	  Build more structured doxygen doc.

2007-08-10 16:45  erk

	* libCERTI/: Clock.hh (4.3), Message.cc (3.39), Message.hh (3.35),
	  NetworkMessage.cc (3.20): Small doxygen warning fix

2007-08-10 15:53  erk

	* libCERTI/syntax.yy (3.4): Should fix bug #20727, Syntax error on
	  valid file?

2007-08-10 13:32  erk

	* libCERTI/: Clock.cc (4.3), PosixClock.cc (4.3), TSCClock.cc (4.3)
	  (utags: CERTI-3_2_5): Spurious } error

2007-08-10 13:31  erk

	* scripts/FindCERTI.cmake (1.2): Small Update

2007-08-09 11:22  rousse

	* ChangeLog (3.20), RTIA/ObjectManagement.cc (3.26),
	  RTIA/RTIA_federate.cc (3.42), RTIG/Federation.cc (3.59),
	  RTIG/FederationsList.cc (3.38), RTIG/RTIG_processing.cc (3.37),
	  libCERTI/Interaction.cc (3.31),
	  libCERTI/InteractionBroadcastList.cc (3.11, CERTI-3_2_5),
	  libCERTI/InteractionSet.cc (3.18), libCERTI/PrettyDebug.hh (4.4,
	  CERTI-3_2_5): Ajout d'une option (GENDOC - G) pour ameliorer la
	  generation de la documenntation Improvment of documentation
	  generation by adding a new option ( GENDOC - G)

2007-08-01 08:51  rousse

	* ChangeLog (3.19), RTIA/ObjectManagement.cc (3.25),
	  RTIA/RTIA_federate.cc (3.41), libRTI/RTIambassador.cc (3.47):
	  Amelioration de la prise en compte du send interaction sans
	  estampille Improvment of send interaction without timestamp

2007-07-31 16:52  erk

	* scripts/FindLexYacc.cmake (1.2, CERTI-3_2_5): Find Flex first
	  would be better if available

2007-07-30 17:24  rousse

	* ChangeLog (3.18), RTIA/ObjectManagement.cc (3.24),
	  RTIG/RTIG_processing.cc (3.36), libCERTI/Message.cc (3.38),
	  libCERTI/Message_RW.cc (3.35), test/Billard/Billard.cc (3.24):
	  Meilleure gestion du tag dans update attribute values et send
	  interaction Better tag managing in update attribute values and
	  send interaction

2007-07-30 17:17  rousse

	* test/utility/Makefile.in (1.2): test/utimity/Makefile.in not in
	  cvs

2007-07-30 09:30  erk

	* configure.in (3.23), libCERTI/Clock.cc (4.2), libCERTI/Clock.hh
	  (4.2), libCERTI/Makefile.am (3.32), libCERTI/PosixClock.cc (4.2),
	  libCERTI/PosixClock.hh (4.2, CERTI-3_2_5), libCERTI/TSCClock.cc
	  (4.2), libCERTI/TSCClock.hh (4.2, CERTI-3_2_5),
	  test/utility/CertiUtilTests.cc (1.2, CERTI-3_2_5): Solaris (and
	  probably others) AutoXXXX build is now OK.  Argh!!! Automake
	  conditional handling sucks...

2007-07-30 08:29  erk

	* .cvsignore (1.2, CERTI-3_2_5): Update .cvsignore with more
	  autoconf generated files

2007-07-26 16:19  erk

	* configure.in (3.22), libCERTI/Makefile.am (3.31): Fix Solaris
	  compile at least...

2007-07-26 14:23  erk

	* configure.in (3.21), libCERTI/Makefile.am (3.30): Should fix
	  Solaris compile

2007-07-26 09:27  erk

	* test/libgraphc/.cvsignore (1.1, CERTI-3_2_5): Ignore autoXXX
	  generated files

2007-07-25 16:37  erk

	* RTIA/.cvsignore (1.1, CERTI-3_2_5), test/.cvsignore (1.1,
	  CERTI-3_2_5), .cvsignore (1.1), RTIG/.cvsignore (1.1,
	  CERTI-3_2_5), doc/.cvsignore (1.1, CERTI-3_2_5),
	  include/.cvsignore (1.1, CERTI-3_2_5), libCERTI/.cvsignore (1.1,
	  CERTI-3_2_5), libRTI/.cvsignore (1.1, CERTI-3_2_5),
	  test/Billard/.cvsignore (1.1, CERTI-3_2_5): Ignore autoXXX
	  generated files

2007-07-25 16:35  erk

	* RTIA/Makefile.am (3.8, CERTI-3_2_5), CMakeLists.txt (1.17),
	  config.h.cmake (1.2, CERTI-3_2_5), configure.in (3.20),
	  test/Makefile.am (3.3, CERTI-3_2_5), test/utility/CMakeLists.txt
	  (1.1, CERTI-3_2_5), test/utility/CertiUtilTests.cc (1.1),
	  test/utility/Makefile.am (1.1, CERTI-3_2_5),
	  test/utility/Makefile.in (1.1), libCERTI/CMakeLists.txt (1.6),
	  libCERTI/Clock.cc (4.1), libCERTI/Clock.hh (4.1),
	  libCERTI/Makefile.am (3.29), libCERTI/PosixClock.cc (4.1),
	  libCERTI/PosixClock.hh (4.1), libCERTI/PrettyDebug.hh (4.3),
	  libCERTI/TSCClock.cc (4.1), libCERTI/TSCClock.hh (4.1),
	  test/CMakeLists.txt (1.2, CERTI-3_2_5), RTIG/Makefile.am (3.8,
	  CERTI-3_2_5), test/Billard/Makefile.am (3.17, CERTI-3_2_5): Add
	  Clock support in libCERTI in order to have handy tools for
	  profiling

2007-07-24 11:41  rousse

	* CMakeLists.txt (1.16), ChangeLog (3.17), configure.in (3.19):
	  Numero de version beta mis a jour Update beta version number

2007-07-23 16:13  rousse

	* ChangeLog (3.16), RTIA/ObjectManagement.cc (3.23),
	  RTIA/ObjectManagement.hh (3.14), RTIA/RTIA_federate.cc (3.40),
	  RTIG/Federation.cc (3.58), RTIG/Federation.hh (3.40),
	  RTIG/FederationsList.cc (3.37), RTIG/FederationsList.hh (3.32),
	  RTIG/RTIG_processing.cc (3.35), libCERTI/Interaction.cc (3.30),
	  libCERTI/Interaction.hh (3.23), libCERTI/InteractionSet.cc
	  (3.17), libCERTI/InteractionSet.hh (3.14), libCERTI/Message_RW.cc
	  (3.34), libCERTI/NetworkMessage_RW.cc (3.29),
	  libRTI/RTIambassador.cc (3.46), test/Billard/Billard.cc (3.23):
	  Update et send sans estampille Update and send without timestamp

2007-07-19 14:21  rousse

	* ChangeLog (3.15), RTIA/RTIA_federate.cc (3.39): Jolie erreur dans
	  RTIA_federate.cc pour l'appel de updateAttributeValues.  Nice bug
	  in RTIA_federate.cc calling updateAttributeValues.

2007-07-06 16:20  erk

	* libCERTI/CMakeLists.txt (1.5), test/libgraphc/CMakeLists.txt
	  (1.4), CMakeLists.txt (1.15), include/CMakeLists.txt (1.2,
	  CERTI-3_2_5), libRTI/CMakeLists.txt (1.4),
	  test/Billard/Billard.cc (3.22): Clean-up CMakeLists.txt files and
	  add static_cast in order to avoid compiler warning

2007-07-06 11:25  erk

	* libCERTI/ObjectClassAttribute.cc (3.25), libCERTI/AuditLine.cc
	  (3.11, CERTI-3_2_5), libCERTI/BasicMessage.cc (3.9, CERTI-3_2_5),
	  libCERTI/FedRegion.cc (3.5, CERTI-3_2_5), libCERTI/FedTime.cc
	  (3.11, CERTI-3_2_5), libCERTI/GAV.cc (3.17, CERTI-3_2_5),
	  libCERTI/GAV_aux.cc (3.16, CERTI-3_2_5),
	  libCERTI/GSSAPIHandler.cc (3.6, CERTI-3_2_5),
	  libCERTI/Interaction.cc (3.29),
	  libCERTI/InteractionBroadcastList.cc (3.10),
	  libCERTI/InteractionSet.cc (3.16), libCERTI/Message.hh (3.34),
	  libCERTI/Message_RW.cc (3.33),
	  libCERTI/ObjectClassBroadcastList.cc (3.15),
	  libCERTI/ObjectClassSet.cc (3.25), libCERTI/ObjectSet.cc (3.14),
	  libCERTI/Parameter.cc (3.9), libCERTI/PrettyDebEx.cc (4.2,
	  CERTI-3_2_5), libCERTI/PrettyDebug.cc (4.3),
	  libCERTI/RootObject.cc (3.28), libCERTI/SocketMC.cc (3.13,
	  CERTI-3_2_5), libCERTI/XmlParser.cc (3.21), libCERTI/AuditFile.cc
	  (3.11, CERTI-3_2_5), libCERTI/BaseRegion.cc (3.5, CERTI-3_2_5),
	  libCERTI/Dimension.cc (3.6), libCERTI/Exception.cc (3.7),
	  libCERTI/Extent.cc (3.10, CERTI-3_2_5),
	  libCERTI/FederateLevelList.cc (3.11, CERTI-3_2_5),
	  libCERTI/LBTS.cc (3.8, CERTI-3_2_5), libCERTI/Message.cc (3.37),
	  libCERTI/MessageBody.cc (3.13, CERTI-3_2_5),
	  libCERTI/NetworkMessage.cc (3.19), libCERTI/NetworkMessage_RW.cc
	  (3.28), libCERTI/Object.cc (3.20), libCERTI/ObjectClass.cc
	  (3.36), libCERTI/RTIRegion.cc (3.4, CERTI-3_2_5),
	  libCERTI/RoutingSpace.cc (3.12), libCERTI/SecurityLevel.hh (3.8,
	  CERTI-3_2_5), libCERTI/SecurityServer.cc (3.11, CERTI-3_2_5),
	  libCERTI/SocketServer.cc (3.12, CERTI-3_2_5),
	  libCERTI/SocketTCP.cc (3.15), libCERTI/SocketUN.cc (3.16,
	  CERTI-3_2_5), libCERTI/fed.cc (3.9), RTIG/Federate.cc (3.13),
	  RTIG/Federation.cc (3.57), RTIG/RTIG.cc (3.31, CERTI-3_2_5),
	  RTIG/getopt.c (3.3, CERTI-3_2_5), RTIG/main.cc (3.15,
	  CERTI-3_2_5), libCERTI/ObjectAttribute.cc (3.17, CERTI-3_2_5),
	  libCERTI/SecureTCPSocket.cc (3.9, CERTI-3_2_5),
	  libCERTI/SocketUDP.cc (3.14), libCERTI/Subscribable.cc (3.5),
	  test/Billard/Ball.cc (3.10, CERTI-3_2_5), test/Billard/Billard.cc
	  (3.21), test/Billard/BillardDDM.cc (3.20, CERTI-3_2_5),
	  test/Billard/ColoredBall.cc (3.6, CERTI-3_2_5),
	  test/Billard/main.cc (3.16), RTIA/Communications.cc (3.16),
	  RTIA/DeclarationManagement.cc (3.15),
	  RTIA/FederationManagement.cc (3.26), RTIA/ObjectManagement.cc
	  (3.22), RTIA/OwnershipManagement.cc (3.11, CERTI-3_2_5),
	  RTIA/RTIA_federate.cc (3.38), RTIA/TimeManagement.hh (3.10),
	  include/Certi_Win.h (3.2), include/Makefile.am (3.6,
	  CERTI-3_2_5), include/certi.hh (3.14), include/fedtime.hh (3.7),
	  libRTI/RTIambPrivateRefs.hh (3.2), libRTI/RTIambassador.cc
	  (3.45), test/Billard/Display.cc (3.5, CERTI-3_2_5): Suppress
	  Certi_Win.h file and put all this stuff in certi.hh Use _WIN32
	  predefined Windows platform specific MACRO instead of WIN32 which
	  is a CMake defined one see
	  http://predef.sourceforge.net/preos.html#sec22

2007-07-06 11:23  erk

	* CMakeLists.txt (1.14): Add comment about compiler options for
	  Eclipse CDT

2007-07-06 11:22  erk

	* doc/reference.dox.in (3.2): Suppress Wrong src subdir

2007-07-05 13:51  erk

	* CMakeLists.txt (1.13): Change pre-version to pre2

2007-07-04 22:47  erk

	* doc/Makefile.am (3.4), doc/billard.dox.in (3.1, CERTI-3_2_5),
	  doc/user.dox.in (3.1, CERTI-3_2_5), CMakeLists.txt (1.12),
	  doc/CMakeLists.txt (1.2), doc/reference.dox.in (3.1): Add doxygen
	  documentation generation using CMake

2007-07-04 18:58  erk

	* AUTHORS (3.8, CERTI-3_2_5): Update AUTHORs Added J.M. MathĆ©
	  (Windows (re)port) and E. Noulard (CMake usage and bug fixes)

2007-07-04 15:19  erk

	* CMakeLists.txt (1.11): Missing $ for LIBXML var usage

2007-06-25 15:09  erk

	* CMakeLists.txt (1.10), RTIA/CMakeLists.txt (1.3, CERTI-3_2_5),
	  RTIG/CMakeLists.txt (1.2, CERTI-3_2_5), RTIG/Federation.cc
	  (3.56), libCERTI/CMakeLists.txt (1.4), libRTI/CMakeLists.txt
	  (1.3), test/Billard/CMakeLists.txt (1.4, CERTI-3_2_5),
	  test/libgraphc/CMakeLists.txt (1.3): Update NSIS installer
	  Install lib and binary in the same bin dir in order to avoid to
	  install DLL in system folder

2007-06-25 15:09  erk

	* RTIG/main.cc (3.14): Detect where rtig is installed on Win32 in
	  order to seek relative path correctly for Test.fed (we set up
	  CERTI_HOME to be ../share/federations)

2007-06-25 15:07  erk

	* test/Billard/main.cc (3.15): Wait Unix called in Unix AND windows
	  case

2007-06-22 16:13  erk

	* include/Makefile.am (3.5): typo in the included filename
	  Certi_Win.hh instead of Certi_Win.h

2007-06-22 11:18  erk

	* CMakeLists.txt (1.9): Added ZIP format for generator on Unix

2007-06-22 11:16  erk

	* CMakeLists.txt (1.8): Added preliminary NSIS installer config to
	  be tested on Win32 Box

2007-06-22 11:05  erk

	* CERTI_DESCRIPTION.txt (1.1), doc/certi.bmp (1.1), doc/certi.png
	  (1.1) (utags: CERTI-3_2_5): Add logos and CERTI description file
	  for NSIS installer

2007-06-22 10:51  erk

	* CMakeLists.txt (1.7), RTIA/CMakeLists.txt (1.2),
	  RTIA/Communications.cc (3.15), RTIA/DeclarationManagement.cc
	  (3.14), RTIA/FederationManagement.cc (3.25),
	  RTIA/ObjectManagement.cc (3.21), RTIA/OwnershipManagement.cc
	  (3.10), RTIA/RTIA_federate.cc (3.37), RTIA/RTIA_network.cc
	  (3.12), RTIA/TimeManagement.cc (3.17), RTIA/TimeManagement.hh
	  (3.9), RTIA/main.cc (3.15), RTIG/Federate.cc (3.12),
	  RTIG/Federation.cc (3.55), RTIG/Federation.hh (3.39),
	  RTIG/FederationsList.cc (3.36), RTIG/RTIG.cc (3.30),
	  RTIG/cmdline.c (3.4, CERTI-3_2_5), RTIG/getopt.c (3.2),
	  RTIG/main.cc (3.13), include/Certi_Win.h (3.1),
	  include/Makefile.am (3.4), include/RTI.hh (3.7),
	  include/RTItypes.hh (3.17), include/baseTypes.hh (3.8),
	  include/certi.hh (3.13), include/fedtime.hh (3.6),
	  libCERTI/AuditFile.cc (3.10), libCERTI/AuditFile.hh (3.10,
	  CERTI-3_2_5), libCERTI/AuditLine.cc (3.10),
	  libCERTI/BaseRegion.cc (3.4), libCERTI/BaseRegion.hh (3.2,
	  CERTI-3_2_5), libCERTI/BasicMessage.cc (3.8),
	  libCERTI/BasicMessage.hh (3.7, CERTI-3_2_5),
	  libCERTI/CMakeLists.txt (1.3), libCERTI/DebugOStream.hh (4.1,
	  CERTI-3_2_5), libCERTI/Dimension.cc (3.5), libCERTI/Exception.cc
	  (3.6), libCERTI/Extent.cc (3.9), libCERTI/Extent.hh (3.8),
	  libCERTI/FedRegion.cc (3.4), libCERTI/FedRegion.hh (3.2,
	  CERTI-3_2_5), libCERTI/FedTime.cc (3.10),
	  libCERTI/FederateLevelList.cc (3.10), libCERTI/GAV.cc (3.16),
	  libCERTI/GAV_aux.cc (3.15), libCERTI/GSSAPIHandler.cc (3.5),
	  libCERTI/HandleManager.hh (3.3, CERTI-3_2_5),
	  libCERTI/Interaction.cc (3.28), libCERTI/Interaction.hh (3.22),
	  libCERTI/InteractionBroadcastList.cc (3.9),
	  libCERTI/InteractionSet.cc (3.15), libCERTI/InteractionSet.hh
	  (3.13), libCERTI/LBTS.cc (3.7), libCERTI/LBTS.hh (3.7,
	  CERTI-3_2_5), libCERTI/Makefile.am (3.28), libCERTI/Message.cc
	  (3.36), libCERTI/Message.hh (3.33), libCERTI/MessageBody.cc
	  (3.12), libCERTI/MessageBody.hh (3.13), libCERTI/Message_RW.cc
	  (3.32), libCERTI/NetworkMessage.cc (3.18),
	  libCERTI/NetworkMessage.hh (3.25), libCERTI/NetworkMessage_RW.cc
	  (3.27), libCERTI/Object.cc (3.19), libCERTI/Object.hh (3.16),
	  libCERTI/ObjectAttribute.cc (3.16), libCERTI/ObjectAttribute.hh
	  (3.16, CERTI-3_2_5), libCERTI/ObjectClass.cc (3.35),
	  libCERTI/ObjectClass.hh (3.28), libCERTI/ObjectClassAttribute.cc
	  (3.24), libCERTI/ObjectClassAttribute.hh (3.21),
	  libCERTI/ObjectClassBroadcastList.cc (3.14),
	  libCERTI/ObjectClassSet.cc (3.24), libCERTI/ObjectClassSet.hh
	  (3.22), libCERTI/ObjectSet.cc (3.13), libCERTI/ObjectSet.hh
	  (3.8), libCERTI/Parameter.cc (3.8), libCERTI/PrettyDebEx.cc
	  (4.1), libCERTI/PrettyDebug.cc (4.2), libCERTI/PrettyDebug.hh
	  (4.2), libCERTI/RTIRegion.cc (3.3), libCERTI/RTIRegion.hh (3.1),
	  libCERTI/RootObject.cc (3.27), libCERTI/RootObject.hh (3.22),
	  libCERTI/RoutingSpace.cc (3.11), libCERTI/RoutingSpace.hh (3.6),
	  libCERTI/SecureTCPSocket.cc (3.8), libCERTI/SecureTCPSocket.hh
	  (3.8, CERTI-3_2_5), libCERTI/SecurityLevel.hh (3.7),
	  libCERTI/SecurityServer.cc (3.10), libCERTI/SecurityServer.hh
	  (3.11, CERTI-3_2_5), libCERTI/Socket.hh (3.10),
	  libCERTI/SocketMC.cc (3.12), libCERTI/SocketMC.hh (3.10),
	  libCERTI/SocketServer.cc (3.11), libCERTI/SocketServer.hh (3.10,
	  CERTI-3_2_5), libCERTI/SocketTCP.cc (3.14), libCERTI/SocketTCP.hh
	  (3.13), libCERTI/SocketUDP.cc (3.13), libCERTI/SocketUDP.hh (3.8,
	  CERTI-3_2_5), libCERTI/SocketUN.cc (3.15), libCERTI/SocketUN.hh
	  (3.10), libCERTI/Subscribable.cc (3.4), libCERTI/Subscribable.hh
	  (3.4), libCERTI/XmlParser.cc (3.20), libCERTI/XmlParser.hh
	  (3.10), libCERTI/fed.cc (3.8), libCERTI/fed.hh (3.4),
	  libRTI/CMakeLists.txt (1.2), libRTI/RTIambPrivateRefs.hh (3.1),
	  libRTI/RTIambassador.cc (3.44), test/Billard/Ball.cc (3.9),
	  test/Billard/Billard.cc (3.20), test/Billard/BillardDDM.cc
	  (3.19), test/Billard/CMakeLists.txt (1.3),
	  test/Billard/ColoredBall.cc (3.5), test/Billard/Display.cc (3.4),
	  test/Billard/cmdline.c (3.5, CERTI-3_2_5), test/Billard/main.cc
	  (3.14), test/libgraphc/CMakeLists.txt (1.2): Beware relatively
	  big WIN32 port merge Should be OK on WIN32 and Linux

2007-06-19 15:07  tag BEFORE_MERGE_WIN32

2007-06-19 15:07  rousse

	* ChangeLog (3.14), RTIA/FederationManagement.cc (3.24),
	  RTIA/RTIA_federate.cc (3.36) (utags: BEFORE_MERGE_WIN32): Petites
	  choses sans importance.  Little things.

2007-06-18 10:13  rousse

	* ChangeLog (3.13), RTIA/FederationManagement.cc (3.23),
	  libCERTI/Message.cc (3.35, BEFORE_MERGE_WIN32),
	  libCERTI/MessageBody.cc (3.11, BEFORE_MERGE_WIN32),
	  libCERTI/NetworkMessage.cc (3.17, BEFORE_MERGE_WIN32),
	  libCERTI/NetworkMessage_RW.cc (3.26, BEFORE_MERGE_WIN32),
	  test/Billard/Billard.hh (3.10, BEFORE_MERGE_WIN32): FRENCH Le nom
	  du fichier fed de travail contenait des : ce qui gene le passage
	  sous Windows.  Ils ont ete remplaces par des _ Merci Jean-Michel
	  et Eric.  ANGLAIS Workind fed file name contains : character.
	  This don't work under Windows.  : character is now replaced by  _
	  character Thanx to Jean-Michel and Eric.

2007-06-15 13:42  rousse

	* libRTI/RTIambassador.cc (3.43), test/Billard/Billard.cc (3.19)
	  (utags: BEFORE_MERGE_WIN32): Correction d'une petite erreur lors
	  de la fusion cvs precedente.	Little bug correction coming from
	  last cvs merge.

2007-06-15 10:14  rousse

	* ChangeLog (3.12), RTIA/ObjectManagement.cc (3.20,
	  BEFORE_MERGE_WIN32), RTIA/ObjectManagement.hh (3.13,
	  BEFORE_MERGE_WIN32), RTIA/RTIA_network.cc (3.11,
	  BEFORE_MERGE_WIN32), RTIG/Federation.cc (3.54,
	  BEFORE_MERGE_WIN32), RTIG/Federation.hh (3.38,
	  BEFORE_MERGE_WIN32), RTIG/FederationsList.cc (3.35,
	  BEFORE_MERGE_WIN32), RTIG/FederationsList.hh (3.31,
	  BEFORE_MERGE_WIN32), RTIG/RTIG_processing.cc (3.34,
	  BEFORE_MERGE_WIN32), libCERTI/Message.cc (3.34),
	  libCERTI/Message_RW.cc (3.31, BEFORE_MERGE_WIN32),
	  libCERTI/NetworkMessage.cc (3.16), libCERTI/NetworkMessage.hh
	  (3.24, BEFORE_MERGE_WIN32), libCERTI/NetworkMessage_RW.cc (3.25),
	  libCERTI/ObjectClass.cc (3.34, BEFORE_MERGE_WIN32),
	  libCERTI/ObjectClass.hh (3.27, BEFORE_MERGE_WIN32),
	  libCERTI/ObjectClassSet.cc (3.23, BEFORE_MERGE_WIN32),
	  libCERTI/ObjectClassSet.hh (3.21, BEFORE_MERGE_WIN32),
	  libCERTI/SocketUDP.cc (3.12, BEFORE_MERGE_WIN32),
	  libCERTI/SocketUN.cc (3.14, BEFORE_MERGE_WIN32),
	  test/Billard/Billard.cc (3.18), test/Billard/Billard.hh (3.9),
	  test/Billard/CommandLine.ggo (3.4, CERTI-3_2_5,
	  BEFORE_MERGE_WIN32), test/Billard/cmdline.c (3.4,
	  BEFORE_MERGE_WIN32), test/Billard/cmdline.h (3.4,
	  BEFORE_MERGE_WIN32), test/Billard/main.cc (3.13,
	  BEFORE_MERGE_WIN32): FRANCAIS : Realisation du service
	  updateAttributeValues sans estampille.  Rajout de l'option -e
	  (signifie sans estampille) dans le billard.  ENGLISH :
	  Implemantation of updateAttributeValues without time stamp.
	  Option -e added (i.e. without time stamp) for Billard.

2007-06-14 15:00  siron

	* ChangeLog (3.11), myconf (3.10, CERTI-3_2_5, BEFORE_MERGE_WIN32),
	  RTIA/RTIA.cc (3.13, CERTI-3_2_5, BEFORE_MERGE_WIN32),
	  RTIA/RTIA_federate.cc (3.35), RTIA/TimeManagement.cc (3.16,
	  BEFORE_MERGE_WIN32), RTIA/TimeManagement.hh (3.8,
	  BEFORE_MERGE_WIN32), include/RTIambServices.hh (3.3, CERTI-3_2_5,
	  BEFORE_MERGE_WIN32), libRTI/RTIambassador.cc (3.42),
	  test/Billard/Billard.cc (3.17), test/Billard/Billard.hh (3.8):
	  Development of a blocking tick: tick2.  The first version of tick
	  returns immediately with or without the delivery of one callback.
	  This can imply an active polling in the federate code. This new
	  version waits until that one callback can be delivered. We can
	  observe a performance improvement because the OS scheduler is
	  less sollicitated.

2007-05-14 14:01  rousse

	* ChangeLog (3.10), libCERTI/Message.cc (3.33),
	  libRTI/RTIambassador.cc (3.41): Prévention contre un label null
	  provoquant l'abort du RTIA

	  avoid RTIA crash in case of NULL label

2007-05-13 01:30  erk

	* CMakeLists.txt (1.6, BEFORE_MERGE_WIN32): Add GCC compiler option
	  in order to use Eclipse CDT cf:
	  http://www.cmake.org/Wiki/CMake_Editors_Support

2007-05-13 01:29  erk

	* RTIG/Federation.cc (3.53): Avoid std::string NULL exception  when
	  CERTI_HOME is not set

2007-05-04 16:05  erk

	* Makefile.am (3.8, CERTI-3_2_4): Forgot to add scripts/*.cmake to
	  DIST see https://savannah.nongnu.org/bugs/index.php?19796

2007-05-04 14:54  erk

	* libCERTI/XmlParser.cc (3.19, CERTI-3_2_4): Correct bug #19534
	  https://savannah.nongnu.org/bugs/?19534

2007-05-04 13:05  erk

	* ChangeLog (3.8, CERTI-3_2_4): Update ChangeLog for CERTI 3.2.4
	  cvs2cl -t -r --delta CERTI-3_2_3:CERTI-3_2_4 --prune -T --accum

2007-05-04 12:59  erk

	* CMakeLists.txt (1.5, CERTI-3_2_4): Install FindCERTI.cmake

2007-05-04 12:59  erk

	* CMakeLists.txt (1.5, CERTI-3_2_4): Install FindCERTI.cmake

2007-05-04 10:41  erk

	* Makefile.am (3.7), RTIA/Makefile.am (3.7), RTIG/Makefile.am
	  (3.7), doc/Makefile.am (3.3), include/Makefile.am (3.3),
	  libCERTI/Makefile.am (3.27), libRTI/Makefile.am (3.6),
	  test/Makefile.am (3.2), test/Billard/Makefile.am (3.16),
	  test/libgraphc/Makefile.am (3.2) (utags: CERTI-3_2_4): Please put
	  CMakeLists.txt's in the autotools generated dist

2007-05-04 10:40  erk

	* CMakeLists.txt (1.4), configure.in (3.18, CERTI-3_2_4): Bump to
	  version 3.2.4

2007-05-04 10:40  erk

	* myconf (3.9, CERTI-3_2_4): Update for out-of-source build with
	  autoconf

2007-05-03 17:46  rousse

	* RTIA/DataDistribution.cc (3.21), RTIG/Federation.cc (3.52),
	  libCERTI/AuditFile.cc (3.9), libCERTI/AuditLine.cc (3.9),
	  libCERTI/BaseRegion.cc (3.3), libCERTI/BasicMessage.cc (3.7),
	  libCERTI/Exception.cc (3.5), libCERTI/FedRegion.cc (3.3),
	  libCERTI/LBTS.cc (3.6), libCERTI/ObjectClass.cc (3.33),
	  libCERTI/ObjectClassSet.cc (3.22), libCERTI/ObjectSet.cc (3.12),
	  libCERTI/RTIRegion.cc (3.2), libCERTI/RootObject.cc (3.26),
	  libCERTI/RoutingSpace.cc (3.10), libCERTI/XmlParser.cc (3.18),
	  libRTI/RTIambassador.cc (3.40), test/Billard/Billard.cc (3.16),
	  test/Billard/BillardDDM.cc (3.18) (utags: CERTI-3_2_4): ---
	  FRANCAIS --- Modifications mineures sur des commentaires ---
	  ENGLISH --- Minor corrections inside comments

2007-05-03 15:41  erk

	* RTIG/Federation.cc (3.51): Elementary 'automatic' fed file search
	  support

2007-05-03 15:32  erk

	* CMakeLists.txt (1.3): Handle libxml2 properly for XML fed file

2007-05-03 10:41  erk

	* CMakeLists.txt (1.2), scripts/FindMd5sum.cmake (1.1,
	  CERTI-3_2_4): ADD RPM generation support (needs testing)

2007-05-03 10:24  erk

	* libCERTI/CMakeLists.txt (1.2), scripts/UseDebian.cmake (1.1),
	  scripts/UseRPMTools.cmake (1.1), test/Billard/CMakeLists.txt
	  (1.2) (utags: CERTI-3_2_4): First functional CMake build

2007-05-02 16:50  erk

	* config.h.cmake (1.1, CERTI-3_2_4): Oups should have been
	  committed with previous "first step CMake" commit

2007-05-02 16:50  erk

	* CMakeLists.txt (1.1), RTIA/CMakeLists.txt (1.1, CERTI-3_2_4),
	  RTIG/CMakeLists.txt (1.1, CERTI-3_2_4), doc/CMakeLists.txt (1.1,
	  CERTI-3_2_4), include/CMakeLists.txt (1.1, CERTI-3_2_4),
	  libCERTI/CMakeLists.txt (1.1), libRTI/CMakeLists.txt (1.1,
	  CERTI-3_2_4), scripts/FindCERTI.cmake (1.1, CERTI-3_2_4),
	  scripts/FindLexYacc.cmake (1.1, CERTI-3_2_4),
	  scripts/UsePackageBackup.cmake (1.1, CERTI-3_2_4),
	  scripts/package_source_dated.cmake (1.1, CERTI-3_2_4),
	  test/CMakeLists.txt (1.1, CERTI-3_2_4),
	  test/Billard/CMakeLists.txt (1.1), test/libgraphc/CMakeLists.txt
	  (1.1, CERTI-3_2_4): First step toward CMake build system usage
	  (not functionnal for this shot)

2007-05-02 13:55  erk

	* autogen.sh (1.3, CERTI-3_2_4), configure.in (3.17): Prepare CERTI
	  release 3.2.4 Update autogen.sh since VERSION file disappeared

2007-04-27 18:39  tag CERTI_TESTS_V2_dev

2007-04-27 18:39  erk

	* configure.in (3.16, CERTI_TESTS_V2_dev): Update version

2007-04-27 18:24  erk

	* include/certi.hh (3.12), libCERTI/BasicMessage.hh (3.6),
	  libCERTI/MessageBody.cc (3.10), libCERTI/MessageBody.hh (3.12),
	  libCERTI/Message_RW.cc (3.30), libCERTI/NetworkMessage_RW.cc
	  (3.24) (utags: CERTI-3_2_4, CERTI_TESTS_V2_dev): Add more space
	  in message body because we want to be sure that send will not
	  resize() the MessageBody::buffer.  The MessageBody buffer should
	  contains HeaderStruct (36) plus MAX_BYTES_PER_VALUE (150) at
	  least.

2007-04-27 18:22  erk

	* RTIA/main.cc (3.14, CERTI-3_2_4, CERTI_TESTS_V2_dev): Suicide is
	  not the way to go :)) You should NEVER send yourself SIGKILL In
	  this case the process will terminate after receiving SIGALARM
	  because the SIGALARM will break execute() statement and let the
	  RTIA process terminate.

2007-04-27 18:15  erk

	* test/Billard/main.cc (3.12, CERTI-3_2_4, CERTI_TESTS_V2_dev):
	  Finally got the "real" core dump bug.  The core dump only occurs
	  on xenomai-enabled kernel but the code is definitely buggy and
	  "unitialized" memory access was catch by valgrind too.

2007-04-26 16:42  erk

	* test/Billard/Display.cc (3.3, CERTI-3_2_4, CERTI_TESTS_V2_dev),
	  configure.in (3.15), test/libgraphc/graph_c.cc (3.5, CERTI-3_2_4,
	  CERTI_TESTS_V2_dev): Improve bug #18888 : configure script does
	  not check for x11-bitmaps header correction.	Now CERTI will
	  compile even if X11 headers are missing either totally or
	  partially (missing xbitmaps) Billard will compile and run but
	  produce no output.

2007-04-25 11:20  tag CERTI_TESTS_V1_1_dev

2007-04-25 11:20  erk

	* Makefile.am (3.6, CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev): Oups
	  forgot to suppress VERSION from EXTRA_DIST

2007-04-25 11:17  erk

	* VERSION (3.36), configure.in (3.14, CERTI_TESTS_V1_1_dev),
	  myCERTI_env.sh.in (1.2, CERTI-3_2_4, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev): Update configure script in order to
	  respect up to date autoconf/automake style As a consequence
	  Suppress VERSION file Add CERTI_VERSION env var definition in
	  myCERTI_env.sh

2007-04-24 17:10  erk

	* RTIA/: FederationManagement.cc (3.22), FederationManagement.hh
	  (3.15), RTIA.cc (3.12) (utags: CERTI-3_2_4, CERTI_TESTS_V1_1_dev,
	  CERTI_TESTS_V2_dev): Add GET_FED_FILE statistics

2007-04-24 15:53  erk

	* include/certi.hh (3.11, CERTI_TESTS_V1_1_dev): Temporary fix for
	  bug #19685 : Message::setValue with length > MAX_BYTES_PER_VALUE
	  fails

2007-04-24 15:30  erk

	* Makefile.am (3.5), configure.in (3.13): Add myCERTI_env.sh.in
	  configuration to $prefix/share/scripts/myCERTI_env.sh Correct bug
	  #18888 : configure script does not check for x11-bitmaps header

2007-04-24 15:24  erk

	* myCERTI_env.sh.in (1.1): Add an helper shell scripts for CERTI
	  usage The script define some env var and alias This will be
	  processed by configure

2007-04-23 09:59  erk

	* VERSION (3.35): Update to identified test VERSION

2007-04-20 14:33  tag CERTI_TESTS_V1_dev

2007-04-20 14:33  erk

	* RTIA/FederationManagement.cc (3.21, CERTI_TESTS_V1_dev): Beware
	  that malloc/free and new/delete should match

2007-04-20 14:32  erk

	* RTIA/RTIA_network.cc (3.10, CERTI-3_2_4, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev): Do not use msg object
	  after it has been delete

2007-04-20 10:27  tag CERTI-3_2_3devJYR1

2007-04-20 10:27  rousse

	* ChangeLog (3.7, CERTI-3_2_4, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev),
	  RTIA/DeclarationManagement.cc (3.13, CERTI-3_2_4,
	  CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev),
	  RTIA/FederationManagement.cc (3.20), RTIA/FederationManagement.hh
	  (3.14, CERTI_TESTS_V1_dev), RTIA/RTIA_federate.cc (3.34,
	  CERTI-3_2_4, CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev,
	  CERTI_TESTS_V1_dev), RTIG/Federation.cc (3.50,
	  CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev),
	  RTIG/FederationsList.cc (3.34, CERTI-3_2_4, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev), RTIG/RTIG.cc (3.29,
	  CERTI-3_2_4, CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev,
	  CERTI_TESTS_V1_dev), RTIG/RTIG_processing.cc (3.33, CERTI-3_2_4,
	  CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev),
	  libCERTI/Exception.hh (3.1, CERTI-3_2_4, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev), libCERTI/GAV.cc (3.15,
	  CERTI-3_2_4, CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev,
	  CERTI_TESTS_V1_dev), libCERTI/GAV.hh (3.11, CERTI-3_2_4,
	  CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev),
	  libCERTI/Message.cc (3.32, CERTI-3_2_4, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev),
	  libCERTI/NetworkMessage.cc (3.15, CERTI-3_2_4,
	  CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev),
	  test/Billard/Billard.cc (3.15, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev) (utags:
	  CERTI-3_2_3devJYR1): ----- FRANCAIS ----- Correction effectuee
	  dans FederationManagement.cc pour eviter des plantages a cause de
	  certaines parties du Network Message mal initialisees pendant le
	  JOIN FEDERATION EXECUTION.  Amelioration de la remontee de
	  certaines erreurs pendant le traitement du fichier FED.
	  Amelioration (suppression de classes de travail intermediaires)
	  du fonctionnement.  ----- ENGLISH ----- Corrections made in
	  FederationManagement.cc to prevent crash due to bad
	  initialization (sometimes) of Network Message  during JOIN
	  FEDERATION EXECUTION.  Improvment of exceptions return during FED
	  file process.  Processing improvment (some working classes
	  deleted).

2007-04-03 11:43  rousse

	* ChangeLog (3.6), RTIA/FederationManagement.cc (3.19),
	  RTIA/Statistics.cc (3.13, CERTI-3_2_4, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev, CERTI-3_2_3devJYR1),
	  RTIG/Federation.cc (3.49), RTIG/Federation.hh (3.37, CERTI-3_2_4,
	  CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev,
	  CERTI-3_2_3devJYR1), RTIG/FederationsList.cc (3.33),
	  RTIG/FederationsList.hh (3.30, CERTI-3_2_4, CERTI_TESTS_V2_dev,
	  CERTI_TESTS_V1_1_dev, CERTI_TESTS_V1_dev, CERTI-3_2_3devJYR1),
	  RTIG/RTIG_processing.cc (3.32), libCERTI/NetworkMessage.hh (3.23,
	  CERTI-3_2_4, CERTI_TESTS_V2_dev, CERTI_TESTS_V1_1_dev,
	  CERTI_TESTS_V1_dev, CERTI-3_2_3devJYR1),
	  libCERTI/NetworkMessage_RW.cc (3.23, CERTI_TESTS_V1_1_dev,
	  CERTI_TESTS_V1_dev, CERTI-3_2_3devJYR1): Modification dans la
	  prise en compte du fichier des federations (.fed ou .xml) : Ce
	  fichier est maintenant uniquement lu par le RTIG.  Le RTIA, lors
	  du Join fédération (JOIN_FEDERATE_EXECUTION) obtient le contenu
	  de ce fichier (transmis par le RTIG) et cree une copie de travail
	  de ce fichier en local.  Le nom de ce fichier est construit comme
	  suit : :RTIA:pid du processus RTIA:nom de la fédération.fed ou
	  .xml C'est ce fichier de travail qui est alors lu et analyse par
	  le RTIA.  CONSEQUENCE : le federe doit indiquer le nom (et le
	  path avec) du fichier de federation vu par le RTIG.  On peut
	  ainsi fonctionner de maniere independante, sans NFS et sans
	  recopie de ce fichier.

	  federation files (.fed or .xml) management has changed : This
	  file is now read only by RTIG.  RTIA, during federation join
	  ((JOIN_FEDERATE_EXECUTION) get file contents from RTIG et make a
	  working file copy locally.  File name is built as : :RTIA:RTIA
	  pid:federation name:.fed ou .xml RTIA reads and analyze this
	  working file.  IMPACT : federate must gives name (including path)
	  of this file view by RTIG.  Then, NFS is not needed, nor files
	  recopy.

2007-03-22 15:18  rousse

	* ChangeLog, RTIA/FederationManagement.cc,
	  RTIA/FederationManagement.hh, RTIA/RTIA.hh,
	  RTIA/RTIA_federate.cc, RTIG/Federation.cc, RTIG/Federation.hh,
	  RTIG/FederationsList.cc, RTIG/FederationsList.hh,
	  RTIG/RTIG_processing.cc, include/RTIambServices.hh,
	  include/certi.hh, libCERTI/Message.cc, libCERTI/Message.hh,
	  libCERTI/Message_RW.cc, libCERTI/NetworkMessage.cc,
	  libCERTI/NetworkMessage.hh, libCERTI/NetworkMessage_RW.cc,
	  libRTI/RTIambassador.cc, test/Billard/CommandLine.ggo,
	  test/Billard/cmdline.c, test/Billard/cmdline.h,
	  test/Billard/main.cc: Correction BUG #19192 Le nom du fichier de
	  la federation (.fed ou .xml) est pris en compte dans
	  createFederationExecution.  Cela peut źtre le path du fichier.
	  Le fichier doit avoir fed ou xml (non case sensitif) comme
	  extension.  Le Billard a ete modifie par rajout de l'option -F
	  qui doit etre suivie par ce nom du fichier (ou le path).  Par
	  exemple : billard -fTest -n1 -t30 -Ffederations/Test.fed
	  Auparavant, le nom du fichier etait construit a partir du nom de
	  la federation en rajoutant l'extension fed ou xml.

	  BUG #19192 fixed Federation file name (.fed or .xml) is processed
	  by createFederationExecution.  path file name is allowed.
	  Extension must be .fed or .xml (no case sensitive).  Billard has
	  been modified by adding -F option with federation file name (or
	  path).  For example : billard -fTest -n1 -t30
	  -Ffederations/Test.fed Before, file name was built from
	  federation name added with .fed or .xml extension.

2007-03-06 15:09  rousse

	* ChangeLog, libCERTI/Message.cc: Le constructeur de Message oublie
	  d'initialiser certaines variables.  Dans certains cas object ou
	  objecClass a une valeur indeterminee qui ne gene pas dans le
	  contexte de la requete mais provoque le declenchement d'un assert
	  en 64 bits.  Ceci devrait regler les bugs #14850 et #19124

	  Message constructor don't initialize some variables.	Some time,
	  object or objectClass has undetermined value. In the context of
	  the request no problem occurs but in an 64 bits system, an assert
	  will stop execution.	Correction made will fix bugs #14850 et
	  #19124

2007-02-21 11:21  rousse

	* AUTHORS, ChangeLog, VERSION, autogen.sh, RTIA/Communications.cc,
	  RTIA/FederationManagement.cc, RTIA/ObjectManagement.cc,
	  RTIA/ObjectManagement.hh, RTIA/RTIA_federate.cc,
	  RTIA/RTIA_network.cc, RTIA/TimeManagement.cc, RTIG/Federation.cc,
	  RTIG/Federation.hh, RTIG/FederationsList.cc,
	  RTIG/FederationsList.hh, RTIG/RTIG.cc, RTIG/RTIG_processing.cc,
	  RTIG/main.cc, doc/billard.dox, doc/reference.dox, doc/user.dox,
	  include/RTItypes.hh, include/certi.hh, libCERTI/Exception.cc,
	  libCERTI/FedTime.cc, libCERTI/GAV.cc, libCERTI/GAV_aux.cc,
	  libCERTI/Interaction.cc, libCERTI/Interaction.hh,
	  libCERTI/InteractionSet.cc, libCERTI/InteractionSet.hh,
	  libCERTI/Makefile.am, libCERTI/Message.cc, libCERTI/Message.hh,
	  libCERTI/MessageBody.cc, libCERTI/MessageBody.hh,
	  libCERTI/Message_RW.cc, libCERTI/NetworkMessage.cc,
	  libCERTI/NetworkMessage.hh, libCERTI/NetworkMessage_RW.cc,
	  libCERTI/ObjectClass.cc, libCERTI/ObjectClass.hh,
	  libCERTI/ObjectClassBroadcastList.cc, libCERTI/ObjectClassSet.cc,
	  libCERTI/ObjectClassSet.hh, libCERTI/PrettyDebug.cc,
	  libCERTI/PrettyDebug.hh, libCERTI/SocketUN.cc,
	  libCERTI/SocketUN.hh, libCERTI/XmlParser.cc,
	  libCERTI/converter.cc, libCERTI/converter.hh, libCERTI/fed.cc,
	  libRTI/RTIambassador.cc, test/Billard/Billard.cc: Merge
	  CERTI_3_2-branch to head

2007-02-06 15:10  rousse

	* VERSION: VERSION change from 3.2.2 to 3.2.3

2007-02-06 14:57  rousse

	* AUTHORS: [no log message]

2007-02-06 14:50  rousse

	* include/RTItypes.hh: New version 3.2.3

2007-02-02 15:19  rousse

	* ChangeLog, RTIA/RTIA_federate.cc, RTIA/RTIA_network.cc,
	  libCERTI/PrettyDebug.cc, libCERTI/PrettyDebug.hh,
	  libCERTI/SocketUN.cc, libCERTI/SocketUN.hh,
	  libRTI/RTIambassador.cc: Second set of modifications suggested by
	  M. JOUBERT (Thanx !) CERTI log modifications (federate name and
	  time) RTIA kill correction transmission of asynchronous RO
	  messages crash into ostringstream lib. corrected and many others
	  little problems.

2007-01-30 11:04  rousse

	* ChangeLog, RTIA/Communications.cc, RTIA/FederationManagement.cc,
	  RTIA/ObjectManagement.cc, include/certi.hh,
	  libCERTI/Exception.cc, libCERTI/MessageBody.hh,
	  test/Billard/Billard.cc: Ces modifications et corrections ont ete
	  faites par M. JOUBERT que nous remercions : Dans writeShortInt et
	  readShortInt la taille des unsigned short etait en dur.  Ajout du
	  titre des exceptions.  Ajout de usleep dans le billard pour
	  ameliorer son fonctionnement.  Deux traces de debug enlevees dans
	  FederationManagement.cc Correction dans Communication.cc pour
	  faire fonctionner le CERTI sous Cygwin.  Correction dans
	  ObjectManagement.cc pour vraiment supprimer les objets.

2007-01-24 10:13  rousse

	* libCERTI/ObjectClass.cc: Bug #18863 fix.  Made by P. Siron

2007-01-22 14:54  rousse

	* RTIA/ObjectManagement.cc, RTIA/ObjectManagement.hh,
	  RTIA/RTIA_federate.cc, RTIA/TimeManagement.cc,
	  RTIG/Federation.cc, RTIG/Federation.hh, RTIG/FederationsList.cc,
	  RTIG/FederationsList.hh, RTIG/RTIG.cc, RTIG/RTIG_processing.cc,
	  include/certi.hh, libCERTI/GAV.cc, libCERTI/GAV_aux.cc,
	  libCERTI/Interaction.cc, libCERTI/Interaction.hh,
	  libCERTI/InteractionSet.cc, libCERTI/InteractionSet.hh,
	  libCERTI/Makefile.am, libCERTI/Message.cc, libCERTI/Message.hh,
	  libCERTI/MessageBody.cc, libCERTI/Message_RW.cc,
	  libCERTI/NetworkMessage.cc, libCERTI/NetworkMessage.hh,
	  libCERTI/NetworkMessage_RW.cc, libCERTI/ObjectClass.cc,
	  libCERTI/ObjectClass.hh, libCERTI/ObjectClassBroadcastList.cc,
	  libCERTI/ObjectClassSet.cc, libCERTI/ObjectClassSet.hh,
	  libCERTI/converter.cc, libCERTI/converter.hh,
	  test/Billard/Billard.cc: In order to allow any character
	  (including \0) inside values, all methods inside converter.cc
	  have been removed.  So message is able to contain a set of bytes
	  instead of a string.	cf bug #18847 : problem with
	  updateAttributeValue or SendInteraction with non string values

2006-06-28 22:05  breholee

	* ChangeLog: 3.2.2 Release

2006-06-28 19:30  breholee

	* VERSION, doc/billard.dox, doc/reference.dox, doc/user.dox:
	  version bump

2006-06-28 19:14  breholee

	* libCERTI/: FedTime.cc, GAV_aux.cc, XmlParser.cc: fix: C++
	  compliance (strict namespaces or exception declarations)

2006-06-28 19:09  breholee

	* include/RTItypes.hh: fix: missing virtual destructor

2006-06-20 09:18  breholee

	* libCERTI/converter.cc: fix: buffer size for network messages

2006-06-20 09:14  breholee

	* libCERTI/converter.cc: fix: buffer size for network messages

2006-06-20 09:09  breholee

	* RTIA/: ObjectManagement.cc: fix: delete object (was not removed
	  from instance tree)

2006-05-14 22:40  breholee

	* ChangeLog: CERTI 3.2.1 release

2006-05-14 22:27  breholee

	* RTIG/RTIG_processing.cc: bugfix: use of label during object
	  registration

2006-05-14 22:09  breholee

	* VERSION: version 3.2.1
